2005-08-23  David Harrison  <harrison@apple.com>

        Reviewed by Darin.

        <rdar://problem/4226539> REGRESSION: Blank content at http://www.the-leaky-cauldron.org/ with Denver and TOT

        Test cases added:
        * layout-tests/fast/parser/comments-expected.txt: Added.
        * layout-tests/fast/parser/comments.html: Added.

        * khtml/html/htmltokenizer.cpp:
        (khtml::HTMLTokenizer::parseComment):
        When non-space follows comment end, ignore that comment end.

2005-08-23  Justin Garcia  <justin.garcia@apple.com>

        Reviewed by mjs
        
        Temporary workaround for gcc-5216+ bug 4213314.  Don't use NSMake* convenience methods inside KWQ_BLOCK_EXCEPTIONS.

        * kwq/KWQKConfigBase.mm:
        (KConfig::readEntry):
        * kwq/KWQKHTMLPart.mm:
        (KWQKHTMLPart::attributedString):
        * kwq/KWQListBox.mm:
        (QListBox::sizeForNumberOfLines):
        * kwq/KWQPainter.mm:
        (QPainter::drawTiledPixmap):
        * kwq/KWQScrollView.mm:
        (QScrollView::resizeContents):
        (QScrollView::contentsToViewport):
        (QScrollView::viewportToContents):
        (QScrollView::setContentsPosRecursive):
        (QScrollView::ensureVisible):
        (QScrollView::ensureRectVisibleCentered):

2005-08-22  John Sullivan  <sullivan@apple.com>

        Reviewed by Beth Dakin.
        
        - fixed <rdar://problem/4227019> Several 32-byte leaks after choosing pop-up menu at dzone198.apple.com

        Test cases added: none, doesn't affect layout. I did execute run-layout-tests to verify that there
        were no surprises though.

        * khtml/ecma/xmlhttprequest.h:
        use SharedPtr for onReadyStateChangeListener and onLoadListener
        * khtml/ecma/xmlhttprequest.cpp:
        (KJS::XMLHttpRequest::getValueProperty):
        use notNull() instead of testing SharedPtrs against 0
        (KJS::XMLHttpRequest::putValueProperty):
        use reset() to set values of SharedPtrs; eliminate ref()s that had no deref()s
        (KJS::XMLHttpRequest::mark):
        use notNull() instead of testing SharedPtrs against 0
        (KJS::XMLHttpRequest::XMLHttpRequest):
        don't initialize SharedPtrs
        (KJS::XMLHttpRequest::changeState):
        use notNull() instead of testing SharedPtrs against 0

2005-08-22  David Harrison  <harrison@apple.com>

        Reviewed by Justin.

        <rdar://problem/4221384> Denver Regression: stickies widget crashed on 8F15 when pasting text

        Test cases added:  None.  Problem triggered by simple paste, which lots of the
        editing tests already do, but also required particular memory layout/cleanup state, which
        is not specifiable in our tests.

        * khtml/editing/markup.cpp:
        (khtml::createFragmentFromText):
        Ref the new paragraph element right away, rather than allocating more memory first.

2005-08-22  Eric Seidel  <eseidel@apple.com>
        Fix by Tobias Lidskog <tobiaslidskog@mac.com>

        Reviewed by eseidel.

        * kcanvas/device/quartz/KCanvasFilterQuartz.mm:
        (KCanvasFilterQuartz::inputImage): null check
        (KCanvasFEBlendQuartz::getCIFilter): ditto
        (KCanvasFEColorMatrixQuartz::getCIFilter): ditto
        (KCanvasFEMergeQuartz::getCIFilter): ditto
        Added NULL checks to avoid throwing Obj-C exceptions from
        CoreImage either when rendering bad SVGs or in cases where
        we do not yet implement a certain SVG filter element.
        http://bugs.webkit.org/show_bug.cgi?id=4554

2005-08-22  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        * ksvg2/impl/SVGScriptElementImpl.cpp:
        (SVGScriptElementImpl::executeScript):
        Added necessary Interpreter::lock()/unlock() calls to prevent
        assertion failure when loading SVGs with JavaScript.
        http://bugs.webkit.org/show_bug.cgi?id=4580

2005-08-22  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        * WebCore.xcodeproj/project.pbxproj:
        Applied Darin's nmedit workaround/build-speedup to WebCore+SVG.
        http://bugs.webkit.org/show_bug.cgi?id=4577

2005-08-22  Eric Seidel  <eseidel@apple.com>
        Fix by Tobias Lidskog <tobiaslidskog@mac.com>

        Reviewed by eseidel.

        * kcanvas/device/KRenderingPaintServerSolid.cpp:
        * kcanvas/device/KRenderingPaintServerSolid.h:
        * kcanvas/device/quartz/KRenderingPaintServerQuartz.mm:
        (KRenderingPaintServerSolidQuartz::draw):
        * svg-tests/W3C-SVG-1.1/animate-elem-22-b-expected.png:
        * svg-tests/W3C-SVG-1.1/masking-opacity-01-b-expected.png:
        Group opacity was doubly-applied.  This patch fixes that.
        http://bugs.webkit.org/show_bug.cgi?id=4463

2005-08-22  Eric Seidel  <eseidel@apple.com>
        Fix by Tobias Lidskog <tobiaslidskog@mac.com>

        Reviewed by eseidel.

        * kcanvas/device/quartz/QuartzSupport.mm:
        (CGPathToCFStringApplierFunction): Fixed output for curves.
        * svg-tests/W3C-SVG-1.1/Resources/filters-example-01-f-expected.txt:
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-01-f-expected.txt:
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-02-f-expected.txt:
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-03-f-expected.txt:
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-b-expected.txt:
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-f-expected.txt:
        * svg-tests/W3C-SVG-1.1/animate-elem-06-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/animate-elem-07-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/animate-elem-08-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/animate-elem-28-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/filters-example-01-b-expected.txt:
        * svg-tests/W3C-SVG-1.1/filters-morph-01-f-expected.txt:
        * svg-tests/W3C-SVG-1.1/fonts-elem-01-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/fonts-elem-02-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/fonts-elem-03-b-expected.txt:
        * svg-tests/W3C-SVG-1.1/fonts-elem-04-b-expected.txt:
        * svg-tests/W3C-SVG-1.1/metadata-example-01-b-expected.txt:
        * svg-tests/W3C-SVG-1.1/paths-data-01-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/paths-data-02-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/paths-data-03-f-expected.txt:
        * svg-tests/W3C-SVG-1.1/shapes-rect-01-t-expected.txt:
        * svg-tests/W3C-SVG-1.1/text-path-01-b-expected.txt:
        Fixed output for curves and updated tests accordingly.
        http://bugs.webkit.org/show_bug.cgi?id=4553

2005-08-22  Eric Seidel  <eseidel@apple.com>
        Fix by Tobias Lidskog <tobiaslidskog@mac.com>

        Reviewed by eseidel.

        * kcanvas/device/quartz/KCanvasFilterQuartz.mm:
        (KCanvasFilterQuartz::prepareFilter):
        * kcanvas/device/quartz/KRenderingDeviceQuartz.h:
        * kcanvas/device/quartz/KRenderingDeviceQuartz.mm:
        (KRenderingDeviceQuartz::filtersEnabled):
        (KRenderingDeviceQuartz::setFiltersEnabled):
        (KRenderingDeviceQuartz::hardwareRenderingEnabled):
        (KRenderingDeviceQuartz::setHardwareRenderingEnabled):
        Added ability to disable hardware rendering (for testing).
        http://bugs.webkit.org/show_bug.cgi?id=4550

2005-08-20  Darin Adler  <darin@apple.com>

        * khtml/xml/xml_namespace_table.cpp: Removed this file that's been obsolete and
        unused for a while.
        * khtml/xml/xml_namespace_table.h: Ditto.

2005-08-19  Anders Carlsson  <andersca@mac.com>

        Reviewed by Darin.
        Landed by David Harrison.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4475
          <noscript>, <noframes>, <nolayer> and <noembed> elements should be in the DOM

        Test cases added:
        * layout-tests/fast/dom/no-elements-expected.txt: Added.
        * layout-tests/fast/dom/no-elements.html: Added.

        * khtml/html/html_elementimpl.cpp:
        (blockTagList):
        Add noembed and nolayer to the list of block tags.
        
        * khtml/html/htmlparser.cpp:
        (HTMLParser::noembedCreateErrorCheck):
        (HTMLParser::noframesCreateErrorCheck):
        (HTMLParser::noscriptCreateErrorCheck):
        (HTMLParser::nolayerCreateErrorCheck):
        Make sure these elements are created, but that they won't have any children.
        (Except for <noscript> when JavaScript is turned off).
        
        * layout-tests/dom/html/level2/html/HTMLElement113-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement114-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement142-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement143-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement26-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement27-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement55-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement56-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement84-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLElement85-expected.txt:
        These tests pass now.

2005-08-19  Darin Adler  <darin@apple.com>

        Reviewed by Maciej.
        Landed by David Harrison.
        
        Test cases added:
	manual-tests/onclick_in_noncontent.html: Added.
        (a manual test because Darin saw no way to exercise the hit testing code from JavaScript)

        - fixed http://bugs.webkit.org/show_bug.cgi?id=3662
          onClick event for TD element doesn't fire unless its contents are clicked

        * khtml/rendering/render_block.cpp:
        (khtml::RenderBlock::nodeAtPoint):
        Take the border extra into account when hit testing just as we do when
        painting the background of a table cell. OK for other renderers because
        they have a border extra of 0.

2005-08-19  Anders Carlsson  <andersca@mac.com>

        Reviewed by Darin.
        Landed by David Harrison.

        Test cases added: None.  Fixes existing tests.

        * khtml/ecma/kjs_dom.cpp:
        Attribute values are writable
        
        * khtml/xml/dom_docimpl.cpp:
        (DocumentImpl::createAttributeNS):
        Update for new AttrImpl constructor.
        
        * khtml/xml/dom_elementimpl.cpp:
        (AttributeImpl::allocateImpl):
        Update for new AttrImpl constructor.
        
        (AttrImpl::AttrImpl):
        Initialize m_ignoreChildCount to 0. If createTextChild.
        is true, create a child text node with the contents
        of the attribute value.
        
        (AttrImpl::setValue):
        Remove all children and create a new text node with the contents
        of the attribute value.
        
        (AttrImpl::cloneNode):
        Make sure to clone any children.
        
        (AttrImpl::childrenChanged):
        If m_ignoreChildrenChanged is 0, update the attribute value.
        
        * khtml/xml/dom_elementimpl.h:
        Add childrenChanged, update AttrImpl constructor and
        add m_ignoreChildrenChanged to AttrImpl.

        * khtml/xml/dom_nodeimpl.cpp:
        (DOM::NodeImpl::normalize):
        If an element has attributes, make sure to normalize them.

        * layout-tests/dom/html/level1/core/hc_attrappendchild1-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrappendchild3-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrappendchild6-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrchildnodes1-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrchildnodes2-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrclonenode1-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrcreatetextnode-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrfirstchild-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrhaschildnodes-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrinsertbefore1-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrinsertbefore2-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrinsertbefore3-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrinsertbefore4-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrlastchild-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrnormalize-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrremovechild1-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrreplacechild1-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrreplacechild2-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrsetvalue1-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrsetvalue2-expected.txt:
        * layout-tests/dom/html/level1/core/hc_elementnormalize2-expected.txt:
        These tests pass now.

2005-08-19  Mitz Pettel  <opendarwin.org@mitzpettel.com>

        Reviewed by Darin.
        Landed by David Harrison

	- Fixes <http://bugs.webkit.org/show_bug.cgi?id=4523>
          REGRESSION assertion failure in Window::getValueProperty accessing window.konqueror

        Test cases added: N/A for this code removal

        Remove all traces of the konqueror property

        * khtml/ecma/kjs_window.cpp:
        (KJS::Window::getValueProperty):
        * khtml/ecma/kjs_window.h:
        (KJS::Window::):

2005-08-19  Antti Koivisto  <koivisto@iki.fi>

        Reviewed by Darin
        Landed by David Harrison

	- Fixes <http://bugs.webkit.org/show_bug.cgi?id=4379>
          negative margins allowed where they should not

        Test cases added:
	layout-tests/fast/block/margin-collapse/104.html: Added.
	layout-tests/fast/block/margin-collapse/104-expected.txt: Added.

        * khtml/rendering/render_box.cpp:
        (RenderBox::calcHorizontalMargins):

2005-08-19  Eric Seidel  <eseidel@apple.com>
        Change from Tobias Lidskog <tobiaslidskog@mac.com>

        Reviewed by eseidel.

        * kcanvas/KCanvasContainer.cpp:
        (KCanvasContainer::bbox): avoid unnecessary computation.
        (KCanvasContainer::collisions):
        * kcanvas/device/quartz/KCanvasItemQuartz.mm:
        (KCanvasItemQuartz::draw):
        (KCanvasItemQuartz::hitsPath): use untranslated point
        * svg-tests/W3C-SVG-1.1/metadata-example-01-b-expected.txt:
        Performance improvements to bbox and hit-testing fix.
        http://bugs.webkit.org/show_bug.cgi?id=4459

2005-08-19  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        * kcanvas/device/quartz/KRenderingPaintServerGradientQuartz.mm:
        (cgGradientCallback):
        Fixes forgotten memcopy.
        http://bugs.webkit.org/show_bug.cgi?id=4529

2005-08-19  Vicki Murley  <vicki@apple.com>

	- remove this test, I disabled it in my last checkin

        * layout-tests/dom/html/level2/html/HTMLFormElement10.html: Removed.

2005-08-19  Vicki Murley  <vicki@apple.com>

        Reviewed by Geoff.
 
        - fixed <rdar://problem/4223107> frame tests in layout-tests/dom/html/level2/html 
        have empty expected results

        * layout-tests/dom/html/level2/html/selfhtml.js: wait until done before
        dumping the render tree

        * layout-tests/dom/html/level2/html/HTMLFormElement10.html-disabled: Disable this
        test for now - its causing all tests after it to dump the render tree, even though
        dumpAsText is enabled
        
        Update expected results for these tests:

        * layout-tests/dom/html/level2/html/HTMLFrameElement01-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameElement02-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameElement03-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameElement04-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameElement05-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameElement06-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameElement07-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameElement08-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameSetElement01-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFrameSetElement02-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement01-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement02-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement03-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement04-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement05-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement06-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement07-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement08-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement09-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLIFrameElement10-expected.txt:

2005-08-19  Anders Carlsson  <andersca@mac.com>

        Reviewed by Maciej.
        Landed by Darin.

	- Fixes <http://bugs.webkit.org/show_bug.cgi?id=3301>
	innerHTML does not work for xhtml documents.
	
        Test cases added:
	layout-tests/fast/dom/set-innerHTML.xhtml: Added.
	layout-tests/fast/dom/set-innerHTML-expected.txt: Added.

        * khtml/html/html_elementimpl.cpp:
        (HTMLElementImpl::createContextualFragment):
	Call parseXMLDocumentFragment if we're an xml document.
	
        * khtml/xml/xml_tokenizer.cpp:
        (khtml::XMLTokenizer::pushNamespaces):
	New function that takes an element.
	
        (khtml::XMLTokenizer::XMLTokenizer):
	New constructor that takes a DocumentFragmentImpl and fills it.
	
        (khtml::parseXMLDocumentFragment):
	New function that parses a document fragment.
	
        (khtml::XMLNamespaceStack::pushNamespaces):
	New function that takes an element and pushes namespaces based on its 
	xmlns attributes.
	
        * khtml/xml/xml_tokenizer.h:
	Add parseXMLDocumentFragment declaration.
	
2005-08-18  Eric Seidel  <eseidel@apple.com>

        No review needed, affects only SVGSupport.

        Test cases added:
        * svg-tests/W3C-SVG-1.1/Resources/animation-add-BE-09-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-add-BE-09-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image1-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image1-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image2-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image2-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image3-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image3-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/coords-units-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/coords-units-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/ext-TestComic-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/ext-TestComic-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-blend-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-blend-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-color-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-color-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-composite-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-composite-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-conv-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-conv-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-diffuse-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-diffuse-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-example-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-example-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-dom-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-dom-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-order-02-b-targ-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-order-02-b-targ-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-order-03-b-targ-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-order-03-b-targ-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linkingCircle-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linkingCircle-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linkingToc-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linkingToc-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-02-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-02-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-03-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-03-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-04-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-04-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rects-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rects-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rects_b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rects_b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-frag-01-B-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-frag-01-B-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-02-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-02-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-03-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-03-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-altglyph-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-altglyph-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-extTref-BE-18-targ-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-extTref-BE-18-targ-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-intro-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-intro-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-tref-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-tref-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-ws-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-ws-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/toc-sv-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/toc-sv-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/toc-svcmp-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/Resources/toc-svcmp-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-04-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-04-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-05-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-05-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-06-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-06-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-07-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-07-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-08-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-08-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-09-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-09-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-10-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-10-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-11-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-11-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-12-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-12-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-13-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-13-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-14-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-14-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-15-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-15-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-16-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-16-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-17-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-17-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-18-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-18-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-19-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-19-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-20-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-20-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-21-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-21-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-22-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-22-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-23-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-23-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-24-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-24-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-25-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-25-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-26-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-26-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-27-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-27-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-28-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-28-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-29-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-29-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/color-prof-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/color-prof-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-02-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-02-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-04-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-04-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-05-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-05-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-06-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-06-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/extend-namespace-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/extend-namespace-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-blend-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-blend-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-color-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-color-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-composite-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-composite-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-conv-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-conv-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-diffuse-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-diffuse-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-displace-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-displace-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-example-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-example-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-gauss-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-gauss-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-image-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-image-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-light-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-light-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-morph-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-morph-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-offset-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-offset-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-specular-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-specular-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-tile-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/filters-tile-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-04-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-04-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-cursor-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/interact-cursor-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-dom-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/interact-dom-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-events-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/interact-events-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-zoom-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/interact-zoom-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-04-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-04-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-mask-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/masking-mask-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-opacity-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/masking-opacity-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-04-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-04-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-05-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-05-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/metadata-example-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/metadata-example-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-04-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-04-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-01-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-01-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-02-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-02-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-render-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-render-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-04-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-04-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-03-f-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-03-f-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-04-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-04-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-05-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-05-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-06-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-06-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-07-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-07-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-04-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-04-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-05-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-05-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-06-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-06-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-07-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-07-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-08-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-08-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-09-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-09-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-10-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-10-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-11-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-11-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-12-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-12-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-pattern-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/pservers-pattern-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-06-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-06-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-07-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-07-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-08-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-08-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-04-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-04-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-circle-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/shapes-circle-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-ellipse-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/shapes-ellipse-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-line-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/shapes-line-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polygon-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polygon-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polyline-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polyline-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-rect-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/shapes-rect-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-defs-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-defs-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-04-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-04-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-05-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-05-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-06-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-06-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-frag-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-frag-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-03-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-03-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-04-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-04-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-05-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-05-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-symbol-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/struct-symbol-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-inherit-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/styling-inherit-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-pres-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/styling-pres-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-align-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-align-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-align-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-04-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-align-04-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-05-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-align-05-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-06-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-align-06-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-altglyph-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-altglyph-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-deco-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-deco-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-02-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-02-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-02-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-04-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-04-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-path-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-path-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-spacing-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-spacing-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-text-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-text-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-text-03-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-text-03-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-tref-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-tref-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-tselect-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-tselect-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-tspan-01-b-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-tspan-01-b-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-01-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-01-t-expected.png: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-02-t-expected.checksum: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-02-t-expected.png: Added.
        Add pixel test results for SVG.

2005-08-17  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Darin.

        * layout-tests/fast/css/acid2.html: Replaced nonexistent remote URL that takes
	a very long time to time out, with a nonexistent local URL.

        * kwq/KWQRenderTreeDebug.cpp:
        (externalRepresentation): Remove hack to turn off scrollbars.

	- Updated many test results now that the layout tests properly do scrollbars when
	appropriate
	
        * layout-tests/css1/basic/comments-expected.txt:
        * layout-tests/css1/basic/containment-expected.txt:
        * layout-tests/css1/basic/id_as_selector-expected.txt:
        * layout-tests/css1/basic/inheritance-expected.txt:
        * layout-tests/css1/box_properties/border-expected.txt:
        * layout-tests/css1/box_properties/border_bottom-expected.txt:
        * layout-tests/css1/box_properties/border_bottom_width-expected.txt:
        * layout-tests/css1/box_properties/border_left-expected.txt:
        * layout-tests/css1/box_properties/border_left_width-expected.txt:
        * layout-tests/css1/box_properties/border_right_inline-expected.txt:
        * layout-tests/css1/box_properties/border_right_width-expected.txt:
        * layout-tests/css1/box_properties/border_style-expected.txt:
        * layout-tests/css1/box_properties/border_top-expected.txt:
        * layout-tests/css1/box_properties/border_top_width-expected.txt:
        * layout-tests/css1/box_properties/border_width-expected.txt:
        * layout-tests/css1/box_properties/clear-expected.txt:
        * layout-tests/css1/box_properties/clear_float-expected.txt:
        * layout-tests/css1/box_properties/float_elements_in_series-expected.txt:
        * layout-tests/css1/box_properties/float_margin-expected.txt:
        * layout-tests/css1/box_properties/float_on_text_elements-expected.txt:
        * layout-tests/css1/box_properties/height-expected.txt:
        * layout-tests/css1/box_properties/margin-expected.txt:
        * layout-tests/css1/box_properties/margin_bottom-expected.txt:
        * layout-tests/css1/box_properties/margin_inline-expected.txt:
        * layout-tests/css1/box_properties/margin_left-expected.txt:
        * layout-tests/css1/box_properties/margin_right-expected.txt:
        * layout-tests/css1/box_properties/margin_top-expected.txt:
        * layout-tests/css1/box_properties/padding-expected.txt:
        * layout-tests/css1/box_properties/padding_bottom-expected.txt:
        * layout-tests/css1/box_properties/padding_inline-expected.txt:
        * layout-tests/css1/box_properties/padding_left-expected.txt:
        * layout-tests/css1/box_properties/padding_right-expected.txt:
        * layout-tests/css1/box_properties/padding_top-expected.txt:
        * layout-tests/css1/box_properties/width-expected.txt:
        * layout-tests/css1/cascade/cascade_order-expected.txt:
        * layout-tests/css1/classification/display-expected.txt:
        * layout-tests/css1/classification/list_style_type-expected.txt:
        * layout-tests/css1/classification/white_space-expected.txt:
        * layout-tests/css1/color_and_background/background-expected.txt:
        * layout-tests/css1/color_and_background/background_attachment-expected.txt:
        * layout-tests/css1/color_and_background/background_position-expected.txt:
        * layout-tests/css1/color_and_background/background_repeat-expected.txt:
        * layout-tests/css1/conformance/forward_compatible_parsing-expected.txt:
        * layout-tests/css1/font_properties/font-expected.txt:
        * layout-tests/css1/font_properties/font_family-expected.txt:
        * layout-tests/css1/font_properties/font_size-expected.txt:
        * layout-tests/css1/font_properties/font_weight-expected.txt:
        * layout-tests/css1/formatting_model/floating_elements-expected.txt:
        * layout-tests/css1/formatting_model/height_of_lines-expected.txt:
        * layout-tests/css1/formatting_model/horizontal_formatting-expected.txt:
        * layout-tests/css1/formatting_model/inline_elements-expected.txt:
        * layout-tests/css1/formatting_model/replaced_elements-expected.txt:
        * layout-tests/css1/formatting_model/vertical_formatting-expected.txt:
        * layout-tests/css1/pseudo/anchor-expected.txt:
        * layout-tests/css1/pseudo/firstletter-expected.txt:
        * layout-tests/css1/pseudo/firstline-expected.txt:
        * layout-tests/css1/pseudo/multiple_pseudo_elements-expected.txt:
        * layout-tests/css1/text_properties/letter_spacing-expected.txt:
        * layout-tests/css1/text_properties/line_height-expected.txt:
        * layout-tests/css1/text_properties/text-transCapitalize-expected.txt:
        * layout-tests/css1/text_properties/text_decoration-expected.txt:
        * layout-tests/css1/text_properties/text_indent-expected.txt:
        * layout-tests/css1/text_properties/text_transform-expected.txt:
        * layout-tests/css1/text_properties/vertical_align-expected.txt:
        * layout-tests/css1/text_properties/word_spacing-expected.txt:
        * layout-tests/css1/units/color_units-expected.txt:
        * layout-tests/css1/units/length_units-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLBaseElement02-expected.txt:
        * layout-tests/editing/inserting/insert-div-023-expected.txt:
        * layout-tests/editing/selection/select-all-001-expected.txt:
        * layout-tests/editing/selection/select-all-002-expected.txt:
        * layout-tests/editing/selection/select-all-003-expected.txt:
        * layout-tests/editing/selection/select-all-004-expected.txt:
        * layout-tests/editing/selection/unrendered-001-expected.txt:
        * layout-tests/editing/selection/unrendered-002-expected.txt:
        * layout-tests/editing/selection/unrendered-003-expected.txt:
        * layout-tests/editing/selection/unrendered-004-expected.txt:
        * layout-tests/editing/selection/unrendered-005-expected.txt:
        * layout-tests/fast/block/basic/013-expected.txt:
        * layout-tests/fast/block/basic/016-expected.txt:
        * layout-tests/fast/block/float/008-expected.txt:
        * layout-tests/fast/block/float/013-expected.txt:
        * layout-tests/fast/block/float/019-expected.txt:
        * layout-tests/fast/block/float/021-expected.txt:
        * layout-tests/fast/block/float/025-expected.txt:
        * layout-tests/fast/block/float/026-expected.txt:
        * layout-tests/fast/block/float/027-expected.txt:
        * layout-tests/fast/block/float/028-expected.txt:
        * layout-tests/fast/block/float/032-expected.txt:
        * layout-tests/fast/block/float/033-expected.txt:
        * layout-tests/fast/block/margin-collapse/103-expected.txt:
        * layout-tests/fast/block/positioning/047-expected.txt:
        * layout-tests/fast/block/positioning/051-expected.txt:
        * layout-tests/fast/block/positioning/055-expected.txt:
        * layout-tests/fast/block/positioning/auto/007-expected.txt:
        * layout-tests/fast/css/005-expected.txt:
        * layout-tests/fast/css/MarqueeLayoutTest-expected.txt:
        * layout-tests/fast/css/word-space-extra-expected.txt:
        * layout-tests/fast/dom/attr_dead_doc-expected.txt:
        * layout-tests/fast/dom/features-expected.txt:
        * layout-tests/fast/dynamic/008-expected.txt:
        * layout-tests/fast/dynamic/flash-replacement-test-expected.txt:
        * layout-tests/fast/encoding/utf-16-big-endian-expected.txt:
        * layout-tests/fast/encoding/utf-16-little-endian-expected.txt:
        * layout-tests/fast/flexbox/016-expected.txt:
        * layout-tests/fast/forms/form-element-geometry-expected.txt:
        * layout-tests/fast/frames/001-expected.txt:
        * layout-tests/fast/frames/002-expected.txt:
        * layout-tests/fast/frames/contentWindow_Frame-expected.txt:
        * layout-tests/fast/frames/contentWindow_iFrame-expected.txt:
        * layout-tests/fast/frames/empty-frame-src-expected.txt:
        * layout-tests/fast/frames/frameElement-frame-expected.txt:
        * layout-tests/fast/frames/frameElement-iframe-expected.txt:
        * layout-tests/fast/frames/invalid-expected.txt:
        * layout-tests/fast/frames/valid-expected.txt:
        * layout-tests/fast/inline-block/003-expected.txt:
        * layout-tests/fast/js/window-object-cross-frame-calls-expected.txt:
        * layout-tests/fast/lists/008-expected.txt:
        * layout-tests/fast/replaced/005-expected.txt:
        * layout-tests/fast/replaced/007-expected.txt:
        * layout-tests/fast/selectors/166-expected.txt:
        * layout-tests/fast/table/023-expected.txt:
        * layout-tests/fast/table/034-expected.txt:
        * layout-tests/fast/table/040-expected.txt:
        * layout-tests/fast/table/border-collapsing/004-expected.txt:
        * layout-tests/fast/table/height-percent-test-expected.txt:
        * layout-tests/fast/table/wide-colspan-expected.txt:
        * layout-tests/fast/table/wide-column-expected.txt:
        * layout-tests/fast/text/whitespace/024-expected.txt:
        * layout-tests/fast/tokenizer/004-expected.txt:
        * layout-tests/traversal/tree-walker-004-expected.txt:

2005-08-17  Beth Dakin  <bdakin@apple.com>

        Reviewed by Maciej

        Test cases added: (NONE)
	
	This is a fix for http://bugs.webkit.org/show_bug.cgi?id=4499
	which describes a memory leak that happens on bugzilla after
	searching for all open WebKit bugs.	

        * kwq/KWQArrayImpl.mm: 
        (KWQArrayImpl::resize): When resizing to 0, free the old data after setting it
				to NULL.

2005-08-17  Justin Garcia  <justin.garcia@apple.com>

        Reviewed by darin, adele
        
        Fixes <rdar://problem/4219869> REGRESSION (OC): First frame never draws if it's delayed
            A recent change uncovered a bug where on early returns from KHTMLView::layout(), layoutSchedulingEnabled 
            was not reset to true, preventing later layouts from occuring. 

        * khtml/khtmlview.cpp:
        (KHTMLView::layout):

2005-08-17  Curt Arnold  <curt.arnold@mac.com>

        Reviewed and landed by Darin.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4491
          DOM L2 Events tests using addEventListener broken

        * layout-tests/dom/html/level2/events/dispatchEvent08.js: Updated.
        * layout-tests/dom/html/level2/events/dispatchEvent09.js: Ditto.
        * layout-tests/dom/html/level2/events/dispatchEvent10.js: Ditto.
        * layout-tests/dom/html/level2/events/dispatchEvent11.js: Ditto.
        * layout-tests/dom/html/level2/events/dispatchEvent12.js: Ditto.
        * layout-tests/dom/html/level2/events/dispatchEvent13.js: Ditto.

        * layout-tests/dom/html/level2/events/dispatchEvent11-expected.txt: Now succeeds.
        * layout-tests/dom/html/level2/events/dispatchEvent12-expected.txt: Now fails.
        * layout-tests/dom/html/level2/events/dispatchEvent13-expected.txt: Now succeeds.

2005-08-17  Justin Garcia  <justin.garcia@apple.com>

        Reviewed by rjw
        
        Addresses <rdar://problem/4192534> new frame load delegate SPI needed for Dashboard
            Call handledOnloadEvents bridge method after load events are dispatched in a frame

        * khtml/xml/dom_docimpl.cpp:
        (DocumentImpl::implicitClose):
        * kwq/KWQKHTMLPart.h:
        * kwq/KWQKHTMLPart.mm:
        (KWQKHTMLPart::handledOnloadEvents):
        * kwq/WebCoreBridge.h:

2005-08-17  Vicki Murley  <vicki@apple.com>

        Reviewed by Maciej.
 
        - fix <rdar://problem/4175734> Crash trying to retrieve data with
        XMLHttpRequest with Content-Type: empty

        Test cases added: 
	* manual-tests/xmlhttprequest-contenttype-empty.html: Added.

	* khtml/ecma/xmlhttprequest.cpp:
	(KJS::XMLHttpRequest::getValueProperty): allow empty entries when splitting to
	create the mime type string, otherwise we access a garbage pointer when stripping
	whitespace

2005-08-16  Darin Adler  <darin@apple.com>

        Reviewed by Maciej.

        - fixed bug that was causing a crash when running layout tests

        * khtml/ecma/kjs_binding.h: Remove unused deleteDOMObject.
        * khtml/ecma/kjs_binding.cpp:
        (KJS::ScriptInterpreter::forgetDOMObject): Move code in here from forgetDOMObject.
        (KJS::ScriptInterpreter::getDOMNodeForDocument): For the null-document case, use the general
        DOM objects map rather than a per-document map.
        (KJS::ScriptInterpreter::forgetDOMNodeForDocument): Ditto.
        (KJS::ScriptInterpreter::putDOMNodeForDocument): Ditto.
        (KJS::ScriptInterpreter::forgetAllDOMNodesForDocument): Assert that document is not null.

2005-08-16  Darin Adler  <darin@apple.com>

        Reviewed by Geoff.

        - changed main_thread_malloc so we don't have two conflicting versions of the same function
          This fixes a crash I was seeing running the WebKit tests.

        * khtml/misc/main_thread_malloc.h: Took out all the ifdefs from this header.
        * khtml/misc/main_thread_malloc.cpp: Added non-NDEBUG versions of the functions that just call
        the system malloc, and put the NDEBUG versions in an #else.

        * WebCore-tests.exp: Export the new stuff so the tests still work.

2005-08-15  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by John.

	- fixed leak of HTML collection info - this can build up to
	hundreds of leaks pretty quickly

	http://bugs.webkit.org/show_bug.cgi?id=4450
	
        * khtml/html/html_miscimpl.cpp:
        (DOM::HTMLCollectionImpl::HTMLCollectionImpl): Initialize new
	m_ownsInfo member.
        (DOM::HTMLCollectionImpl::~HTMLCollectionImpl): Delete info if
	owned.
        (DOM::HTMLCollectionImpl::resetCollectionInfo): When creating new
	info, indicate that it's owned.
        * khtml/html/html_miscimpl.h: Declare new member.

2005-08-16  David Harrison  <harrison@apple.com>

        <rdar://problem/4119646> assertion failure in DOM::Position::upstream at babelfish.com
        <rdar://problem/4125949> Assertion failure clicking outside of textarea in page containing only textarea

        Removed asserts that did not account for iterating from a nested node to its parent.

        Test cases added: n/a for assert removal

        * khtml/xml/dom_position.cpp:
        (DOM::Position::upstream):
        (DOM::Position::downstream):

2005-08-16  Darin Adler  <darin@apple.com>

        Reviewed by Beth Dakin.

        - removed Panther-only code that was not being compiled and was
          simply "bit-rotting"

        * WebCorePrefix.h:
        * khtml/misc/loader.cpp:
        (CachedImage::CachedImage):
        * khtml/rendering/render_canvasimage.cpp:
        * kwq/KWQAccObject.mm:
        (-[KWQAccObject roleDescription]):
        (-[KWQAccObject accessibilityAttributeNames]):
        (-[KWQAccObject accessibilityActionDescription:]):
        (-[KWQAccObject accessibilityAttributeValue:]):
        (-[KWQAccObject accessibilityIsAttributeSettable:]):
        * kwq/KWQComboBox.mm:
        (QComboBox::QComboBox):
        * kwq/KWQFoundationExtras.h:
        (KWQCFAutorelease):
        * kwq/KWQPixmap.mm:
        (QPixmap::QPixmap):
        (QPixmap::receivedData):
        * kwq/KWQString.h:
        (QChar::direction):
        * kwq/KWQTextArea.mm:
        (-[KWQTextArea tile]):
        * kwq/KWQTextEdit.mm:
        (QTextEdit::setScrollBarModes):
        * kwq/KWQTextField.mm:
        (-[KWQTextFieldController string]):
        * kwq/KWQTextUtilities.mm:
        (currentTextBreakLocaleID):
        * kwq/WebCoreScrollView.m:

2005-08-16  Darin Adler  <darin@apple.com>

        Reviewed by Beth Dakin.

        - removed some unnecessary code

        * kwq/KWQKHTMLPart.mm: (KWQKHTMLPart::imageFromRect): Remove code to call
        setAdditionalPatternPhase since that is no longer needed.

        * kwq/WebCoreGraphicsBridge.h: Remove unused setAdditionalPatternPhase,
        createRGBColorSpace, createGrayColorSpace, and createCMYKColorSpace methods.
        * kwq/WebCoreGraphicsBridge.m: Ditto.

2005-08-16  Eric Seidel  <eseidel@apple.com>
        Fix by Tobias Lidskog <tobiaslidskog@mac.com>

        Reviewed by eseidel.

        * kcanvas/KCanvasItem.cpp:
        (KCanvasItem::bbox):
        (KCanvasItem::invalidate):
        Now caches both stroke and fill bboxes for better performance.
        http://bugs.webkit.org/show_bug.cgi?id=4445

2005-08-16  Eric Seidel  <eseidel@apple.com>
        Fix from Tobias Lidskog <tobiaslidskog@mac.com>

        Reviewed by eseidel.

        * kcanvas/KCanvasContainer.cpp:
        (KCanvasContainer::needsTemporaryBuffer):
        * kcanvas/device/KRenderingPaintServerSolid.cpp:
        (KRenderingPaintServerSolid::opacity):
        * kcanvas/device/KRenderingPaintServerSolid.h:
        * kcanvas/device/KRenderingStyle.cpp:
        (KRenderingStyle::Private::Private):
        (KRenderingStyle::opacity):
        (KRenderingStyle::setOpacity):
        * kcanvas/device/KRenderingStyle.h:
        * kcanvas/device/quartz/KCanvasResourcesQuartz.mm:
        (KCanvasContainerQuartz::draw):
        * kcanvas/device/quartz/KRenderingPaintServerQuartz.mm:
        (KRenderingPaintServerSolidQuartz::draw):
        (KRenderingPaintServerPatternQuartz::draw):
        * kcanvas/device/quartz/QuartzSupport.mm:
        (applyStyleToContext):
        * ksvg2/core/KCanvasRenderingStyle.cpp:
        (KCanvasRenderingStyle::opacity):
        (KCanvasRenderingStyle::setOpacity):
        * ksvg2/core/KCanvasRenderingStyle.h:
        Change all references to Opacity to use floats.
        http://bugs.webkit.org/show_bug.cgi?id=4431

2005-08-16  Eric Seidel  <eseidel@apple.com>

        Reviewed by mjs.

        * WebCore.xcodeproj/project.pbxproj: bison cleanup.
        * kdom/ecma/DOMLookup.h: now uses throwError
        * kdom/ecma/Ecma.cpp: 
        (Ecma::~Ecma): now uses clearProperties
        * kdom/ecma/GlobalObject.cpp: now uses throwError
        (GlobalObject::clear): now uses clearProperties
        (GlobalObjectFunc::callAsFunction): now uses throwError
        Fixes necessary for WebCore+SVG after 4437.
        http://bugs.webkit.org/show_bug.cgi?id=4453

2005-08-15  Vicki Murley  <vicki@apple.com>

        Reviewed by Maciej.
 
	- fixed <rdar://problem/4094363> Can't re-open a window at capripalace.com website because 
	"close" fails on already-closed window

        Test cases added: 
        * manual-tests/close-on-closedWindow.html: Added.

        * khtml/ecma/kjs_window.cpp:
        (KJS::Window::getOwnPropertySlot): allow close calls on windows that have already been closed

2005-08-15  Darin Adler  <darin@apple.com>

        Reviewed by Geoff.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4437
          clean up error creation with new throwError function

        * khtml/css/cssstyleselector.cpp:
        (khtml::CSSStyleSelector::CSSStyleSelector):
        (khtml::parseUASheet):
        (khtml::CSSStyleSelector::initElementAndPseudoState):
        (khtml::checkPseudoState):
        (khtml::CSSStyleSelector::locateCousinList):
        (khtml::CSSStyleSelector::locateSharedStyle):
        (khtml::CSSStyleSelector::adjustRenderStyle):
        (khtml::CSSStyleSelector::checkOneSelector):
        (khtml::CSSRuleSet::addToRuleSet):
        (khtml::colorForCSSValue):
        (khtml::CSSStyleSelector::applyProperty):
        (khtml::CSSStyleSelector::mapBackgroundAttachment):
        (khtml::CSSStyleSelector::mapBackgroundImage):
        (khtml::CSSStyleSelector::mapBackgroundRepeat):
        (khtml::CSSStyleSelector::mapBackgroundXPosition):
        (khtml::CSSStyleSelector::mapBackgroundYPosition):
        (khtml::CSSStyleSelector::getComputedSizeFromSpecifiedSize):
        * khtml/ecma/domparser.cpp:
        (KJS::DOMParserProtoFunc::callAsFunction):
        * khtml/ecma/kjs_binding.cpp:
        (KJS::ScriptInterpreter::putDOMObject):
        (KJS::ScriptInterpreter::putDOMNodeForDocument):
        (KJS::setDOMException):
        * khtml/ecma/kjs_css.cpp:
        (KJS::DOMCSSStyleDeclarationProtoFunc::callAsFunction):
        (KJS::DOMStyleSheetListFunc::callAsFunction):
        (KJS::KJS::DOMMediaListProtoFunc::callAsFunction):
        (KJS::DOMCSSStyleSheetProtoFunc::callAsFunction):
        (KJS::DOMCSSRuleListFunc::callAsFunction):
        (KJS::DOMCSSRuleFunc::callAsFunction):
        (KJS::DOMCSSPrimitiveValueProtoFunc::callAsFunction):
        (KJS::DOMCSSValueListFunc::callAsFunction):
        * khtml/ecma/kjs_dom.cpp:
        (KJS::DOMNodeProtoFunc::callAsFunction):
        (KJS::DOMNodeListFunc::callAsFunction):
        (KJS::DOMDocumentProtoFunc::callAsFunction):
        (KJS::DOMElementProtoFunc::callAsFunction):
        (KJS::DOMDOMImplementationProtoFunc::callAsFunction):
        (KJS::DOMNamedNodeMapProtoFunc::callAsFunction):
        (KJS::DOMCharacterDataProtoFunc::callAsFunction):
        (KJS::DOMTextProtoFunc::callAsFunction):
        * khtml/ecma/kjs_events.cpp:
        (KJS::DOMEventProtoFunc::callAsFunction):
        (KJS::DOMUIEventProtoFunc::callAsFunction):
        (KJS::DOMMouseEventProtoFunc::callAsFunction):
        (KJS::DOMKeyboardEventProtoFunc::callAsFunction):
        (KJS::DOMMutationEventProtoFunc::callAsFunction):
        (KJS::DOMWheelEventProtoFunc::callAsFunction):
        (KJS::ClipboardProtoFunc::callAsFunction):
        * khtml/ecma/kjs_html.cpp:
        (KJS::KJS::HTMLDocFunction::callAsFunction):
        (KJS::KJS::HTMLElementFunction::callAsFunction):
        (KJS::KJS::HTMLCollectionProtoFunc::callAsFunction):
        (KJS::KJS::Context2DFunction::callAsFunction):
        (KJS::Context2D::putValueProperty):
        (KJS::GradientFunction::callAsFunction):
        * khtml/ecma/kjs_navigator.cpp:
        (KJS::NavigatorFunc::callAsFunction):
        * khtml/ecma/kjs_range.cpp:
        (KJS::DOMRangeProtoFunc::callAsFunction):
        * khtml/ecma/kjs_traversal.cpp:
        (KJS::DOMNodeIteratorProtoFunc::callAsFunction):
        (KJS::DOMNodeFilterProtoFunc::callAsFunction):
        (KJS::DOMTreeWalkerProtoFunc::callAsFunction):
        * khtml/ecma/kjs_views.cpp:
        (KJS::DOMAbstractViewFunc::callAsFunction):
        * khtml/ecma/kjs_window.cpp:
        (KJS::Window::interpreter):
        (KJS::Window::retrieveWindow):
        (KJS::Window::retrieveActive):
        (KJS::Window::isSafeScript):
        (KJS::Window::clear):
        (KJS::WindowFunc::callAsFunction):
        (KJS::ScheduledAction::execute):
        (KJS::WindowQObject::pauseTimeouts):
        (KJS::LocationFunc::callAsFunction):
        (KJS::Selection::toString):
        (KJS::SelectionFunc::callAsFunction):
        (KJS::HistoryFunc::callAsFunction):
        * khtml/ecma/xmlhttprequest.cpp:
        (KJS::XMLHttpRequestProtoFunc::callAsFunction):
        * khtml/ecma/xmlserializer.cpp:
        (KJS::XMLSerializerProtoFunc::callAsFunction):

2005-08-15  David Harrison  <harrison@apple.com>

        Reviewed by Darin.

        <rdar://problem/4202641> Line breaks do not happen inside whitespace:pre; word-wrap: break-word
        
        Test cases added: fast/text/whitespace/tab-character-basics.html

        Refined Dave's earlier patch for this bug to handle whitespace:pre that is not at the beginning of a line.
        
        * khtml/rendering/bidi.cpp:
        (khtml::RenderBlock::findNextLineBreak):
        * layout-tests/fast/text/whitespace/tab-character-basics-expected.txt: Added.
        * layout-tests/fast/text/whitespace/tab-character-basics.html: Added.

2005-08-15  Darin Adler  <darin@apple.com>

        Reviewed by Justin.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4324
          WebCore build does a slow "nmedit -s" step that's unnecessary

        * WebCore.xcodeproj/project.pbxproj: Stop using EXPORTED_SYMBOLS_FILE, since it does an
        unneccessary nmedit step that is particularly slow for WebCore. Instead, define
        WEBCORE_EXPORTED_SYMBOLS_FILE and put a flag into OTHER_LDFLAGS.

2005-08-14  Andrew Wellington  <proton@wiretapped.net>

        Reviewed and landed by Darin.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=3429
          Text transformed with text-transform does not copy with transform applied

        Test cases added:
        * layout-tests/editing/pasteboard/paste-text-019-expected.txt: Added.
        * layout-tests/editing/pasteboard/paste-text-019.html: Added.

        * khtml/editing/visible_text.cpp:
        (khtml::TextIterator::handleTextNode): Use the DOMString from the RenderText, not the DOM text node.
        (khtml::TextIterator::handleTextBox): Ditto.

2005-08-14  Darin Adler  <darin@apple.com>

        - fixed build of some unit tests

        * khtml/misc/main_thread_malloc.h: We use functions from <stdlib.h> here in
        debug mode, so #include <stdlib.h>.

2005-08-14  Darin Adler  <darin@apple.com>

        Reviewed by Maciej.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4422
          QFont has mistake where it caches computed pitch value incorrectly

        * kwq/KWQFont.mm:
        (QFont::setFamily): Set _pitch to Unknown when setting _NSFont to nil.
        (QFont::setFirstFamily): Ditto.
        (QFont::setPixelSize): Ditto. Might be unneeded; it would be bad to have the same font
        with different pitch settings at different sizes. But better to be safe.
        (QFont::setWeight): Ditto. Same caveat.
        (QFont::setItalic): Ditto. Ditto.

2005-08-14  Oliver Hunt  <ojh16@student.canterbury.ac.nz>

        Reviewed and landed by Darin.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=3692
          Word-spacing doesn't work as expected

        Test cases added:
        * layout-tests/fast/css/word-space-extra-expected.txt: Added.
        * layout-tests/fast/css/word-space-extra.html: Added.

        * khtml/rendering/bidi.cpp:
        (khtml::RenderBlock::constructLine):
        (khtml::RenderBlock::computeHorizontalPositionsForLine):
        (khtml::RenderBlock::findNextLineBreak):
        * khtml/rendering/font.cpp:
        (Font::drawText):
        * khtml/rendering/font.h:
        (khtml::Font::getWordSpacing):
        * khtml/rendering/render_line.cpp:
        (khtml::InlineFlowBox::placeBoxesHorizontally):
        * khtml/rendering/render_line.h:
        * khtml/rendering/render_text.cpp:
        (RenderText::widthFromCache):
        (RenderText::trimmedMinMaxWidth):
        (RenderText::calcMinMaxWidth):
        * khtml/rendering/render_text.h:
        (khtml::InlineTextBox::setStart):
        (khtml::InlineTextBox::setLen):

2005-08-14  Maciej Stachowiak  <mjs@apple.com>

        - updated test cases for new editing delegate output

        * layout-tests/editing/deleting/collapse-whitespace-3587601-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3608430-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3608445-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3608462-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3775172-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3800834-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3857753-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3865854-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3928305-fix-expected.txt:
        * layout-tests/editing/deleting/delete-3959464-fix-expected.txt:
        * layout-tests/editing/deleting/delete-4038408-fix-expected.txt:
        * layout-tests/editing/deleting/delete-4083333-fix-expected.txt:
        * layout-tests/editing/deleting/delete-after-span-ws-001-expected.txt:
        * layout-tests/editing/deleting/delete-after-span-ws-002-expected.txt:
        * layout-tests/editing/deleting/delete-after-span-ws-003-expected.txt:
        * layout-tests/editing/deleting/delete-and-undo-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-001-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-002-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-003-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-004-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-005-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-006-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-007-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-008-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-009-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-010-expected.txt:
        * layout-tests/editing/deleting/delete-at-paragraph-boundaries-011-expected.txt:
        * layout-tests/editing/deleting/delete-block-contents-001-expected.txt:
        * layout-tests/editing/deleting/delete-block-contents-002-expected.txt:
        * layout-tests/editing/deleting/delete-block-contents-003-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-001-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-002-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-003-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-004-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-005-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-006-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-007-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-008-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-009-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-010-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-012-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-013-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-014-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-015-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-016-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-017-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-018-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-019-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-020-expected.txt:
        * layout-tests/editing/deleting/delete-block-merge-contents-021-expected.txt:
        * layout-tests/editing/deleting/delete-br-001-expected.txt:
        * layout-tests/editing/deleting/delete-br-002-expected.txt:
        * layout-tests/editing/deleting/delete-br-003-expected.txt:
        * layout-tests/editing/deleting/delete-br-004-expected.txt:
        * layout-tests/editing/deleting/delete-br-005-expected.txt:
        * layout-tests/editing/deleting/delete-br-006-expected.txt:
        * layout-tests/editing/deleting/delete-br-007-expected.txt:
        * layout-tests/editing/deleting/delete-br-008-expected.txt:
        * layout-tests/editing/deleting/delete-br-009-expected.txt:
        * layout-tests/editing/deleting/delete-br-010-expected.txt:
        * layout-tests/editing/deleting/delete-br-011-expected.txt:
        * layout-tests/editing/deleting/delete-character-001-expected.txt:
        * layout-tests/editing/deleting/delete-contiguous-ws-001-expected.txt:
        * layout-tests/editing/deleting/delete-image-001-expected.txt:
        * layout-tests/editing/deleting/delete-image-002-expected.txt:
        * layout-tests/editing/deleting/delete-image-003-expected.txt:
        * layout-tests/editing/deleting/delete-image-004-expected.txt:
        * layout-tests/editing/deleting/delete-leading-ws-001-expected.txt:
        * layout-tests/editing/deleting/delete-line-001-expected.txt:
        * layout-tests/editing/deleting/delete-line-002-expected.txt:
        * layout-tests/editing/deleting/delete-line-003-expected.txt:
        * layout-tests/editing/deleting/delete-line-004-expected.txt:
        * layout-tests/editing/deleting/delete-line-005-expected.txt:
        * layout-tests/editing/deleting/delete-line-006-expected.txt:
        * layout-tests/editing/deleting/delete-line-007-expected.txt:
        * layout-tests/editing/deleting/delete-line-008-expected.txt:
        * layout-tests/editing/deleting/delete-line-009-expected.txt:
        * layout-tests/editing/deleting/delete-line-010-expected.txt:
        * layout-tests/editing/deleting/delete-line-011-expected.txt:
        * layout-tests/editing/deleting/delete-line-012-expected.txt:
        * layout-tests/editing/deleting/delete-line-013-expected.txt:
        * layout-tests/editing/deleting/delete-line-014-expected.txt:
        * layout-tests/editing/deleting/delete-line-015-expected.txt:
        * layout-tests/editing/deleting/delete-line-016-expected.txt:
        * layout-tests/editing/deleting/delete-line-017-expected.txt:
        * layout-tests/editing/deleting/delete-line-end-ws-001-expected.txt:
        * layout-tests/editing/deleting/delete-line-end-ws-002-expected.txt:
        * layout-tests/editing/deleting/delete-select-all-001-expected.txt:
        * layout-tests/editing/deleting/delete-select-all-002-expected.txt:
        * layout-tests/editing/deleting/delete-select-all-003-expected.txt:
        * layout-tests/editing/deleting/delete-selection-001-expected.txt:
        * layout-tests/editing/deleting/delete-tab-001-expected.txt:
        * layout-tests/editing/deleting/delete-tab-002-expected.txt:
        * layout-tests/editing/deleting/delete-tab-003-expected.txt:
        * layout-tests/editing/deleting/delete-tab-004-expected.txt:
        * layout-tests/editing/deleting/delete-trailing-ws-001-expected.txt:
        * layout-tests/editing/deleting/delete-trailing-ws-002-expected.txt:
        * layout-tests/editing/deleting/delete-ws-fixup-001-expected.txt:
        * layout-tests/editing/deleting/delete-ws-fixup-002-expected.txt:
        * layout-tests/editing/deleting/delete-ws-fixup-003-expected.txt:
        * layout-tests/editing/deleting/delete-ws-fixup-004-expected.txt:
        * layout-tests/editing/deleting/forward-delete-expected.txt:
        * layout-tests/editing/deleting/smart-delete-001-expected.txt:
        * layout-tests/editing/deleting/smart-delete-002-expected.txt:
        * layout-tests/editing/execCommand/boldSelection-expected.txt:
        * layout-tests/editing/execCommand/italicizeByCharacter-expected.txt:
        * layout-tests/editing/execCommand/modifyForeColorByCharacter-expected.txt:
        * layout-tests/editing/execCommand/selectAll-expected.txt:
        * layout-tests/editing/inserting/insert-3654864-fix-expected.txt:
        * layout-tests/editing/inserting/insert-3659587-fix-expected.txt:
        * layout-tests/editing/inserting/insert-3775316-fix-expected.txt:
        * layout-tests/editing/inserting/insert-3778059-fix-expected.txt:
        * layout-tests/editing/inserting/insert-3786362-fix-expected.txt:
        * layout-tests/editing/inserting/insert-3800346-fix-expected.txt:
        * layout-tests/editing/inserting/insert-3851164-fix-expected.txt:
        * layout-tests/editing/inserting/insert-3907422-fix-expected.txt:
        * layout-tests/editing/inserting/insert-after-delete-001-expected.txt:
        * layout-tests/editing/inserting/insert-br-001-expected.txt:
        * layout-tests/editing/inserting/insert-br-002-expected.txt:
        * layout-tests/editing/inserting/insert-br-003-expected.txt:
        * layout-tests/editing/inserting/insert-br-004-expected.txt:
        * layout-tests/editing/inserting/insert-br-005-expected.txt:
        * layout-tests/editing/inserting/insert-br-006-expected.txt:
        * layout-tests/editing/inserting/insert-br-007-expected.txt:
        * layout-tests/editing/inserting/insert-br-008-expected.txt:
        * layout-tests/editing/inserting/insert-div-001-expected.txt:
        * layout-tests/editing/inserting/insert-div-002-expected.txt:
        * layout-tests/editing/inserting/insert-div-003-expected.txt:
        * layout-tests/editing/inserting/insert-div-004-expected.txt:
        * layout-tests/editing/inserting/insert-div-005-expected.txt:
        * layout-tests/editing/inserting/insert-div-006-expected.txt:
        * layout-tests/editing/inserting/insert-div-007-expected.txt:
        * layout-tests/editing/inserting/insert-div-008-expected.txt:
        * layout-tests/editing/inserting/insert-div-009-expected.txt:
        * layout-tests/editing/inserting/insert-div-010-expected.txt:
        * layout-tests/editing/inserting/insert-div-011-expected.txt:
        * layout-tests/editing/inserting/insert-div-012-expected.txt:
        * layout-tests/editing/inserting/insert-div-013-expected.txt:
        * layout-tests/editing/inserting/insert-div-014-expected.txt:
        * layout-tests/editing/inserting/insert-div-015-expected.txt:
        * layout-tests/editing/inserting/insert-div-016-expected.txt:
        * layout-tests/editing/inserting/insert-div-017-expected.txt:
        * layout-tests/editing/inserting/insert-div-018-expected.txt:
        * layout-tests/editing/inserting/insert-div-019-expected.txt:
        * layout-tests/editing/inserting/insert-div-020-expected.txt:
        * layout-tests/editing/inserting/insert-div-021-expected.txt:
        * layout-tests/editing/inserting/insert-div-022-expected.txt:
        * layout-tests/editing/inserting/insert-div-023-expected.txt:
        * layout-tests/editing/inserting/insert-div-024-expected.txt:
        * layout-tests/editing/inserting/insert-div-025-expected.txt:
        * layout-tests/editing/inserting/insert-div-026-expected.txt:
        * layout-tests/editing/inserting/insert-div-027-expected.txt:
        * layout-tests/editing/inserting/insert-space-in-empty-doc-expected.txt:
        * layout-tests/editing/inserting/insert-tab-001-expected.txt:
        * layout-tests/editing/inserting/insert-tab-002-expected.txt:
        * layout-tests/editing/inserting/insert-tab-003-expected.txt:
        * layout-tests/editing/inserting/insert-tab-004-expected.txt:
        * layout-tests/editing/inserting/insert-text-with-newlines-expected.txt:
        * layout-tests/editing/inserting/return-key-with-selection-001-expected.txt:
        * layout-tests/editing/inserting/return-key-with-selection-002-expected.txt:
        * layout-tests/editing/inserting/return-key-with-selection-003-expected.txt:
        * layout-tests/editing/inserting/typing-001-expected.txt:
        * layout-tests/editing/inserting/typing-002-expected.txt:
        * layout-tests/editing/inserting/typing-003-expected.txt:
        * layout-tests/editing/inserting/typing-around-br-001-expected.txt:
        * layout-tests/editing/inserting/typing-around-image-001-expected.txt:
        * layout-tests/editing/pasteboard/cut-text-001-expected.txt:
        * layout-tests/editing/pasteboard/paste-4035648-fix-expected.txt:
        * layout-tests/editing/pasteboard/paste-4038267-fix-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-001-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-002-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-003-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-004-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-005-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-006-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-007-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-008-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-009-expected.txt:
        * layout-tests/editing/pasteboard/paste-line-endings-010-expected.txt:
        * layout-tests/editing/pasteboard/paste-match-style-001-expected.txt:
        * layout-tests/editing/pasteboard/paste-match-style-002-expected.txt:
        * layout-tests/editing/pasteboard/paste-pre-001-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-001-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-002-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-003-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-004-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-005-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-006-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-007-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-008-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-009-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-010-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-011-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-012-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-013-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-014-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-015-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-016-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-017-expected.txt:
        * layout-tests/editing/pasteboard/paste-text-018-expected.txt:
        * layout-tests/editing/pasteboard/smart-paste-001-expected.txt:
        * layout-tests/editing/pasteboard/smart-paste-002-expected.txt:
        * layout-tests/editing/pasteboard/smart-paste-003-expected.txt:
        * layout-tests/editing/pasteboard/smart-paste-004-expected.txt:
        * layout-tests/editing/pasteboard/smart-paste-005-expected.txt:
        * layout-tests/editing/pasteboard/smart-paste-006-expected.txt:
        * layout-tests/editing/pasteboard/smart-paste-007-expected.txt:
        * layout-tests/editing/selection/move-between-blocks-no-001-expected.txt:
        * layout-tests/editing/selection/select-all-001-expected.txt:
        * layout-tests/editing/selection/select-all-002-expected.txt:
        * layout-tests/editing/selection/select-all-003-expected.txt:
        * layout-tests/editing/selection/select-all-004-expected.txt:
        * layout-tests/editing/style/block-style-001-expected.txt:
        * layout-tests/editing/style/block-style-002-expected.txt:
        * layout-tests/editing/style/block-style-003-expected.txt:
        * layout-tests/editing/style/block-style-004-expected.txt:
        * layout-tests/editing/style/block-style-005-expected.txt:
        * layout-tests/editing/style/block-style-006-expected.txt:
        * layout-tests/editing/style/block-styles-007-expected.txt:
        * layout-tests/editing/style/create-block-for-style-001-expected.txt:
        * layout-tests/editing/style/create-block-for-style-002-expected.txt:
        * layout-tests/editing/style/create-block-for-style-003-expected.txt:
        * layout-tests/editing/style/create-block-for-style-004-expected.txt:
        * layout-tests/editing/style/create-block-for-style-005-expected.txt:
        * layout-tests/editing/style/create-block-for-style-006-expected.txt:
        * layout-tests/editing/style/create-block-for-style-007-expected.txt:
        * layout-tests/editing/style/create-block-for-style-008-expected.txt:
        * layout-tests/editing/style/create-block-for-style-009-expected.txt:
        * layout-tests/editing/style/create-block-for-style-010-expected.txt:
        * layout-tests/editing/style/create-block-for-style-011-expected.txt:
        * layout-tests/editing/style/create-block-for-style-012-expected.txt:
        * layout-tests/editing/style/create-block-for-style-013-expected.txt:
        * layout-tests/editing/style/relative-font-size-change-001-expected.txt:
        * layout-tests/editing/style/relative-font-size-change-002-expected.txt:
        * layout-tests/editing/style/relative-font-size-change-003-expected.txt:
        * layout-tests/editing/style/relative-font-size-change-004-expected.txt:
        * layout-tests/editing/style/remove-underline-across-paragraph-expected.txt:
        * layout-tests/editing/style/remove-underline-across-paragraph-in-bold-expected.txt:
        * layout-tests/editing/style/remove-underline-after-paragraph-expected.txt:
        * layout-tests/editing/style/remove-underline-after-paragraph-in-bold-expected.txt:
        * layout-tests/editing/style/remove-underline-expected.txt:
        * layout-tests/editing/style/remove-underline-from-stylesheet-expected.txt:
        * layout-tests/editing/style/remove-underline-in-bold-expected.txt:
        * layout-tests/editing/style/smoosh-styles-001-expected.txt:
        * layout-tests/editing/style/smoosh-styles-002-expected.txt:
        * layout-tests/editing/style/smoosh-styles-003-expected.txt:
        * layout-tests/editing/style/style-3681552-fix-001-expected.txt:
        * layout-tests/editing/style/style-3681552-fix-002-expected.txt:
        * layout-tests/editing/style/style-3690704-fix-expected.txt:
        * layout-tests/editing/style/style-3998892-fix-expected.txt:
        * layout-tests/editing/style/style-boundary-001-expected.txt:
        * layout-tests/editing/style/style-boundary-002-expected.txt:
        * layout-tests/editing/style/style-boundary-003-expected.txt:
        * layout-tests/editing/style/style-boundary-004-expected.txt:
        * layout-tests/editing/style/typing-style-001-expected.txt:
        * layout-tests/editing/style/typing-style-002-expected.txt:
        * layout-tests/editing/style/typing-style-003-expected.txt:
        * layout-tests/editing/style/unbold-in-bold-expected.txt:
        * layout-tests/editing/style/underline-expected.txt:
        * layout-tests/editing/undo/redo-typing-001-expected.txt:
        * layout-tests/editing/undo/undo-typing-001-expected.txt:
        * layout-tests/editing/unsupported-content/list-delete-001-expected.txt:
        * layout-tests/editing/unsupported-content/list-delete-002-expected.txt:
        * layout-tests/editing/unsupported-content/list-delete-003-expected.txt:
        * layout-tests/editing/unsupported-content/list-type-after-expected.txt:
        * layout-tests/editing/unsupported-content/list-type-before-expected.txt:
        * layout-tests/editing/unsupported-content/table-delete-001-expected.txt:
        * layout-tests/editing/unsupported-content/table-delete-002-expected.txt:
        * layout-tests/editing/unsupported-content/table-delete-003-expected.txt:
        * layout-tests/editing/unsupported-content/table-type-after-expected.txt:
        * layout-tests/editing/unsupported-content/table-type-before-expected.txt:
        * layout-tests/fast/selectors/159-expected.txt:
        * layout-tests/fast/selectors/177a-expected.txt:

2005-08-14  Darin Adler  <darin@apple.com>

        Reviewed by Maciej.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4420
          make border drawing faster by removing code to alloc/dealloc NSBezierPath

        * kwq/KWQPainter.h: Remove unused drawLineSegments, drawPolyline, and drawPolygon.
        * kwq/KWQPainter.mm:
        (QPainter::drawConvexPolygon): Move the body of _drawPoints into here, and remove the
        various unused code paths. Use CoreGraphics calls instead of NSBezierPath.

2005-08-14  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Darin.

        - apply a tasty candy shell of inlining and main_thread_malloc for a 1% speedup on HTML iBench
	http://bugs.webkit.org/show_bug.cgi?id=4425
	
        * kwq/KWQArrayImpl.h:
        (KWQArrayImpl::size):
        * kwq/KWQArrayImpl.mm:
        * kwq/KWQMapImpl.h:
        * kwq/KWQMapImpl.mm:
        * kwq/KWQRefPtr.h:
        (::KWQRefPtr):
        (::operator):
        (::ref):
        (::unref):
        * kwq/KWQValueListImpl.h:
        (KWQValueListIteratorImpl::KWQValueListIteratorImpl):
        (KWQValueListIteratorImpl::operator==):
        (KWQValueListIteratorImpl::operator!=):
        (KWQValueListIteratorImpl::node):
        (KWQValueListIteratorImpl::operator++):
        (KWQValueListIteratorImpl::operator--):
        (KWQValueListNodeImpl::KWQValueListNodeImpl):
        * kwq/KWQValueListImpl.mm:
        (KWQValueListImpl::KWQValueListPrivate::KWQValueListPrivate):
        (KWQValueListImpl::KWQValueListPrivate::~KWQValueListPrivate):

2005-08-14  Duncan Wilcox  <duncan@mclink.it>

        Reviewed and landed by Darin.

        WebCore part of fix for <http://bugs.webkit.org/show_bug.cgi?id=4011>:
        "Editing delegate selection methods not called when using mouse"

        Clicking on editable content would move the cursor or alter the selection without
        calling the appropriate editing delegate method
        (webView:shouldChangeSelectedDOMRange:toDOMRange:affinity:stillSelecting:). The
        core of the patch is in the KHTMLPart::hadnleMousePressEvent* methods, the rest
        is glue needed to drill through all the layers.

        * khtml/khtml_part.cpp:
        * khtml/khtml_part.cpp:
        (KHTMLPart::shouldChangeSelection): Glue to call editing delegate.
        (KHTMLPart::findTextNext): Call editing delegate before changing selection.
        (KHTMLPart::selectClosestWordFromMouseEvent): Ditto.
        (KHTMLPart::handleMousePressEventTripleClick): Ditto.
        (KHTMLPart::handleMousePressEventSingleClick): Ditto.
        (KHTMLPart::handleMouseMoveEventSelection): Ditto.
        (KHTMLPart::khtmlMouseReleaseEvent): Ditto.
        (KHTMLPart::selectAll): Ditto.
        (KHTMLPart::appliedEditing): Ditto.
        (KHTMLPart::unappliedEditing): Ditto.
        (KHTMLPart::reappliedEditing): Ditto.
        (KHTMLPart::selectFrameElementInParentIfFullySelected): Ditto.

        * khtml/khtml_part.h: Added shouldChangeSelection glue method.
        * kwq/KWQKHTMLPart.h: Ditto.

        * kwq/KWQKHTMLPart.mm:
        (KWQKHTMLPart::shouldChangeSelection): Glue to call editing delegate.

        * kwq/WebCoreBridge.h: Added shouldChangeSelectedDOMRange:toDOMRange:affinity:stillSelecting: glue method.

2005-08-14  Darin Adler  <darin@apple.com>

        Fixed by Alexey Proskuryakov <ap@nypop.com>.
        Reviewed and landed by Darin.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=3590
          should allow <meta> tags for encoding even after </head>

        Test cases added:
        * layout-tests/fast/encoding/mispositioned-meta-expected.txt: Added.
        * layout-tests/fast/encoding/mispositioned-meta.html: Added.

        * khtml/misc/decoder.cpp: (Decoder::decode): Don't stop scanning when seeing </head>.

2005-08-14  Anders Carlsson  <andersca@mac.com>

        Reviewed and landed by Darin.

        Test cases added: 	
        * layout-tests/dom/html/level2/events/dispatchEvent08-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent10-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent12-expected.txt:
	These pass now.
	
        * layout-tests/dom/html/level2/events/dispatchEvent11-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent13-expected.txt:
	These fail someplace else now.
	
        * khtml/ecma/kjs_events.cpp:
        (KJS::JSAbstractEventListener::handleEvent):
	Check if the listener has a "handleEvent" function property and
	call that.
	
        * khtml/xml/dom_nodeimpl.cpp:
        (DOM::NodeImpl::dispatchGenericEvent):
	A capturing event listener should not be triggered if an event is
	dispatched directly to the node to which the listener has been added.

2005-08-14  Anders Carlsson  <andersca@mac.com>

        Reviewed and landed by Darin.

        Test cases added: 
        * layout-tests/dom/html/level2/core/hc_nodedocumentfragmentnormalize2-expected.txt:
	This passes now.
	
        * khtml/xml/dom_nodeimpl.cpp:
        (DOM::NodeImpl::normalize):
	If there's a single empty text child, remove it.
	
2005-08-14  Anders Carlsson  <andersca@mac.com>

        Reviewed and landed by Darin.

        Test cases added:
        * layout-tests/dom/html/level2/html/HTMLSelectElement20-expected.txt:
	This passes now.

        * khtml/ecma/kjs_html.cpp:
        (KJS::KJS::HTMLElementFunction::callAsFunction):
        (KJS::KJS::HTMLSelectCollection::put):
	Handle exceptions.

        * khtml/html/html_formimpl.cpp:
        (DOM::HTMLSelectElementImpl::add):
        * khtml/html/html_formimpl.h:
	Make ::add raise an exception if before isn't a descendant
	of the select element.

        * kwq/DOMHTML.mm:
        (-[DOMHTMLSelectElement add::]):
	Handle the exception.

2005-08-12  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by adele.

        * manual-tests/liveconnect-security-exception.html:
            - fixed wrong codebase path
            - added instruction to disable popup blocking

2005-08-11  Adele Peterson  <adele@apple.com>

        Reviewed by Darin.

        Test cases added: (NONE)

        -fixed <rdar://problem/4166839> CSS font-family and font-size ignored on <select> element with size > 1

        Changed KWQListBox to get the font from the widget.

        * kwq/KWQListBox.h: added setFont method
        * kwq/KWQListBox.mm:
        (QListBox::setFont): Added.
        (QListBox::sizeForNumberOfLines): if the new font is the same as the system font, use the old system for cacheing the text renderer.
        Otherwise, create a text renderer based on the new font, and a bold version of the new font.
        (-[KWQTableView drawRow:clipRect:]): ditto.
        (-[KWQTableView initWithListBox:]): moved setRowHeight call to fontChanged, so the height will reflect the new font.
        (-[KWQTableView fontChanged]): Added.

2005-08-11  David Hyatt  <hyatt@apple.com>

	Refine the baseline alignment rule for inline blocks to cover for a hole in the spec.  The spec doesnt say what to do
	for overflow cases, e.g., when the last line is clipped, when the overflow box is scrolled, or even when overflow is
	visible but the last line is outside your content box.  We just revert to the old behavior in those cases.  Hopefully
	the spec will be clarified to explain what the right behavior is.
	
        Reviewed by beth

        Test cases added: fast/inline-block/tricky-baseline.html

        * khtml/rendering/render_block.cpp:
        (khtml::RenderBlock::baselinePosition):

2005-08-11  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        * WebCore+SVG/DrawView.mm:
        (-[DrawViewPrivate drawRect:]): added additional NULL check.
        * kcanvas/device/quartz/KCanvasFilterQuartz.mm:
        (KCanvasFilterQuartz::applyFilter): removed NSLog.
        * kcanvas/device/quartz/KRenderingPaintServerQuartz.mm:
        (KRenderingPaintServerPatternQuartz::draw): removed NSLog.
        Removed debugging logs, and fixed crasher for empty SVGs.
        http://bugs.webkit.org/show_bug.cgi?id=4384

2005-08-11  Geoffrey Garen  <ggaren@apple.com>

        * layout-tests/fast/js/date-big-setdate.html: fixed title

2005-08-11  Eric Seidel  <eseidel@apple.com>

        No review needed, copyright update in comments.
        All kdom, ksvg2, and kcanvas files affected.
        http://bugs.webkit.org/show_bug.cgi?id=4382

2005-08-10  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Geoff.

        Test cases added:

        * layout-tests/fast/js/assign.html: Added. Test case for assignment to make sure
	I didn't break anything.
        * layout-tests/fast/js/code-serialize-paren.html: Added, test case for a minor bug
	I fixed where parens were not getting serialized at all when turning a function
	into a string.

2005-08-11  Maciej Stachowiak  <mjs@apple.com>

        At Least Rougly Glanced At by Anders.

	- fix change with totally breaks the layout tests.

	Changed all the tests below to avoid dumping more than once -
	since this now prints more than one separator, it totally throws
	off the layout test driver so it needs to be avoided.
	
        * layout-tests/dom/html/level2/html/HTMLFormElement10-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLFormElement10.html:
        * layout-tests/dom/html/level2/html/HTMLFormElement10.js:
        * layout-tests/fast/events/onunload-expected.txt:
        * layout-tests/fast/events/onunload.html:
        * layout-tests/fast/js/location-assign-expected.txt:
        * layout-tests/fast/js/location-assign.html:

2005-08-10  Geoffrey Garen  <ggaren@apple.com>

        -added layout test for fix to <rdar://problem/4151132> REGRESSION: Some applet 
        liveconnect calls throws privilege exception.
        
        (See JavaScriptCore Changelog for fix details.)

        * manual-tests/liveconnect-security-exception.html: Added.
        * manual-tests/resources/TestApplet.class: Added.
        * manual-tests/resources/TestApplet.java: Added.
        (TestApplet):
        (TestApplet.init):
        (TestApplet.method):
        * manual-tests/resources/liveconnect-security-exception-popup.html: Added.

2005-08-10  Vicki Murley  <vicki@apple.com>

	Changes from Curt Arnold, reviewed by Vicki.

	Fix http://bugs.webkit.org/show_bug.cgi?id=4174 (DOM layout tests involving two 
	documents fail due to test framework problem), and update expected results for tests
	affected by this change.
	
        * layout-tests/dom/html/level1/core/hc_attrappendchild5-expected.txt:
        * layout-tests/dom/html/level1/core/hc_attrinsertbefore6-expected.txt:
        * layout-tests/dom/html/level1/core/hc_elementwrongdocumenterr-expected.txt:
        * layout-tests/dom/html/level1/core/hc_namednodemapwrongdocumenterr-expected.txt:
        * layout-tests/dom/html/level1/core/hc_nodeappendchildnewchilddiffdocument-expected.txt:
        * layout-tests/dom/html/level1/core/hc_nodeinsertbeforenewchilddiffdocument-expected.txt:
        * layout-tests/dom/html/level1/core/hc_nodereplacechildnewchilddiffdocument-expected.txt:
        * layout-tests/dom/html/level1/core/selfhtml.js:
        * layout-tests/dom/html/level2/core/selfhtml.js:
        * layout-tests/dom/html/level2/events/selfhtml.js:
        * layout-tests/dom/html/level2/html/selfhtml.js:

2005-08-10  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        Test cases:
        * svg-tests/W3C-SVG-1.1/script-handle-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-03-b.svg-disabled: Removed.
        * svg-tests/W3C-SVG-1.1/script-handle-04-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-04-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-04-b.svg-disabled: Removed.
        * svg-tests/W3C-SVG-1.1/struct-dom-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-01-b.svg-disabled: Removed.
        * svg-tests/W3C-SVG-1.1/struct-dom-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-02-b.svg-disabled: Removed.
        * svg-tests/W3C-SVG-1.1/struct-dom-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-03-b.svg-disabled: Removed.
        * svg-tests/W3C-SVG-1.1/struct-dom-04-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-04-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-04-b.svg-disabled: Removed.
        * svg-tests/W3C-SVG-1.1/struct-dom-05-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-05-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-05-b.svg-disabled: Removed.
        * svg-tests/W3C-SVG-1.1/struct-dom-06-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-06-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-06-b.svg-disabled: Removed.
        Re-enabled previously crashing SVG test cases:
        http://bugs.webkit.org/show_bug.cgi?id=4338

2005-08-10  Vicki Murley  <vicki@apple.com>

        Reviewed by John.
 
	- attempted fix for <rdar://problem/4070895> 8A428: Unrepro Safari crash on 
	friendster.com (XMLHttpRequest::changeState) 

        Test cases added: None - there are no known reproducible cases of this crash

        * khtml/ecma/xmlhttprequest.cpp:
        (KJS::XMLHttpRequest::changeState): add checks for NULL document

2005-08-10  Adele Peterson  <adele@apple.com>

        Bumping version to 420+

        * Info.plist:

2005-08-09  David Harrison  <harrison@apple.com>

        Reviewed by Dave Hyatt.

        <rdar://problem/4210906> Word selection wrong with tabs

        Test cases added: selection/extend-by-word-001-html

        * khtml/editing/visible_text.cpp:
        (khtml::TextIterator::handleTextNode):
        * layout-tests/editing/selection/extend-by-word-001-html: Added.
        * layout-tests/editing/selection/extend-by-word-001-expected.txt: Added.

2005-08-09  Justin Garcia  <justin.garcia@apple.com>

        Patch by Anders Carlsson  <andersca@mac.com>

        Fixes <http://bugs.webkit.org/show_bug.cgi?id=3837>
            Page nearly loads but then returned to default page by javascript issue

        Reviewed by darin

        Test cases added:
        * layout-tests/fast/tokenizer/script-after-frameset-expected.txt: Added.
        * layout-tests/fast/tokenizer/script-after-frameset.html: Added.

        * khtml/html/htmltokenizer.cpp:
        (khtml::HTMLTokenizer::scriptHandler):

2005-08-09  Justin Garcia  <justin.garcia@apple.com>

        Patch by Anders Carlsson <andersca@mac.com>
        
        Fixes <http://bugs.webkit.org/show_bug.cgi?id=4330>
            hasFeature('xhtml', ...) should return true

        Reviewed by darin

        Test cases updated:
        * layout-tests/dom/html/level2/html/HTMLBodyElement09-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLBodyElement10-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLDocument24-expected.txt:
        * layout-tests/dom/html/level2/html/HTMLDocument25-expected.txt:
        * layout-tests/dom/html/level2/html/hasFeature03-expected.txt:
        * layout-tests/dom/html/level2/html/hasFeature04-expected.txt:
        These are successful now.
        
        * khtml/xml/dom_docimpl.cpp:
        (DOMImplementationImpl::hasFeature):
        Support "xhtml".

2005-08-09  Justin Garcia  <justin.garcia@apple.com>

        Patch by Anders Carlsson <andersca@mac.com>

        Fixes <http://bugs.webkit.org/show_bug.cgi?id=4322> 
	       date-big-setdate.html testcase fails if the timezone isn't UTC-8
	
        Reviewed by darin
        
        Test cases added:
        * layout-tests/fast/js/date-big-setdate-expected.txt:
        * layout-tests/fast/js/date-big-setdate.html:
        Compare the millisecond value of the dates to see if they're
        sequential instead of simply printing the dates.

2005-08-09  Justin Garcia  <justin.garcia@apple.com>

        Patch by Anders Carlsson <andersca@mac.com

        Reviewed by darin
        
        Fixes <http://bugs.webkit.org/show_bug.cgi?id=4331> dispatchEvent should raise an exception
        
        Test cases added:
        * layout-tests/dom/html/level2/events/createEvent01-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent01-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent02-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent03-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent04-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent05-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent06-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent07-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent09-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent11-expected.txt:
        * layout-tests/dom/html/level2/events/initEvent01-expected.txt:
        * layout-tests/dom/html/level2/events/initEvent02-expected.txt:
        * layout-tests/dom/html/level2/events/initEvent03-expected.txt:
        These tests pass now.
	
        * layout-tests/dom/html/level2/events/dispatchEvent08-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent10-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent12-expected.txt:
        * layout-tests/dom/html/level2/events/dispatchEvent13-expected.txt:
        These tests fail somplace else now.

        * khtml/dom/dom2_events.h:
        (DOM::EventException::):
        Add _EXCEPTION_OFFSET and _EXCEPTION_MAX.
	
        * khtml/ecma/kjs_binding.cpp:
        (KJS::setDOMException):
        Handle EventExceptions.
	
        * khtml/xml/dom_docimpl.cpp:
        (DocumentImpl::createEvent):
        Allow "Events" as event type.
	
        * khtml/xml/dom_nodeimpl.cpp:
        (DOM::NodeImpl::dispatchEvent):
        Raise exception if event is NULL, uninitialized, or if its name is the empty string.
        	
        * kwq/DOMInternal.mm:
        (raiseDOMException):
        Handle EventExceptions.

2005-08-09  David Hyatt  <hyatt@apple.com>

	Implement baseline alignment support for inline blocks.  Inline blocks are supposed to use
	the baseline of the last line in the block as their baseline.  For marquees we still
	bottom align, since marquees really have no discernible baseline in many cases (and this
	retains compatibility with WinIE).
	
        Reviewed by cblu

        Test cases added: 006.html in fast/inline-block

        * khtml/rendering/render_block.cpp:
        (khtml::RenderBlock::baselinePosition):
        (khtml::RenderBlock::getBaselineOfLastLineBox):
        * khtml/rendering/render_block.h:
        * khtml/rendering/render_object.h:
        (khtml::RenderObject::getBaselineOfLastLineBox):
        * layout-tests/css1/box_properties/acid_test-expected.txt:
        * layout-tests/fast/css/MarqueeLayoutTest-expected.txt:
        * layout-tests/fast/forms/007-expected.txt:
        * layout-tests/fast/inline-block/001-expected.txt:
        * layout-tests/fast/inline-block/001.html:
        * layout-tests/fast/inline-block/006-expected.txt: Added.
        * layout-tests/fast/inline-block/006.html: Added.
        * layout-tests/fast/selectors/064-expected.txt:

2005-08-09  Vicki Murley  <vicki@apple.com>

        Fixed by Anders Carlsson, Reviewed by Maciej.

	- fixed <rdar://problem/4071417> add XMLSerializer object to WebCore's JavaScript support (4046)
 
        Test cases added: 
        * layout-tests/fast/dom/XMLSerializer-expected.txt: Added.
        * layout-tests/fast/dom/XMLSerializer.html: Added.

        * khtml/ecma/xmlserializer.cpp:
        (KJS::XMLSerializerProtoFunc::callAsFunction): allow any node to be serialized, not just documents

2005-08-09  Adele Peterson  <adele@apple.com>

        Reviewed by Darin.
        
        - fixed <rdar://problem/4056369> XML parsing hits disk to turn URL incorrectly passed as relative path name into absolute (prevents idle sleep)

        * khtml/xml/xml_tokenizer.cpp:
        (khtml::createQStringParser): removed last parameter, since we are no longer passing the url to xmlCreatePushParserCtxt
        (khtml::XMLTokenizer::finish): removed last parameter from createQStringParser

2005-08-08  David Hyatt  <hyatt@apple.com>

	Fix for radar bug #4202641, make sure line breaks happen inside
	white-space:pre if word-wrap:break-word is set.
	
        Reviewed by darin

        Test cases added: fast/text/whitespace/pre-break-word.html

        * khtml/rendering/bidi.cpp:
        (khtml::RenderBlock::findNextLineBreak):

2005-08-08  Darin Adler  <darin@apple.com>

        Reviewed by John.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4298
          JS crash with DOM2 mouse event with incorrect view

        Test cases added:
        * layout-tests/fast/events/init-event-null-view-expected.txt: Added.
        * layout-tests/fast/events/init-event-null-view.html: Added.

        * khtml/xml/dom2_eventsimpl.cpp: (MouseRelatedEventImpl::computeLayerPos): Added nil check.

2005-08-08  David Hyatt  <hyatt@apple.com>

	This patch implements support for <input type=radio> in the engine and removes the NSView-based
	control.
	
	Reviewed by: John Sullivan
	
        * ForwardingHeaders/qradiobutton.h: Removed.
        * WebCore.xcodeproj/project.pbxproj:
        Removing the old QRadioButton from the project.
	
	* khtml/css/html4.css:
        Add the CSS rule to give radio buttons the correct appearance.
	
	* khtml/html/html_formimpl.cpp:
        (DOM::HTMLInputElementImpl::click):
        Now that radio button has no corresponding QWidget, move its click handling case down to match
	the other widget-less controls.
	
	(DOM::HTMLInputElementImpl::createRenderer):
	The special renderer doesn't have to be made any more.  Radio now behaves like checkbox and just
	makes a renderer based off the specified display type in CSS.
	
        (DOM::HTMLInputElementImpl::setChecked):
        Fix a regression that prevented unnamed checkboxes from functioning properly.  Make sure to
	only disallow the selecting of unnamed radio buttons.
	
	(DOM::HTMLInputElementImpl::valueWithDefault):
	Fix some mis-indented ifdefs.
	
        (DOM::HTMLInputElementImpl::preDispatchEventHandler):
        Added a new event handler method that is called prior to the dispatch of the event into the DOM.
	This function is necessary because checkboxes and radio buttons need to check/uncheck *prior* to
	the onclick actually being sent into the DOM.
	
	(DOM::HTMLInputElementImpl::defaultEventHandler):
        Remove the code that attempted to check/uncheck checkboxes from this function, since it was called
	*after* onclick was handled in the DOM, and this was too late.  The code has moved into 
	preDispatchEventHandler instead.
	
	* khtml/html/html_formimpl.h:
        * khtml/rendering/render_form.cpp:
        * khtml/rendering/render_form.h:
        Removed RenderRadioButton, the custom renderer that used to wrap QRadioButton.
	
	* khtml/rendering/render_theme.cpp:
        (khtml::RenderTheme::adjustStyle):
        (khtml::RenderTheme::paint):
	Add the radio button case to these methods.
	
        (khtml::RenderTheme::adjustCheckboxStyle):
        (khtml::RenderTheme::adjustRadioStyle):
        Rework these methods to move all of the control size selection based off font into the
	derived class.  These methods stay in the base class and call a virtual setCheckbox/RadioSize
	method to get the size set up properly.
	
	* khtml/rendering/render_theme.h:
        (khtml::RenderTheme::setCheckboxSize):
        (khtml::RenderTheme::setRadioSize):
        The two new virtual methods that a derived class can override to set initial sizes.
	
	* khtml/rendering/render_theme_mac.h:
        * khtml/rendering/render_theme_mac.mm:
        (khtml::RenderThemeMac::inflateRect):
        (khtml::RenderThemeMac::setControlSize):
        (khtml::RenderThemeMac::sizeForFont):
        (khtml::RenderThemeMac::setSizeFromFont):
        (khtml::RenderThemeMac::checkboxSizes):
        (khtml::RenderThemeMac::setCheckboxCellState):
        (khtml::RenderThemeMac::setCheckboxSize):
        Patched all of these methods to deal with QSizes instead of ints, since radio buttons are not
	square.
	
	(khtml::RenderThemeMac::paintRadio):
        (khtml::RenderThemeMac::radioSizes):
        (khtml::RenderThemeMac::radioMargins):
        (khtml::RenderThemeMac::setRadioCellState):
        (khtml::RenderThemeMac::setRadioSize):
        The implementation of radio buttons.  Virtually identical to checkbox.
	
	* khtml/xml/dom_nodeimpl.cpp:
        (DOM::NodeImpl::dispatchGenericEvent):
        Add the invocation of preDispatchEventHandler prior to the dispatch of the event.
	
	* khtml/xml/dom_nodeimpl.h:
        (DOM::NodeImpl::preDispatchEventHandler):
        The stubbed out empty virtual function in the base class.  Overridden in HTMLInputElementImpl
	to check/uncheck radio buttons and checkboxes prior to the click event being sent into the DOM.
	
	* kwq/KWQAccObject.mm:
        (-[KWQAccObject actionElement]):
        (-[KWQAccObject role]):
        (-[KWQAccObject roleDescription]):
        (-[KWQAccObject value]):
        (-[KWQAccObject accessibilityIsAttributeSettable:]):
        The implementation of radio button accessibility.  Identical to checkbox (just a different role).
	
	* kwq/KWQRadioButton.h: Removed.
        * kwq/KWQRadioButton.mm: Removed.
	Removed the old radio button files for QRadioButton.
	
2005-08-08  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        The rest of the changes necessary for darin's Object/Value removal.
        These fixes are for kdom/ksvg2 and allow WebCore+SVG to compile.
        http://bugs.webkit.org/show_bug.cgi?id=4332
        * kdom/Attr.cpp:
        (Attr::getValueProperty):
        (Attr::putValueProperty):
        * kdom/Attr.h:
        * kdom/CharacterData.cpp:
        (CharacterData::getValueProperty):
        (CharacterData::putValueProperty):
        (CharacterDataProtoFunc::callAsFunction):
        * kdom/CharacterData.h:
        * kdom/DOMConfiguration.cpp:
        (DOMConfiguration::getValueProperty):
        (DOMConfigurationProtoFunc::callAsFunction):
        * kdom/DOMConfiguration.h:
        * kdom/DOMError.cpp:
        (DOMError::getValueProperty):
        * kdom/DOMError.h:
        * kdom/DOMErrorHandler.cpp:
        (DOMErrorHandler::getValueProperty):
        (DOMErrorHandlerProtoFunc::callAsFunction):
        * kdom/DOMErrorHandler.h:
        * kdom/DOMException.cpp:
        (DOMException::getValueProperty):
        * kdom/DOMException.h:
        * kdom/DOMImplementation.cpp:
        (DOMImplementation::getValueProperty):
        (DOMImplementationProtoFunc::callAsFunction):
        * kdom/DOMImplementation.h:
        * kdom/DOMLocator.cpp:
        (DOMLocator::getValueProperty):
        * kdom/DOMLocator.h:
        * kdom/DOMStringList.cpp:
        (DOMStringList::getValueProperty):
        (DOMStringListProtoFunc::callAsFunction):
        * kdom/DOMStringList.h:
        * kdom/DOMUserData.cpp:
        (DOMUserData::getValueProperty):
        * kdom/DOMUserData.h:
        * kdom/Document.cpp:
        (KDOM::Document::getValueProperty):
        (KDOM::Document::putValueProperty):
        (KDOM::DocumentProtoFunc::callAsFunction):
        * kdom/Document.h:
        * kdom/DocumentType.cpp:
        (DocumentType::getValueProperty):
        * kdom/DocumentType.h:
        * kdom/Element.cpp:
        (Element::getValueProperty):
        (ElementProtoFunc::callAsFunction):
        * kdom/Element.h:
        * kdom/Entity.cpp:
        (Entity::getValueProperty):
        * kdom/Entity.h:
        * kdom/NamedNodeMap.cpp:
        (NamedNodeMap::getValueProperty):
        (NamedNodeMapProtoFunc::callAsFunction):
        * kdom/NamedNodeMap.h:
        * kdom/Node.cpp:
        (Node::getValueProperty):
        (Node::putValueProperty):
        (NodeProtoFunc::callAsFunction):
        * kdom/Node.h:
        * kdom/NodeList.cpp:
        (NodeList::getValueProperty):
        (NodeListProtoFunc::callAsFunction):
        * kdom/NodeList.h:
        * kdom/Notation.cpp:
        (Notation::getValueProperty):
        * kdom/Notation.h:
        * kdom/ProcessingInstruction.cpp:
        (ProcessingInstruction::getValueProperty):
        (ProcessingInstruction::putValueProperty):
        * kdom/ProcessingInstruction.h:
        * kdom/Text.cpp:
        (Text::getValueProperty):
        (TextProtoFunc::callAsFunction):
        * kdom/Text.h:
        * kdom/TypeInfo.cpp:
        (TypeInfo::getValueProperty):
        (TypeInfoProtoFunc::callAsFunction):
        * kdom/TypeInfo.h:
        * kdom/css/CSSCharsetRule.cpp:
        (CSSCharsetRule::getValueProperty):
        (CSSCharsetRule::putValueProperty):
        * kdom/css/CSSCharsetRule.h:
        * kdom/css/CSSFontFaceRule.cpp:
        (CSSFontFaceRule::getValueProperty):
        * kdom/css/CSSFontFaceRule.h:
        * kdom/css/CSSImportRule.cpp:
        (CSSImportRule::getValueProperty):
        * kdom/css/CSSImportRule.h:
        * kdom/css/CSSMediaRule.cpp:
        (CSSMediaRule::getValueProperty):
        (CSSMediaRuleProtoFunc::callAsFunction):
        * kdom/css/CSSMediaRule.h:
        * kdom/css/CSSPageRule.cpp:
        (CSSPageRule::getValueProperty):
        (CSSPageRule::putValueProperty):
        * kdom/css/CSSPageRule.h:
        * kdom/css/CSSPrimitiveValue.cpp:
        (KDOM::CSSPrimitiveValue::getValueProperty):
        (KDOM::CSSPrimitiveValueProtoFunc::callAsFunction):
        * kdom/css/CSSPrimitiveValue.h:
        * kdom/css/CSSRule.cpp:
        (CSSRule::getValueProperty):
        (CSSRule::putValueProperty):
        * kdom/css/CSSRule.h:
        * kdom/css/CSSRuleList.cpp:
        (CSSRuleList::getValueProperty):
        (CSSRuleListProtoFunc::callAsFunction):
        * kdom/css/CSSRuleList.h:
        * kdom/css/CSSStyleDeclaration.cpp:
        (CSSStyleDeclaration::getValueProperty):
        (CSSStyleDeclaration::putValueProperty):
        (CSSStyleDeclarationProtoFunc::callAsFunction):
        * kdom/css/CSSStyleDeclaration.h:
        * kdom/css/CSSStyleRule.cpp:
        (CSSStyleRule::getValueProperty):
        (CSSStyleRule::putValueProperty):
        * kdom/css/CSSStyleRule.h:
        * kdom/css/CSSStyleSheet.cpp:
        (CSSStyleSheet::getValueProperty):
        (CSSStyleSheetProtoFunc::callAsFunction):
        * kdom/css/CSSStyleSheet.h:
        * kdom/css/CSSValue.cpp:
        (CSSValue::getValueProperty):
        (CSSValue::putValueProperty):
        * kdom/css/CSSValue.h:
        * kdom/css/CSSValueList.cpp:
        (CSSValueList::getValueProperty):
        (CSSValueListProtoFunc::callAsFunction):
        * kdom/css/CSSValueList.h:
        * kdom/css/Counter.cpp:
        (Counter::getValueProperty):
        * kdom/css/Counter.h:
        * kdom/css/DocumentStyle.cpp:
        (DocumentStyle::getValueProperty):
        * kdom/css/DocumentStyle.h:
        * kdom/css/MediaList.cpp:
        (MediaList::getValueProperty):
        (MediaList::putValueProperty):
        (MediaListProtoFunc::callAsFunction):
        * kdom/css/MediaList.h:
        * kdom/css/RGBColor.cpp:
        (KDOM::RGBColor::getValueProperty):
        * kdom/css/RGBColor.h:
        * kdom/css/Rect.cpp:
        (KDOM::Rect::getValueProperty):
        * kdom/css/Rect.h:
        * kdom/css/StyleSheet.cpp:
        (StyleSheet::getValueProperty):
        (StyleSheet::putValueProperty):
        * kdom/css/StyleSheet.h:
        * kdom/css/StyleSheetList.cpp:
        (StyleSheetList::getValueProperty):
        (StyleSheetListProtoFunc::callAsFunction):
        * kdom/css/StyleSheetList.h:
        * kdom/data/generateddata.cpp:
        (AbstractView::get):
        (AbstractView::getInParents):
        (AbstractView::prototype):
        (AbstractView::cache):
        (Attr::get):
        (Attr::getInParents):
        (Attr::prototype):
        (Attr::cache):
        (CSSCharsetRule::get):
        (CSSCharsetRule::getInParents):
        (CSSCharsetRule::prototype):
        (CSSCharsetRule::cache):
        (CSSFontFaceRule::get):
        (CSSFontFaceRule::getInParents):
        (CSSFontFaceRule::prototype):
        (CSSFontFaceRule::cache):
        (CSSImportRule::get):
        (CSSImportRule::getInParents):
        (CSSImportRule::prototype):
        (CSSImportRule::cache):
        (CSSMediaRule::hasProperty):
        (CSSMediaRule::get):
        (CSSMediaRule::getInParents):
        (CSSMediaRule::prototype):
        (CSSMediaRule::cache):
        (CSSPageRule::get):
        (CSSPageRule::getInParents):
        (CSSPageRule::prototype):
        (CSSPageRule::cache):
        (CSSPrimitiveValue::hasProperty):
        (CSSPrimitiveValue::get):
        (CSSPrimitiveValue::getInParents):
        (CSSPrimitiveValue::prototype):
        (CSSPrimitiveValue::cache):
        (CSSRule::get):
        (CSSRule::getInParents):
        (CSSRule::prototype):
        (CSSRule::cache):
        (CSSRuleList::hasProperty):
        (CSSRuleList::get):
        (CSSRuleList::getInParents):
        (CSSRuleList::prototype):
        (CSSRuleList::cache):
        (CSSStyleDeclaration::hasProperty):
        (CSSStyleDeclaration::get):
        (CSSStyleDeclaration::getInParents):
        (CSSStyleDeclaration::prototype):
        (CSSStyleDeclaration::cache):
        (CSSStyleRule::get):
        (CSSStyleRule::getInParents):
        (CSSStyleRule::prototype):
        (CSSStyleRule::cache):
        (CSSStyleSheet::hasProperty):
        (CSSStyleSheet::get):
        (CSSStyleSheet::getInParents):
        (CSSStyleSheet::prototype):
        (CSSStyleSheet::cache):
        (CSSValue::get):
        (CSSValue::getInParents):
        (CSSValue::prototype):
        (CSSValue::cache):
        (CSSValueList::hasProperty):
        (CSSValueList::get):
        (CSSValueList::getInParents):
        (CSSValueList::prototype):
        (CSSValueList::cache):
        (CharacterData::hasProperty):
        (CharacterData::get):
        (CharacterData::getInParents):
        (CharacterData::prototype):
        (CharacterData::cache):
        (Counter::get):
        (Counter::getInParents):
        (Counter::prototype):
        (Counter::cache):
        (DOMConfiguration::hasProperty):
        (DOMConfiguration::get):
        (DOMConfiguration::getInParents):
        (DOMConfiguration::prototype):
        (DOMConfiguration::cache):
        (DOMError::get):
        (DOMError::getInParents):
        (DOMError::prototype):
        (DOMError::cache):
        (DOMErrorHandler::hasProperty):
        (DOMErrorHandler::get):
        (DOMErrorHandler::getInParents):
        (DOMErrorHandler::prototype):
        (DOMErrorHandler::cache):
        (DOMException::get):
        (DOMException::getInParents):
        (DOMException::prototype):
        (DOMException::cache):
        (DOMImplementation::hasProperty):
        (DOMImplementation::get):
        (DOMImplementation::getInParents):
        (DOMImplementation::prototype):
        (DOMImplementation::cache):
        (DOMLocator::get):
        (DOMLocator::getInParents):
        (DOMLocator::prototype):
        (DOMLocator::cache):
        (DOMStringList::hasProperty):
        (DOMStringList::get):
        (DOMStringList::getInParents):
        (DOMStringList::prototype):
        (DOMStringList::cache):
        (DOMUserData::get):
        (DOMUserData::getInParents):
        (DOMUserData::prototype):
        (DOMUserData::cache):
        (Document::hasProperty):
        (Document::get):
        (Document::getInParents):
        (Document::prototype):
        (Document::cache):
        (DocumentEvent::hasProperty):
        (DocumentEvent::get):
        (DocumentEvent::getInParents):
        (DocumentEvent::prototype):
        (DocumentEvent::cache):
        (DocumentRange::hasProperty):
        (DocumentRange::get):
        (DocumentRange::getInParents):
        (DocumentRange::prototype):
        (DocumentRange::cache):
        (DocumentStyle::get):
        (DocumentStyle::getInParents):
        (DocumentStyle::prototype):
        (DocumentStyle::cache):
        (DocumentTraversal::hasProperty):
        (DocumentTraversal::get):
        (DocumentTraversal::getInParents):
        (DocumentTraversal::prototype):
        (DocumentTraversal::cache):
        (DocumentType::get):
        (DocumentType::getInParents):
        (DocumentType::prototype):
        (DocumentType::cache):
        (DocumentView::get):
        (DocumentView::getInParents):
        (DocumentView::prototype):
        (DocumentView::cache):
        (Element::hasProperty):
        (Element::get):
        (Element::getInParents):
        (Element::prototype):
        (Element::cache):
        (Entity::get):
        (Entity::getInParents):
        (Entity::prototype):
        (Entity::cache):
        (Event::hasProperty):
        (Event::get):
        (Event::getInParents):
        (Event::prototype):
        (Event::cache):
        (EventException::get):
        (EventException::getInParents):
        (EventException::prototype):
        (EventException::cache):
        (EventTarget::hasProperty):
        (EventTarget::get):
        (EventTarget::getInParents):
        (EventTarget::prototype):
        (EventTarget::cache):
        (KeyboardEvent::hasProperty):
        (KeyboardEvent::get):
        (KeyboardEvent::getInParents):
        (KeyboardEvent::prototype):
        (KeyboardEvent::cache):
        (LSException::get):
        (LSException::getInParents):
        (LSException::prototype):
        (LSException::cache):
        (LSInput::get):
        (LSInput::getInParents):
        (LSInput::prototype):
        (LSInput::cache):
        (LSOutput::get):
        (LSOutput::getInParents):
        (LSOutput::prototype):
        (LSOutput::cache):
        (LSParser::hasProperty):
        (LSParser::get):
        (LSParser::getInParents):
        (LSParser::prototype):
        (LSParser::cache):
        (LSParserFilter::hasProperty):
        (LSParserFilter::get):
        (LSParserFilter::getInParents):
        (LSParserFilter::prototype):
        (LSParserFilter::cache):
        (LSResourceResolver::hasProperty):
        (LSResourceResolver::get):
        (LSResourceResolver::getInParents):
        (LSResourceResolver::prototype):
        (LSResourceResolver::cache):
        (LSSerializer::hasProperty):
        (LSSerializer::get):
        (LSSerializer::getInParents):
        (LSSerializer::prototype):
        (LSSerializer::cache):
        (LSSerializerFilter::get):
        (LSSerializerFilter::getInParents):
        (LSSerializerFilter::prototype):
        (LSSerializerFilter::cache):
        (MediaList::hasProperty):
        (MediaList::get):
        (MediaList::getInParents):
        (MediaList::prototype):
        (MediaList::cache):
        (MouseEvent::hasProperty):
        (MouseEvent::get):
        (MouseEvent::getInParents):
        (MouseEvent::prototype):
        (MouseEvent::cache):
        (MutationEvent::hasProperty):
        (MutationEvent::get):
        (MutationEvent::getInParents):
        (MutationEvent::prototype):
        (MutationEvent::cache):
        (NamedNodeMap::hasProperty):
        (NamedNodeMap::get):
        (NamedNodeMap::getInParents):
        (NamedNodeMap::prototype):
        (NamedNodeMap::cache):
        (Node::hasProperty):
        (Node::get):
        (Node::getInParents):
        (Node::prototype):
        (Node::cache):
        (NodeIterator::hasProperty):
        (NodeIterator::get):
        (NodeIterator::getInParents):
        (NodeIterator::prototype):
        (NodeIterator::cache):
        (NodeList::hasProperty):
        (NodeList::get):
        (NodeList::getInParents):
        (NodeList::prototype):
        (NodeList::cache):
        (Notation::get):
        (Notation::getInParents):
        (Notation::prototype):
        (Notation::cache):
        (ProcessingInstruction::get):
        (ProcessingInstruction::getInParents):
        (ProcessingInstruction::prototype):
        (ProcessingInstruction::cache):
        (KDOM::RGBColor::get):
        (KDOM::RGBColor::getInParents):
        (KDOM::RGBColor::prototype):
        (KDOM::RGBColor::cache):
        (Range::hasProperty):
        (Range::get):
        (Range::getInParents):
        (Range::prototype):
        (Range::cache):
        (RangeException::get):
        (RangeException::getInParents):
        (RangeException::prototype):
        (RangeException::cache):
        (KDOM::Rect::get):
        (KDOM::Rect::getInParents):
        (KDOM::Rect::prototype):
        (KDOM::Rect::cache):
        (StyleSheet::get):
        (StyleSheet::getInParents):
        (StyleSheet::prototype):
        (StyleSheet::cache):
        (StyleSheetList::hasProperty):
        (StyleSheetList::get):
        (StyleSheetList::getInParents):
        (StyleSheetList::prototype):
        (StyleSheetList::cache):
        (Text::hasProperty):
        (Text::get):
        (Text::getInParents):
        (Text::prototype):
        (Text::cache):
        (TreeWalker::hasProperty):
        (TreeWalker::get):
        (TreeWalker::getInParents):
        (TreeWalker::prototype):
        (TreeWalker::cache):
        (TypeInfo::hasProperty):
        (TypeInfo::get):
        (TypeInfo::getInParents):
        (TypeInfo::prototype):
        (TypeInfo::cache):
        (UIEvent::hasProperty):
        (UIEvent::get):
        (UIEvent::getInParents):
        (UIEvent::prototype):
        (UIEvent::cache):
        (XPathEvaluator::hasProperty):
        (XPathEvaluator::get):
        (XPathEvaluator::getInParents):
        (XPathEvaluator::prototype):
        (XPathEvaluator::cache):
        (XPathException::get):
        (XPathException::getInParents):
        (XPathException::prototype):
        (XPathException::cache):
        (XPathExpression::hasProperty):
        (XPathExpression::get):
        (XPathExpression::getInParents):
        (XPathExpression::prototype):
        (XPathExpression::cache):
        (XPathNSResolver::hasProperty):
        (XPathNSResolver::get):
        (XPathNSResolver::getInParents):
        (XPathNSResolver::prototype):
        (XPathNSResolver::cache):
        (XPathNamespace::get):
        (XPathNamespace::getInParents):
        (XPathNamespace::prototype):
        (XPathNamespace::cache):
        (XPathResult::hasProperty):
        (XPathResult::get):
        (XPathResult::getInParents):
        (XPathResult::prototype):
        (XPathResult::cache):
        * kdom/ecma/DOMBridge.h:
        (KDOM::DOMBridge::get):
        (KDOM::DOMRWBridge::put):
        (KDOM::DOMBridgeCtor::get):
        * kdom/ecma/DOMLookup.h:
        (KDOM::lookupGet):
        (KDOM::lookupGetValue):
        (KDOM::lookupPut):
        * kdom/ecma/Ecma.cpp:
        (Ecma::setup):
        (Ecma::evaluate):
        (Ecma::globalObject):
        (Ecma::ecmaListenerToObject):
        (Ecma::findEventListener):
        (Ecma::createEventListener):
        (KDOM::getDOMNode):
        (KDOM::getDOMEvent):
        (KDOM::getDOMCSSRule):
        (KDOM::getDOMCSSValue):
        (KDOM::toDOMString):
        (KDOM::getDOMString):
        (KDOM::toVariant):
        * kdom/ecma/Ecma.h:
        (KDOM::ecma_cast):
        (KDOM::safe_cache):
        * kdom/ecma/GlobalObject.cpp:
        (GlobalObject::retrieveActive):
        (GlobalObject::get):
        (GlobalObject::put):
        (GlobalObjectFunc::callAsFunction):
        (ScheduledAction::ScheduledAction):
        (ScheduledAction::execute):
        (GlobalQObject::installTimeout):
        * kdom/ecma/GlobalObject.h:
        * kdom/ecma/ScriptInterpreter.cpp:
        (ScriptInterpreter::ScriptInterpreter):
        * kdom/ecma/ScriptInterpreter.h:
        (KDOM::cacheDOMObject):
        (KDOM::cacheGlobalBridge):
        * kdom/events/DocumentEvent.cpp:
        (DocumentEvent::getValueProperty):
        (DocumentEventProtoFunc::callAsFunction):
        * kdom/events/DocumentEvent.h:
        * kdom/events/Event.cpp:
        (Event::getValueProperty):
        (EventProtoFunc::callAsFunction):
        * kdom/events/Event.h:
        * kdom/events/EventException.cpp:
        (EventException::getValueProperty):
        * kdom/events/EventException.h:
        * kdom/events/EventTarget.cpp:
        (EventTarget::getValueProperty):
        (EventTargetProtoFunc::callAsFunction):
        * kdom/events/EventTarget.h:
        * kdom/events/KeyboardEvent.cpp:
        (KeyboardEvent::getValueProperty):
        (KeyboardEventProtoFunc::callAsFunction):
        * kdom/events/KeyboardEvent.h:
        * kdom/events/MouseEvent.cpp:
        (MouseEvent::getValueProperty):
        (MouseEventProtoFunc::callAsFunction):
        * kdom/events/MouseEvent.h:
        * kdom/events/MutationEvent.cpp:
        (MutationEvent::getValueProperty):
        (MutationEventProtoFunc::callAsFunction):
        * kdom/events/MutationEvent.h:
        * kdom/events/UIEvent.cpp:
        (UIEvent::getValueProperty):
        (UIEventProtoFunc::callAsFunction):
        * kdom/events/UIEvent.h:
        * kdom/events/impl/EventListenerImpl.cpp:
        (EventListenerImpl::EventListenerImpl):
        (EventListenerImpl::~EventListenerImpl):
        (EventListenerImpl::handleEvent):
        (EventListenerImpl::ecmaListener):
        (EventListenerImpl::initListener):
        * kdom/events/impl/EventListenerImpl.h:
        * kdom/impl/DOMUserDataImpl.h:
        (KDOM::):
        * kdom/ls/LSException.cpp:
        (LSException::getValueProperty):
        * kdom/ls/LSException.h:
        * kdom/ls/LSInput.cpp:
        (LSInput::getValueProperty):
        (LSInput::putValueProperty):
        * kdom/ls/LSInput.h:
        * kdom/ls/LSOutput.cpp:
        (LSOutput::getValueProperty):
        (LSOutput::putValueProperty):
        * kdom/ls/LSOutput.h:
        * kdom/ls/LSParser.cpp:
        (LSParser::getValueProperty):
        (LSParser::putValueProperty):
        (LSParserProtoFunc::callAsFunction):
        * kdom/ls/LSParser.h:
        * kdom/ls/LSParserFilter.cpp:
        (LSParserFilter::getValueProperty):
        (LSParserFilterProtoFunc::callAsFunction):
        * kdom/ls/LSParserFilter.h:
        * kdom/ls/LSResourceResolver.cpp:
        (LSResourceResolver::getValueProperty):
        (LSResourceResolverProtoFunc::callAsFunction):
        * kdom/ls/LSResourceResolver.h:
        * kdom/ls/LSSerializer.cpp:
        (LSSerializer::getValueProperty):
        (LSSerializer::putValueProperty):
        (LSSerializerProtoFunc::callAsFunction):
        * kdom/ls/LSSerializer.h:
        * kdom/ls/LSSerializerFilter.cpp:
        (LSSerializerFilter::getValueProperty):
        * kdom/ls/LSSerializerFilter.h:
        * kdom/range/DocumentRange.cpp:
        (DocumentRange::getValueProperty):
        (DocumentRangeProtoFunc::callAsFunction):
        * kdom/range/DocumentRange.h:
        * kdom/range/Range.cpp:
        (Range::getValueProperty):
        (RangeProtoFunc::callAsFunction):
        * kdom/range/Range.h:
        * kdom/range/RangeException.cpp:
        (RangeException::getValueProperty):
        * kdom/range/RangeException.h:
        * kdom/traversal/DocumentTraversal.cpp:
        (DocumentTraversal::getValueProperty):
        (DocumentTraversalProtoFunc::callAsFunction):
        * kdom/traversal/DocumentTraversal.h:
        * kdom/traversal/NodeIterator.cpp:
        (NodeIterator::getValueProperty):
        (NodeIteratorProtoFunc::callAsFunction):
        * kdom/traversal/NodeIterator.h:
        * kdom/traversal/TreeWalker.cpp:
        (TreeWalker::getValueProperty):
        (TreeWalker::putValueProperty):
        (TreeWalkerProtoFunc::callAsFunction):
        * kdom/traversal/TreeWalker.h:
        * kdom/views/AbstractView.cpp:
        (AbstractView::getValueProperty):
        * kdom/views/AbstractView.h:
        * kdom/views/DocumentView.cpp:
        (DocumentView::getValueProperty):
        * kdom/views/DocumentView.h:
        * kdom/xpath/XPathEvaluator.cpp:
        (XPathEvaluator::getValueProperty):
        (XPathEvaluatorProtoFunc::callAsFunction):
        * kdom/xpath/XPathEvaluator.h:
        * kdom/xpath/XPathException.cpp:
        (XPathException::getValueProperty):
        * kdom/xpath/XPathException.h:
        * kdom/xpath/XPathExpression.cpp:
        (XPathExpression::getValueProperty):
        (XPathExpressionProtoFunc::callAsFunction):
        * kdom/xpath/XPathExpression.h:
        * kdom/xpath/XPathNSResolver.cpp:
        (XPathNSResolver::getValueProperty):
        (XPathNSResolverProtoFunc::callAsFunction):
        * kdom/xpath/XPathNSResolver.h:
        * kdom/xpath/XPathNamespace.cpp:
        (XPathNamespace::getValueProperty):
        * kdom/xpath/XPathNamespace.h:
        * kdom/xpath/XPathResult.cpp:
        (XPathResult::getValueProperty):
        (XPathResultProtoFunc::callAsFunction):
        * kdom/xpath/XPathResult.h:
        * ksvg2/KSVGFactory.cpp:
        (KSVGFactory::createPartObject):
        * ksvg2/data/SVGConstants.h:
        (KSVG::SVGNumberConstants::):
        * ksvg2/data/generateddata.cpp:
        (SVGAElement::get):
        (SVGAElement::getInParents):
        (SVGAElement::prototype):
        (SVGAElement::cache):
        (SVGAngle::hasProperty):
        (SVGAngle::get):
        (SVGAngle::getInParents):
        (SVGAngle::prototype):
        (SVGAngle::cache):
        (SVGAnimateColorElement::get):
        (SVGAnimateColorElement::getInParents):
        (SVGAnimateColorElement::prototype):
        (SVGAnimateColorElement::cache):
        (SVGAnimateElement::get):
        (SVGAnimateElement::getInParents):
        (SVGAnimateElement::prototype):
        (SVGAnimateElement::cache):
        (SVGAnimateTransformElement::get):
        (SVGAnimateTransformElement::getInParents):
        (SVGAnimateTransformElement::prototype):
        (SVGAnimateTransformElement::cache):
        (SVGAnimatedAngle::get):
        (SVGAnimatedAngle::getInParents):
        (SVGAnimatedAngle::prototype):
        (SVGAnimatedAngle::cache):
        (SVGAnimatedBoolean::get):
        (SVGAnimatedBoolean::getInParents):
        (SVGAnimatedBoolean::prototype):
        (SVGAnimatedBoolean::cache):
        (SVGAnimatedEnumeration::get):
        (SVGAnimatedEnumeration::getInParents):
        (SVGAnimatedEnumeration::prototype):
        (SVGAnimatedEnumeration::cache):
        (SVGAnimatedInteger::get):
        (SVGAnimatedInteger::getInParents):
        (SVGAnimatedInteger::prototype):
        (SVGAnimatedInteger::cache):
        (SVGAnimatedLength::get):
        (SVGAnimatedLength::getInParents):
        (SVGAnimatedLength::prototype):
        (SVGAnimatedLength::cache):
        (SVGAnimatedLengthList::get):
        (SVGAnimatedLengthList::getInParents):
        (SVGAnimatedLengthList::prototype):
        (SVGAnimatedLengthList::cache):
        (SVGAnimatedNumber::get):
        (SVGAnimatedNumber::getInParents):
        (SVGAnimatedNumber::prototype):
        (SVGAnimatedNumber::cache):
        (SVGAnimatedNumberList::get):
        (SVGAnimatedNumberList::getInParents):
        (SVGAnimatedNumberList::prototype):
        (SVGAnimatedNumberList::cache):
        (SVGAnimatedPathData::get):
        (SVGAnimatedPathData::getInParents):
        (SVGAnimatedPathData::prototype):
        (SVGAnimatedPathData::cache):
        (SVGAnimatedPoints::get):
        (SVGAnimatedPoints::getInParents):
        (SVGAnimatedPoints::prototype):
        (SVGAnimatedPoints::cache):
        (SVGAnimatedPreserveAspectRatio::get):
        (SVGAnimatedPreserveAspectRatio::getInParents):
        (SVGAnimatedPreserveAspectRatio::prototype):
        (SVGAnimatedPreserveAspectRatio::cache):
        (SVGAnimatedRect::get):
        (SVGAnimatedRect::getInParents):
        (SVGAnimatedRect::prototype):
        (SVGAnimatedRect::cache):
        (SVGAnimatedString::get):
        (SVGAnimatedString::getInParents):
        (SVGAnimatedString::prototype):
        (SVGAnimatedString::cache):
        (SVGAnimatedTransformList::get):
        (SVGAnimatedTransformList::getInParents):
        (SVGAnimatedTransformList::prototype):
        (SVGAnimatedTransformList::cache):
        (SVGAnimationElement::hasProperty):
        (SVGAnimationElement::get):
        (SVGAnimationElement::getInParents):
        (SVGAnimationElement::prototype):
        (SVGAnimationElement::cache):
        (SVGCircleElement::get):
        (SVGCircleElement::getInParents):
        (SVGCircleElement::prototype):
        (SVGCircleElement::cache):
        (SVGClipPathElement::get):
        (SVGClipPathElement::getInParents):
        (SVGClipPathElement::prototype):
        (SVGClipPathElement::cache):
        (SVGColor::hasProperty):
        (SVGColor::get):
        (SVGColor::getInParents):
        (SVGColor::prototype):
        (SVGColor::cache):
        (SVGComponentTransferFunctionElement::get):
        (SVGComponentTransferFunctionElement::getInParents):
        (SVGComponentTransferFunctionElement::prototype):
        (SVGComponentTransferFunctionElement::cache):
        (SVGDefsElement::get):
        (SVGDefsElement::getInParents):
        (SVGDefsElement::prototype):
        (SVGDefsElement::cache):
        (SVGDescElement::get):
        (SVGDescElement::getInParents):
        (SVGDescElement::prototype):
        (SVGDescElement::cache):
        (SVGDocument::get):
        (SVGDocument::getInParents):
        (SVGDocument::prototype):
        (SVGDocument::cache):
        (SVGElement::get):
        (SVGElement::getInParents):
        (SVGElement::prototype):
        (SVGElement::cache):
        (SVGElementInstance::get):
        (SVGElementInstance::getInParents):
        (SVGElementInstance::prototype):
        (SVGElementInstance::cache):
        (SVGElementInstanceList::hasProperty):
        (SVGElementInstanceList::get):
        (SVGElementInstanceList::getInParents):
        (SVGElementInstanceList::prototype):
        (SVGElementInstanceList::cache):
        (SVGEllipseElement::get):
        (SVGEllipseElement::getInParents):
        (SVGEllipseElement::prototype):
        (SVGEllipseElement::cache):
        (SVGEvent::get):
        (SVGEvent::getInParents):
        (SVGEvent::prototype):
        (SVGEvent::cache):
        (SVGException::get):
        (SVGException::getInParents):
        (SVGException::prototype):
        (SVGException::cache):
        (SVGExternalResourcesRequired::get):
        (SVGExternalResourcesRequired::getInParents):
        (SVGExternalResourcesRequired::prototype):
        (SVGExternalResourcesRequired::cache):
        (SVGFEBlendElement::get):
        (SVGFEBlendElement::getInParents):
        (SVGFEBlendElement::prototype):
        (SVGFEBlendElement::cache):
        (SVGFEColorMatrixElement::get):
        (SVGFEColorMatrixElement::getInParents):
        (SVGFEColorMatrixElement::prototype):
        (SVGFEColorMatrixElement::cache):
        (SVGFEComponentTransferElement::get):
        (SVGFEComponentTransferElement::getInParents):
        (SVGFEComponentTransferElement::prototype):
        (SVGFEComponentTransferElement::cache):
        (SVGFECompositeElement::get):
        (SVGFECompositeElement::getInParents):
        (SVGFECompositeElement::prototype):
        (SVGFECompositeElement::cache):
        (SVGFEFloodElement::get):
        (SVGFEFloodElement::getInParents):
        (SVGFEFloodElement::prototype):
        (SVGFEFloodElement::cache):
        (SVGFEGaussianBlurElement::hasProperty):
        (SVGFEGaussianBlurElement::get):
        (SVGFEGaussianBlurElement::getInParents):
        (SVGFEGaussianBlurElement::prototype):
        (SVGFEGaussianBlurElement::cache):
        (SVGFEImageElement::get):
        (SVGFEImageElement::getInParents):
        (SVGFEImageElement::prototype):
        (SVGFEImageElement::cache):
        (SVGFEMergeElement::get):
        (SVGFEMergeElement::getInParents):
        (SVGFEMergeElement::prototype):
        (SVGFEMergeElement::cache):
        (SVGFEMergeNodeElement::get):
        (SVGFEMergeNodeElement::getInParents):
        (SVGFEMergeNodeElement::prototype):
        (SVGFEMergeNodeElement::cache):
        (SVGFEOffsetElement::get):
        (SVGFEOffsetElement::getInParents):
        (SVGFEOffsetElement::prototype):
        (SVGFEOffsetElement::cache):
        (SVGFETileElement::get):
        (SVGFETileElement::getInParents):
        (SVGFETileElement::prototype):
        (SVGFETileElement::cache):
        (SVGFETurbulenceElement::get):
        (SVGFETurbulenceElement::getInParents):
        (SVGFETurbulenceElement::prototype):
        (SVGFETurbulenceElement::cache):
        (SVGFilterElement::hasProperty):
        (SVGFilterElement::get):
        (SVGFilterElement::getInParents):
        (SVGFilterElement::prototype):
        (SVGFilterElement::cache):
        (SVGFilterPrimitiveStandardAttributes::get):
        (SVGFilterPrimitiveStandardAttributes::getInParents):
        (SVGFilterPrimitiveStandardAttributes::prototype):
        (SVGFilterPrimitiveStandardAttributes::cache):
        (SVGFitToViewBox::get):
        (SVGFitToViewBox::getInParents):
        (SVGFitToViewBox::prototype):
        (SVGFitToViewBox::cache):
        (SVGGElement::get):
        (SVGGElement::getInParents):
        (SVGGElement::prototype):
        (SVGGElement::cache):
        (SVGGradientElement::get):
        (SVGGradientElement::getInParents):
        (SVGGradientElement::prototype):
        (SVGGradientElement::cache):
        (SVGImageElement::get):
        (SVGImageElement::getInParents):
        (SVGImageElement::prototype):
        (SVGImageElement::cache):
        (SVGLangSpace::get):
        (SVGLangSpace::getInParents):
        (SVGLangSpace::prototype):
        (SVGLangSpace::cache):
        (SVGLength::hasProperty):
        (SVGLength::get):
        (SVGLength::getInParents):
        (SVGLength::prototype):
        (SVGLength::cache):
        (SVGLengthList::hasProperty):
        (SVGLengthList::get):
        (SVGLengthList::getInParents):
        (SVGLengthList::prototype):
        (SVGLengthList::cache):
        (SVGLineElement::get):
        (SVGLineElement::getInParents):
        (SVGLineElement::prototype):
        (SVGLineElement::cache):
        (SVGLinearGradientElement::get):
        (SVGLinearGradientElement::getInParents):
        (SVGLinearGradientElement::prototype):
        (SVGLinearGradientElement::cache):
        (SVGLocatable::hasProperty):
        (SVGLocatable::get):
        (SVGLocatable::getInParents):
        (SVGLocatable::prototype):
        (SVGLocatable::cache):
        (SVGMarkerElement::hasProperty):
        (SVGMarkerElement::get):
        (SVGMarkerElement::getInParents):
        (SVGMarkerElement::prototype):
        (SVGMarkerElement::cache):
        (SVGMatrix::hasProperty):
        (SVGMatrix::get):
        (SVGMatrix::getInParents):
        (SVGMatrix::prototype):
        (SVGMatrix::cache):
        (SVGNumber::get):
        (SVGNumber::getInParents):
        (SVGNumber::prototype):
        (SVGNumber::cache):
        (SVGNumberList::hasProperty):
        (SVGNumberList::get):
        (SVGNumberList::getInParents):
        (SVGNumberList::prototype):
        (SVGNumberList::cache):
        (SVGPaint::hasProperty):
        (SVGPaint::get):
        (SVGPaint::getInParents):
        (SVGPaint::prototype):
        (SVGPaint::cache):
        (SVGPathElement::hasProperty):
        (SVGPathElement::get):
        (SVGPathElement::getInParents):
        (SVGPathElement::prototype):
        (SVGPathElement::cache):
        (SVGPathSeg::get):
        (SVGPathSeg::getInParents):
        (SVGPathSeg::prototype):
        (SVGPathSeg::cache):
        (SVGPathSegArcAbs::get):
        (SVGPathSegArcAbs::getInParents):
        (SVGPathSegArcAbs::prototype):
        (SVGPathSegArcAbs::cache):
        (SVGPathSegArcRel::get):
        (SVGPathSegArcRel::getInParents):
        (SVGPathSegArcRel::prototype):
        (SVGPathSegArcRel::cache):
        (SVGPathSegCurvetoCubicAbs::get):
        (SVGPathSegCurvetoCubicAbs::getInParents):
        (SVGPathSegCurvetoCubicAbs::prototype):
        (SVGPathSegCurvetoCubicAbs::cache):
        (SVGPathSegCurvetoCubicRel::get):
        (SVGPathSegCurvetoCubicRel::getInParents):
        (SVGPathSegCurvetoCubicRel::prototype):
        (SVGPathSegCurvetoCubicRel::cache):
        (SVGPathSegCurvetoCubicSmoothAbs::get):
        (SVGPathSegCurvetoCubicSmoothAbs::getInParents):
        (SVGPathSegCurvetoCubicSmoothAbs::prototype):
        (SVGPathSegCurvetoCubicSmoothAbs::cache):
        (SVGPathSegCurvetoCubicSmoothRel::get):
        (SVGPathSegCurvetoCubicSmoothRel::getInParents):
        (SVGPathSegCurvetoCubicSmoothRel::prototype):
        (SVGPathSegCurvetoCubicSmoothRel::cache):
        (SVGPathSegCurvetoQuadraticAbs::get):
        (SVGPathSegCurvetoQuadraticAbs::getInParents):
        (SVGPathSegCurvetoQuadraticAbs::prototype):
        (SVGPathSegCurvetoQuadraticAbs::cache):
        (SVGPathSegCurvetoQuadraticRel::get):
        (SVGPathSegCurvetoQuadraticRel::getInParents):
        (SVGPathSegCurvetoQuadraticRel::prototype):
        (SVGPathSegCurvetoQuadraticRel::cache):
        (SVGPathSegCurvetoQuadraticSmoothAbs::get):
        (SVGPathSegCurvetoQuadraticSmoothAbs::getInParents):
        (SVGPathSegCurvetoQuadraticSmoothAbs::prototype):
        (SVGPathSegCurvetoQuadraticSmoothAbs::cache):
        (SVGPathSegCurvetoQuadraticSmoothRel::get):
        (SVGPathSegCurvetoQuadraticSmoothRel::getInParents):
        (SVGPathSegCurvetoQuadraticSmoothRel::prototype):
        (SVGPathSegCurvetoQuadraticSmoothRel::cache):
        (SVGPathSegLinetoAbs::get):
        (SVGPathSegLinetoAbs::getInParents):
        (SVGPathSegLinetoAbs::prototype):
        (SVGPathSegLinetoAbs::cache):
        (SVGPathSegLinetoHorizontalAbs::get):
        (SVGPathSegLinetoHorizontalAbs::getInParents):
        (SVGPathSegLinetoHorizontalAbs::prototype):
        (SVGPathSegLinetoHorizontalAbs::cache):
        (SVGPathSegLinetoHorizontalRel::get):
        (SVGPathSegLinetoHorizontalRel::getInParents):
        (SVGPathSegLinetoHorizontalRel::prototype):
        (SVGPathSegLinetoHorizontalRel::cache):
        (SVGPathSegLinetoRel::get):
        (SVGPathSegLinetoRel::getInParents):
        (SVGPathSegLinetoRel::prototype):
        (SVGPathSegLinetoRel::cache):
        (SVGPathSegLinetoVerticalAbs::get):
        (SVGPathSegLinetoVerticalAbs::getInParents):
        (SVGPathSegLinetoVerticalAbs::prototype):
        (SVGPathSegLinetoVerticalAbs::cache):
        (SVGPathSegLinetoVerticalRel::get):
        (SVGPathSegLinetoVerticalRel::getInParents):
        (SVGPathSegLinetoVerticalRel::prototype):
        (SVGPathSegLinetoVerticalRel::cache):
        (SVGPathSegList::hasProperty):
        (SVGPathSegList::get):
        (SVGPathSegList::getInParents):
        (SVGPathSegList::prototype):
        (SVGPathSegList::cache):
        (SVGPathSegMovetoAbs::get):
        (SVGPathSegMovetoAbs::getInParents):
        (SVGPathSegMovetoAbs::prototype):
        (SVGPathSegMovetoAbs::cache):
        (SVGPathSegMovetoRel::get):
        (SVGPathSegMovetoRel::getInParents):
        (SVGPathSegMovetoRel::prototype):
        (SVGPathSegMovetoRel::cache):
        (SVGPatternElement::get):
        (SVGPatternElement::getInParents):
        (SVGPatternElement::prototype):
        (SVGPatternElement::cache):
        (SVGPoint::hasProperty):
        (SVGPoint::get):
        (SVGPoint::getInParents):
        (SVGPoint::prototype):
        (SVGPoint::cache):
        (SVGPointList::hasProperty):
        (SVGPointList::get):
        (SVGPointList::getInParents):
        (SVGPointList::prototype):
        (SVGPointList::cache):
        (SVGPolygonElement::get):
        (SVGPolygonElement::getInParents):
        (SVGPolygonElement::prototype):
        (SVGPolygonElement::cache):
        (SVGPolylineElement::get):
        (SVGPolylineElement::getInParents):
        (SVGPolylineElement::prototype):
        (SVGPolylineElement::cache):
        (SVGPreserveAspectRatio::get):
        (SVGPreserveAspectRatio::getInParents):
        (SVGPreserveAspectRatio::prototype):
        (SVGPreserveAspectRatio::cache):
        (SVGRadialGradientElement::get):
        (SVGRadialGradientElement::getInParents):
        (SVGRadialGradientElement::prototype):
        (SVGRadialGradientElement::cache):
        (SVGRect::get):
        (SVGRect::getInParents):
        (SVGRect::prototype):
        (SVGRect::cache):
        (SVGRectElement::get):
        (SVGRectElement::getInParents):
        (SVGRectElement::prototype):
        (SVGRectElement::cache):
        (SVGSVGElement::hasProperty):
        (SVGSVGElement::get):
        (SVGSVGElement::getInParents):
        (SVGSVGElement::prototype):
        (SVGSVGElement::cache):
        (SVGScriptElement::get):
        (SVGScriptElement::getInParents):
        (SVGScriptElement::prototype):
        (SVGScriptElement::cache):
        (SVGSetElement::get):
        (SVGSetElement::getInParents):
        (SVGSetElement::prototype):
        (SVGSetElement::cache):
        (SVGStopElement::get):
        (SVGStopElement::getInParents):
        (SVGStopElement::prototype):
        (SVGStopElement::cache):
        (SVGStringList::hasProperty):
        (SVGStringList::get):
        (SVGStringList::getInParents):
        (SVGStringList::prototype):
        (SVGStringList::cache):
        (SVGStylable::hasProperty):
        (SVGStylable::get):
        (SVGStylable::getInParents):
        (SVGStylable::prototype):
        (SVGStylable::cache):
        (SVGStyleElement::get):
        (SVGStyleElement::getInParents):
        (SVGStyleElement::prototype):
        (SVGStyleElement::cache):
        (SVGSwitchElement::get):
        (SVGSwitchElement::getInParents):
        (SVGSwitchElement::prototype):
        (SVGSwitchElement::cache):
        (SVGSymbolElement::get):
        (SVGSymbolElement::getInParents):
        (SVGSymbolElement::prototype):
        (SVGSymbolElement::cache):
        (SVGTSpanElement::get):
        (SVGTSpanElement::getInParents):
        (SVGTSpanElement::prototype):
        (SVGTSpanElement::cache):
        (SVGTests::hasProperty):
        (SVGTests::get):
        (SVGTests::getInParents):
        (SVGTests::prototype):
        (SVGTests::cache):
        (SVGTextContentElement::hasProperty):
        (SVGTextContentElement::get):
        (SVGTextContentElement::getInParents):
        (SVGTextContentElement::prototype):
        (SVGTextContentElement::cache):
        (SVGTextElement::get):
        (SVGTextElement::getInParents):
        (SVGTextElement::prototype):
        (SVGTextElement::cache):
        (SVGTextPositioningElement::get):
        (SVGTextPositioningElement::getInParents):
        (SVGTextPositioningElement::prototype):
        (SVGTextPositioningElement::cache):
        (SVGTitleElement::get):
        (SVGTitleElement::getInParents):
        (SVGTitleElement::prototype):
        (SVGTitleElement::cache):
        (SVGTransform::hasProperty):
        (SVGTransform::get):
        (SVGTransform::getInParents):
        (SVGTransform::prototype):
        (SVGTransform::cache):
        (SVGTransformList::hasProperty):
        (SVGTransformList::get):
        (SVGTransformList::getInParents):
        (SVGTransformList::prototype):
        (SVGTransformList::cache):
        (SVGTransformable::get):
        (SVGTransformable::getInParents):
        (SVGTransformable::prototype):
        (SVGTransformable::cache):
        (SVGURIReference::get):
        (SVGURIReference::getInParents):
        (SVGURIReference::prototype):
        (SVGURIReference::cache):
        (SVGUseElement::get):
        (SVGUseElement::getInParents):
        (SVGUseElement::prototype):
        (SVGUseElement::cache):
        (SVGViewElement::get):
        (SVGViewElement::getInParents):
        (SVGViewElement::prototype):
        (SVGViewElement::cache):
        (SVGZoomAndPan::get):
        (SVGZoomAndPan::getInParents):
        (SVGZoomAndPan::prototype):
        (SVGZoomAndPan::cache):
        (SVGZoomEvent::get):
        (SVGZoomEvent::getInParents):
        (SVGZoomEvent::prototype):
        (SVGZoomEvent::cache):
        * ksvg2/dom/SVGAElement.cpp:
        (SVGAElement::getValueProperty):
        * ksvg2/dom/SVGAElement.h:
        * ksvg2/dom/SVGAngle.cpp:
        (SVGAngle::getValueProperty):
        (SVGAngle::putValueProperty):
        (SVGAngleProtoFunc::callAsFunction):
        * ksvg2/dom/SVGAngle.h:
        * ksvg2/dom/SVGAnimateColorElement.cpp:
        (SVGAnimateColorElement::getValueProperty):
        * ksvg2/dom/SVGAnimateColorElement.h:
        * ksvg2/dom/SVGAnimateElement.cpp:
        (SVGAnimateElement::getValueProperty):
        * ksvg2/dom/SVGAnimateElement.h:
        * ksvg2/dom/SVGAnimateTransformElement.cpp:
        (SVGAnimateTransformElement::getValueProperty):
        * ksvg2/dom/SVGAnimateTransformElement.h:
        * ksvg2/dom/SVGAnimatedAngle.cpp:
        (SVGAnimatedAngle::getValueProperty):
        * ksvg2/dom/SVGAnimatedAngle.h:
        * ksvg2/dom/SVGAnimatedBoolean.cpp:
        (SVGAnimatedBoolean::getValueProperty):
        (SVGAnimatedBoolean::putValueProperty):
        * ksvg2/dom/SVGAnimatedBoolean.h:
        * ksvg2/dom/SVGAnimatedEnumeration.cpp:
        (SVGAnimatedEnumeration::getValueProperty):
        (SVGAnimatedEnumeration::putValueProperty):
        * ksvg2/dom/SVGAnimatedEnumeration.h:
        * ksvg2/dom/SVGAnimatedInteger.cpp:
        (SVGAnimatedInteger::getValueProperty):
        (SVGAnimatedInteger::putValueProperty):
        * ksvg2/dom/SVGAnimatedInteger.h:
        * ksvg2/dom/SVGAnimatedLength.cpp:
        (SVGAnimatedLength::getValueProperty):
        * ksvg2/dom/SVGAnimatedLength.h:
        * ksvg2/dom/SVGAnimatedLengthList.cpp:
        (SVGAnimatedLengthList::getValueProperty):
        * ksvg2/dom/SVGAnimatedLengthList.h:
        * ksvg2/dom/SVGAnimatedNumber.cpp:
        (SVGAnimatedNumber::getValueProperty):
        (SVGAnimatedNumber::putValueProperty):
        * ksvg2/dom/SVGAnimatedNumber.h:
        * ksvg2/dom/SVGAnimatedNumberList.cpp:
        (SVGAnimatedNumberList::getValueProperty):
        * ksvg2/dom/SVGAnimatedNumberList.h:
        * ksvg2/dom/SVGAnimatedPathData.cpp:
        (SVGAnimatedPathData::getValueProperty):
        * ksvg2/dom/SVGAnimatedPathData.h:
        * ksvg2/dom/SVGAnimatedPoints.cpp:
        (SVGAnimatedPoints::getValueProperty):
        * ksvg2/dom/SVGAnimatedPoints.h:
        * ksvg2/dom/SVGAnimatedPreserveAspectRatio.cpp:
        (SVGAnimatedPreserveAspectRatio::getValueProperty):
        * ksvg2/dom/SVGAnimatedPreserveAspectRatio.h:
        * ksvg2/dom/SVGAnimatedRect.cpp:
        (SVGAnimatedRect::getValueProperty):
        * ksvg2/dom/SVGAnimatedRect.h:
        * ksvg2/dom/SVGAnimatedString.cpp:
        (SVGAnimatedString::getValueProperty):
        (SVGAnimatedString::putValueProperty):
        * ksvg2/dom/SVGAnimatedString.h:
        * ksvg2/dom/SVGAnimatedTransformList.cpp:
        (SVGAnimatedTransformList::getValueProperty):
        * ksvg2/dom/SVGAnimatedTransformList.h:
        * ksvg2/dom/SVGAnimationElement.cpp:
        (SVGAnimationElement::getValueProperty):
        (SVGAnimationElementProtoFunc::callAsFunction):
        * ksvg2/dom/SVGAnimationElement.h:
        * ksvg2/dom/SVGCircleElement.cpp:
        (SVGCircleElement::getValueProperty):
        * ksvg2/dom/SVGCircleElement.h:
        * ksvg2/dom/SVGClipPathElement.cpp:
        (SVGClipPathElement::getValueProperty):
        * ksvg2/dom/SVGClipPathElement.h:
        * ksvg2/dom/SVGColor.cpp:
        (SVGColor::getValueProperty):
        (SVGColorProtoFunc::callAsFunction):
        * ksvg2/dom/SVGColor.h:
        * ksvg2/dom/SVGComponentTransferFunctionElement.cpp:
        (SVGComponentTransferFunctionElement::getValueProperty):
        * ksvg2/dom/SVGComponentTransferFunctionElement.h:
        * ksvg2/dom/SVGDefsElement.cpp:
        (SVGDefsElement::getValueProperty):
        * ksvg2/dom/SVGDefsElement.h:
        * ksvg2/dom/SVGDescElement.cpp:
        (SVGDescElement::getValueProperty):
        * ksvg2/dom/SVGDescElement.h:
        * ksvg2/dom/SVGDocument.cpp:
        (SVGDocument::getValueProperty):
        * ksvg2/dom/SVGDocument.h:
        * ksvg2/dom/SVGElement.cpp:
        (SVGElement::getValueProperty):
        (SVGElement::putValueProperty):
        * ksvg2/dom/SVGElement.h:
        * ksvg2/dom/SVGElementInstance.cpp:
        (SVGElementInstance::getValueProperty):
        * ksvg2/dom/SVGElementInstance.h:
        * ksvg2/dom/SVGElementInstanceList.cpp:
        (SVGElementInstanceList::getValueProperty):
        (SVGElementInstanceListProtoFunc::callAsFunction):
        * ksvg2/dom/SVGElementInstanceList.h:
        * ksvg2/dom/SVGEllipseElement.cpp:
        (SVGEllipseElement::getValueProperty):
        * ksvg2/dom/SVGEllipseElement.h:
        * ksvg2/dom/SVGException.cpp:
        (SVGException::getValueProperty):
        * ksvg2/dom/SVGException.h:
        * ksvg2/dom/SVGExternalResourcesRequired.cpp:
        (SVGExternalResourcesRequired::getValueProperty):
        * ksvg2/dom/SVGExternalResourcesRequired.h:
        * ksvg2/dom/SVGFEBlendElement.cpp:
        (SVGFEBlendElement::getValueProperty):
        * ksvg2/dom/SVGFEBlendElement.h:
        * ksvg2/dom/SVGFEColorMatrixElement.cpp:
        (SVGFEColorMatrixElement::getValueProperty):
        * ksvg2/dom/SVGFEColorMatrixElement.h:
        * ksvg2/dom/SVGFEComponentTransferElement.cpp:
        (SVGFEComponentTransferElement::getValueProperty):
        * ksvg2/dom/SVGFEComponentTransferElement.h:
        * ksvg2/dom/SVGFECompositeElement.cpp:
        (SVGFECompositeElement::getValueProperty):
        * ksvg2/dom/SVGFECompositeElement.h:
        * ksvg2/dom/SVGFEFloodElement.cpp:
        (SVGFEFloodElement::getValueProperty):
        * ksvg2/dom/SVGFEFloodElement.h:
        * ksvg2/dom/SVGFEGaussianBlurElement.cpp:
        (SVGFEGaussianBlurElement::getValueProperty):
        (SVGFEGaussianBlurElementProtoFunc::callAsFunction):
        * ksvg2/dom/SVGFEGaussianBlurElement.h:
        * ksvg2/dom/SVGFEImageElement.cpp:
        (SVGFEImageElement::getValueProperty):
        * ksvg2/dom/SVGFEImageElement.h:
        * ksvg2/dom/SVGFEMergeElement.cpp:
        (SVGFEMergeElement::getValueProperty):
        * ksvg2/dom/SVGFEMergeElement.h:
        * ksvg2/dom/SVGFEMergeNodeElement.cpp:
        (SVGFEMergeNodeElement::getValueProperty):
        * ksvg2/dom/SVGFEMergeNodeElement.h:
        * ksvg2/dom/SVGFEOffsetElement.cpp:
        (SVGFEOffsetElement::getValueProperty):
        * ksvg2/dom/SVGFEOffsetElement.h:
        * ksvg2/dom/SVGFETileElement.cpp:
        (SVGFETileElement::getValueProperty):
        * ksvg2/dom/SVGFETileElement.h:
        * ksvg2/dom/SVGFETurbulenceElement.cpp:
        (SVGFETurbulenceElement::getValueProperty):
        * ksvg2/dom/SVGFETurbulenceElement.h:
        * ksvg2/dom/SVGFilterElement.cpp:
        (SVGFilterElement::getValueProperty):
        (SVGFilterElementProtoFunc::callAsFunction):
        * ksvg2/dom/SVGFilterElement.h:
        * ksvg2/dom/SVGFilterPrimitiveStandardAttributes.cpp:
        (SVGFilterPrimitiveStandardAttributes::getValueProperty):
        * ksvg2/dom/SVGFilterPrimitiveStandardAttributes.h:
        * ksvg2/dom/SVGFitToViewBox.cpp:
        (SVGFitToViewBox::getValueProperty):
        * ksvg2/dom/SVGFitToViewBox.h:
        * ksvg2/dom/SVGGElement.cpp:
        (SVGGElement::getValueProperty):
        * ksvg2/dom/SVGGElement.h:
        * ksvg2/dom/SVGGradientElement.cpp:
        (SVGGradientElement::getValueProperty):
        * ksvg2/dom/SVGGradientElement.h:
        * ksvg2/dom/SVGImageElement.cpp:
        (SVGImageElement::getValueProperty):
        * ksvg2/dom/SVGImageElement.h:
        * ksvg2/dom/SVGLangSpace.cpp:
        (SVGLangSpace::getValueProperty):
        (SVGLangSpace::putValueProperty):
        * ksvg2/dom/SVGLangSpace.h:
        * ksvg2/dom/SVGLength.cpp:
        (SVGLength::getValueProperty):
        (SVGLength::putValueProperty):
        (SVGLengthProtoFunc::callAsFunction):
        * ksvg2/dom/SVGLength.h:
        * ksvg2/dom/SVGLengthList.cpp:
        (SVGLengthList::getValueProperty):
        (SVGLengthListProtoFunc::callAsFunction):
        * ksvg2/dom/SVGLengthList.h:
        * ksvg2/dom/SVGLineElement.cpp:
        (SVGLineElement::getValueProperty):
        * ksvg2/dom/SVGLineElement.h:
        * ksvg2/dom/SVGLinearGradientElement.cpp:
        (SVGLinearGradientElement::getValueProperty):
        * ksvg2/dom/SVGLinearGradientElement.h:
        * ksvg2/dom/SVGLocatable.cpp:
        (SVGLocatable::getValueProperty):
        (SVGLocatableProtoFunc::callAsFunction):
        * ksvg2/dom/SVGLocatable.h:
        * ksvg2/dom/SVGMarkerElement.cpp:
        (SVGMarkerElement::getValueProperty):
        (SVGMarkerElementProtoFunc::callAsFunction):
        * ksvg2/dom/SVGMarkerElement.h:
        * ksvg2/dom/SVGMatrix.cpp:
        (SVGMatrix::getValueProperty):
        (SVGMatrix::putValueProperty):
        (SVGMatrixProtoFunc::callAsFunction):
        * ksvg2/dom/SVGMatrix.h:
        * ksvg2/dom/SVGNumber.cpp:
        (SVGNumber::getValueProperty):
        (SVGNumber::putValueProperty):
        * ksvg2/dom/SVGNumber.h:
        * ksvg2/dom/SVGNumberList.cpp:
        (SVGNumberList::getValueProperty):
        (SVGNumberListProtoFunc::callAsFunction):
        * ksvg2/dom/SVGNumberList.h:
        * ksvg2/dom/SVGPaint.cpp:
        (SVGPaint::getValueProperty):
        (SVGPaintProtoFunc::callAsFunction):
        * ksvg2/dom/SVGPaint.h:
        * ksvg2/dom/SVGPathElement.cpp:
        (SVGPathElement::getValueProperty):
        (SVGPathElementProtoFunc::callAsFunction):
        * ksvg2/dom/SVGPathElement.h:
        * ksvg2/dom/SVGPathSeg.cpp:
        (SVGPathSeg::getValueProperty):
        * ksvg2/dom/SVGPathSeg.h:
        * ksvg2/dom/SVGPathSegArc.cpp:
        (SVGPathSegArcAbs::getValueProperty):
        (SVGPathSegArcAbs::putValueProperty):
        (SVGPathSegArcRel::getValueProperty):
        (SVGPathSegArcRel::putValueProperty):
        * ksvg2/dom/SVGPathSegArc.h:
        * ksvg2/dom/SVGPathSegCurvetoCubic.cpp:
        (SVGPathSegCurvetoCubicAbs::getValueProperty):
        (SVGPathSegCurvetoCubicAbs::putValueProperty):
        (SVGPathSegCurvetoCubicRel::getValueProperty):
        (SVGPathSegCurvetoCubicRel::putValueProperty):
        * ksvg2/dom/SVGPathSegCurvetoCubic.h:
        * ksvg2/dom/SVGPathSegCurvetoCubicSmooth.cpp:
        (SVGPathSegCurvetoCubicSmoothAbs::getValueProperty):
        (SVGPathSegCurvetoCubicSmoothAbs::putValueProperty):
        (SVGPathSegCurvetoCubicSmoothRel::getValueProperty):
        (SVGPathSegCurvetoCubicSmoothRel::putValueProperty):
        * ksvg2/dom/SVGPathSegCurvetoCubicSmooth.h:
        * ksvg2/dom/SVGPathSegCurvetoQuadratic.cpp:
        (SVGPathSegCurvetoQuadraticAbs::getValueProperty):
        (SVGPathSegCurvetoQuadraticAbs::putValueProperty):
        (SVGPathSegCurvetoQuadraticRel::getValueProperty):
        (SVGPathSegCurvetoQuadraticRel::putValueProperty):
        * ksvg2/dom/SVGPathSegCurvetoQuadratic.h:
        * ksvg2/dom/SVGPathSegCurvetoQuadraticSmooth.cpp:
        (SVGPathSegCurvetoQuadraticSmoothAbs::getValueProperty):
        (SVGPathSegCurvetoQuadraticSmoothAbs::putValueProperty):
        (SVGPathSegCurvetoQuadraticSmoothRel::getValueProperty):
        (SVGPathSegCurvetoQuadraticSmoothRel::putValueProperty):
        * ksvg2/dom/SVGPathSegCurvetoQuadraticSmooth.h:
        * ksvg2/dom/SVGPathSegLineto.cpp:
        (SVGPathSegLinetoAbs::getValueProperty):
        (SVGPathSegLinetoAbs::putValueProperty):
        (SVGPathSegLinetoRel::getValueProperty):
        (SVGPathSegLinetoRel::putValueProperty):
        * ksvg2/dom/SVGPathSegLineto.h:
        * ksvg2/dom/SVGPathSegLinetoHorizontal.cpp:
        (SVGPathSegLinetoHorizontalAbs::getValueProperty):
        (SVGPathSegLinetoHorizontalAbs::putValueProperty):
        (SVGPathSegLinetoHorizontalRel::getValueProperty):
        (SVGPathSegLinetoHorizontalRel::putValueProperty):
        * ksvg2/dom/SVGPathSegLinetoHorizontal.h:
        * ksvg2/dom/SVGPathSegLinetoVertical.cpp:
        (SVGPathSegLinetoVerticalAbs::getValueProperty):
        (SVGPathSegLinetoVerticalAbs::putValueProperty):
        (SVGPathSegLinetoVerticalRel::getValueProperty):
        (SVGPathSegLinetoVerticalRel::putValueProperty):
        * ksvg2/dom/SVGPathSegLinetoVertical.h:
        * ksvg2/dom/SVGPathSegList.cpp:
        (SVGPathSegList::getValueProperty):
        (SVGPathSegListProtoFunc::callAsFunction):
        * ksvg2/dom/SVGPathSegList.h:
        * ksvg2/dom/SVGPathSegMoveto.cpp:
        (SVGPathSegMovetoAbs::getValueProperty):
        (SVGPathSegMovetoAbs::putValueProperty):
        (SVGPathSegMovetoRel::getValueProperty):
        (SVGPathSegMovetoRel::putValueProperty):
        * ksvg2/dom/SVGPathSegMoveto.h:
        * ksvg2/dom/SVGPatternElement.cpp:
        (SVGPatternElement::getValueProperty):
        * ksvg2/dom/SVGPatternElement.h:
        * ksvg2/dom/SVGPoint.cpp:
        (SVGPoint::getValueProperty):
        (SVGPoint::putValueProperty):
        (SVGPointProtoFunc::callAsFunction):
        * ksvg2/dom/SVGPoint.h:
        * ksvg2/dom/SVGPointList.cpp:
        (SVGPointList::getValueProperty):
        (SVGPointListProtoFunc::callAsFunction):
        * ksvg2/dom/SVGPointList.h:
        * ksvg2/dom/SVGPolygonElement.cpp:
        (SVGPolygonElement::getValueProperty):
        * ksvg2/dom/SVGPolygonElement.h:
        * ksvg2/dom/SVGPolylineElement.cpp:
        (SVGPolylineElement::getValueProperty):
        * ksvg2/dom/SVGPolylineElement.h:
        * ksvg2/dom/SVGPreserveAspectRatio.cpp:
        (SVGPreserveAspectRatio::getValueProperty):
        (SVGPreserveAspectRatio::putValueProperty):
        * ksvg2/dom/SVGPreserveAspectRatio.h:
        * ksvg2/dom/SVGRadialGradientElement.cpp:
        (SVGRadialGradientElement::getValueProperty):
        * ksvg2/dom/SVGRadialGradientElement.h:
        * ksvg2/dom/SVGRect.cpp:
        (SVGRect::getValueProperty):
        (SVGRect::putValueProperty):
        * ksvg2/dom/SVGRect.h:
        * ksvg2/dom/SVGRectElement.cpp:
        (SVGRectElement::getValueProperty):
        * ksvg2/dom/SVGRectElement.h:
        * ksvg2/dom/SVGSVGElement.cpp:
        (SVGSVGElement::getValueProperty):
        (SVGSVGElement::putValueProperty):
        (SVGSVGElementProtoFunc::callAsFunction):
        * ksvg2/dom/SVGSVGElement.h:
        * ksvg2/dom/SVGScriptElement.cpp:
        (SVGScriptElement::getValueProperty):
        (SVGScriptElement::putValueProperty):
        * ksvg2/dom/SVGScriptElement.h:
        * ksvg2/dom/SVGSetElement.cpp:
        (SVGSetElement::getValueProperty):
        * ksvg2/dom/SVGSetElement.h:
        * ksvg2/dom/SVGStopElement.cpp:
        (SVGStopElement::getValueProperty):
        * ksvg2/dom/SVGStopElement.h:
        * ksvg2/dom/SVGStringList.cpp:
        (SVGStringList::getValueProperty):
        (SVGStringListProtoFunc::callAsFunction):
        * ksvg2/dom/SVGStringList.h:
        * ksvg2/dom/SVGStylable.cpp:
        (SVGStylable::getValueProperty):
        (SVGStylableProtoFunc::callAsFunction):
        * ksvg2/dom/SVGStylable.h:
        * ksvg2/dom/SVGStyleElement.cpp:
        (SVGStyleElement::getValueProperty):
        (SVGStyleElement::putValueProperty):
        * ksvg2/dom/SVGStyleElement.h:
        * ksvg2/dom/SVGSwitchElement.cpp:
        (SVGSwitchElement::getValueProperty):
        * ksvg2/dom/SVGSwitchElement.h:
        * ksvg2/dom/SVGSymbolElement.cpp:
        (SVGSymbolElement::getValueProperty):
        * ksvg2/dom/SVGSymbolElement.h:
        * ksvg2/dom/SVGTSpanElement.cpp:
        (SVGTSpanElement::getValueProperty):
        * ksvg2/dom/SVGTSpanElement.h:
        * ksvg2/dom/SVGTests.cpp:
        (SVGTests::getValueProperty):
        (SVGTestsProtoFunc::callAsFunction):
        * ksvg2/dom/SVGTests.h:
        * ksvg2/dom/SVGTextContentElement.cpp:
        (SVGTextContentElement::getValueProperty):
        (SVGTextContentElementProtoFunc::callAsFunction):
        * ksvg2/dom/SVGTextContentElement.h:
        * ksvg2/dom/SVGTextElement.cpp:
        (SVGTextElement::getValueProperty):
        * ksvg2/dom/SVGTextElement.h:
        * ksvg2/dom/SVGTextPositioningElement.cpp:
        (SVGTextPositioningElement::getValueProperty):
        * ksvg2/dom/SVGTextPositioningElement.h:
        * ksvg2/dom/SVGTitleElement.cpp:
        (SVGTitleElement::getValueProperty):
        * ksvg2/dom/SVGTitleElement.h:
        * ksvg2/dom/SVGTransform.cpp:
        (SVGTransform::getValueProperty):
        (SVGTransformProtoFunc::callAsFunction):
        * ksvg2/dom/SVGTransform.h:
        * ksvg2/dom/SVGTransformList.cpp:
        (SVGTransformList::getValueProperty):
        (SVGTransformListProtoFunc::callAsFunction):
        * ksvg2/dom/SVGTransformList.h:
        * ksvg2/dom/SVGTransformable.cpp:
        (SVGTransformable::getValueProperty):
        * ksvg2/dom/SVGTransformable.h:
        * ksvg2/dom/SVGURIReference.cpp:
        (SVGURIReference::getValueProperty):
        * ksvg2/dom/SVGURIReference.h:
        * ksvg2/dom/SVGUseElement.cpp:
        (SVGUseElement::getValueProperty):
        * ksvg2/dom/SVGUseElement.h:
        * ksvg2/dom/SVGViewElement.cpp:
        (SVGViewElement::getValueProperty):
        * ksvg2/dom/SVGViewElement.h:
        * ksvg2/dom/SVGZoomAndPan.cpp:
        (SVGZoomAndPan::getValueProperty):
        (SVGZoomAndPan::putValueProperty):
        * ksvg2/dom/SVGZoomAndPan.h:
        * ksvg2/ecma/Ecma.cpp:
        (KSVG::getSVGPathSeg):
        * ksvg2/ecma/Ecma.h:
        * ksvg2/ecma/GlobalObject.cpp:
        (GlobalObject::get):
        * ksvg2/ecma/GlobalObject.h:
        * ksvg2/events/SVGEvent.cpp:
        (SVGEvent::getValueProperty):
        * ksvg2/events/SVGEvent.h:
        * ksvg2/events/SVGZoomEvent.cpp:
        (SVGZoomEvent::getValueProperty):
        * ksvg2/events/SVGZoomEvent.h:
        * ksvg2/impl/SVGScriptElementImpl.cpp:
        (SVGScriptElementImpl::executeScript):

2005-08-07  Darin Adler  <darin@apple.com>

        Rubber stamped by Maciej.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4313
          eliminate KJS::Value and KJS::Object smart pointer wrappers (for simplicity and speed)

        * khtml/ecma/domparser.cpp:
        (KJS::DOMParserConstructorImp::construct):
        (KJS::DOMParserProtoFunc::callAsFunction):
        * khtml/ecma/domparser.h:
        * khtml/ecma/kjs_binding.cpp:
        (KJS::ScriptInterpreter::ScriptInterpreter):
        (KJS::ScriptInterpreter::isGlobalObject):
        (KJS::ScriptInterpreter::createLanguageInstanceForValue):
        (KJS::getStringOrNull):
        (KJS::ValueToVariant):
        (KJS::setDOMException):
        * khtml/ecma/kjs_binding.h:
        (KJS::DOMFunction::toPrimitive):
        (KJS::cacheDOMObject):
        * khtml/ecma/kjs_css.cpp:
        (KJS::DOMCSSStyleDeclaration::indexGetter):
        (KJS::DOMCSSStyleDeclaration::cssPropertyGetter):
        (KJS::DOMCSSStyleDeclaration::getValueProperty):
        (KJS::DOMCSSStyleDeclaration::put):
        (KJS::DOMCSSStyleDeclarationProtoFunc::callAsFunction):
        (KJS::DOMStyleSheet::getValueProperty):
        (KJS::DOMStyleSheet::put):
        (KJS::DOMStyleSheetList::getValueProperty):
        (KJS::DOMStyleSheetList::indexGetter):
        (KJS::DOMStyleSheetList::nameGetter):
        (KJS::DOMStyleSheetListFunc::callAsFunction):
        (KJS::DOMMediaList::getValueProperty):
        (KJS::DOMMediaList::indexGetter):
        (KJS::DOMMediaList::put):
        (KJS::KJS::DOMMediaListProtoFunc::callAsFunction):
        (KJS::DOMCSSStyleSheet::getValueProperty):
        (KJS::DOMCSSStyleSheetProtoFunc::callAsFunction):
        (KJS::DOMCSSRuleList::getValueProperty):
        (KJS::DOMCSSRuleList::indexGetter):
        (KJS::DOMCSSRuleListFunc::callAsFunction):
        (KJS::DOMCSSRule::getValueProperty):
        (KJS::DOMCSSRule::put):
        (KJS::DOMCSSRule::putValueProperty):
        (KJS::DOMCSSRuleFunc::callAsFunction):
        (KJS::CSSRuleConstructor::getValueProperty):
        (KJS::getCSSRuleConstructor):
        (KJS::DOMCSSValue::getValueProperty):
        (KJS::DOMCSSValue::put):
        (KJS::getDOMCSSValue):
        (KJS::CSSValueConstructor::getValueProperty):
        (KJS::getCSSValueConstructor):
        (KJS::DOMCSSPrimitiveValue::getValueProperty):
        (KJS::DOMCSSPrimitiveValueProtoFunc::callAsFunction):
        (KJS::CSSPrimitiveValueConstructor::getValueProperty):
        (KJS::getCSSPrimitiveValueConstructor):
        (KJS::DOMCSSValueList::getValueProperty):
        (KJS::DOMCSSValueList::indexGetter):
        (KJS::DOMCSSValueListFunc::callAsFunction):
        (KJS::DOMRGBColor::getValueProperty):
        (KJS::DOMRect::getValueProperty):
        (KJS::DOMCounter::getValueProperty):
        * khtml/ecma/kjs_css.h:
        * khtml/ecma/kjs_dom.cpp:
        (KJS::DOMNode::getValueProperty):
        (KJS::DOMNode::put):
        (KJS::DOMNode::putValueProperty):
        (KJS::DOMNode::toPrimitive):
        (KJS::DOMNode::getListener):
        (KJS::DOMNodeProtoFunc::callAsFunction):
        (KJS::DOMNodeList::toPrimitive):
        (KJS::DOMNodeList::getValueProperty):
        (KJS::DOMNodeList::indexGetter):
        (KJS::DOMNodeList::nameGetter):
        (KJS::DOMNodeList::callAsFunction):
        (KJS::DOMNodeListFunc::DOMNodeListFunc):
        (KJS::DOMNodeListFunc::callAsFunction):
        (KJS::DOMAttr::getValueProperty):
        (KJS::DOMAttr::put):
        (KJS::DOMAttr::putValueProperty):
        (KJS::DOMDocument::getValueProperty):
        (KJS::DOMDocument::put):
        (KJS::DOMDocument::putValueProperty):
        (KJS::DOMDocumentProtoFunc::callAsFunction):
        (KJS::DOMElement::getValueProperty):
        (KJS::DOMElement::attributeGetter):
        (KJS::DOMElement::getOwnPropertySlot):
        (KJS::DOMElementProtoFunc::callAsFunction):
        (KJS::DOMDOMImplementationProtoFunc::callAsFunction):
        (KJS::DOMDocumentType::getValueProperty):
        (KJS::DOMNamedNodeMap::lengthGetter):
        (KJS::DOMNamedNodeMap::indexGetter):
        (KJS::DOMNamedNodeMapProtoFunc::callAsFunction):
        (KJS::DOMProcessingInstruction::getValueProperty):
        (KJS::DOMProcessingInstruction::put):
        (KJS::DOMNotation::getValueProperty):
        (KJS::DOMEntity::getValueProperty):
        (KJS::NodeConstructor::getValueProperty):
        (KJS::DOMExceptionConstructor::getValueProperty):
        (KJS::DOMNamedNodesCollection::lengthGetter):
        (KJS::DOMNamedNodesCollection::indexGetter):
        (KJS::DOMCharacterData::getValueProperty):
        (KJS::DOMCharacterData::put):
        (KJS::DOMCharacterDataProtoFunc::callAsFunction):
        (KJS::DOMTextProtoFunc::callAsFunction):
        * khtml/ecma/kjs_dom.h:
        * khtml/ecma/kjs_events.cpp:
        (KJS::JSAbstractEventListener::handleEvent):
        (KJS::JSUnprotectedEventListener::JSUnprotectedEventListener):
        (KJS::JSUnprotectedEventListener::~JSUnprotectedEventListener):
        (KJS::JSUnprotectedEventListener::listenerObj):
        (KJS::JSUnprotectedEventListener::windowObj):
        (KJS::JSUnprotectedEventListener::mark):
        (KJS::JSEventListener::JSEventListener):
        (KJS::JSEventListener::~JSEventListener):
        (KJS::JSEventListener::listenerObj):
        (KJS::JSEventListener::windowObj):
        (KJS::JSLazyEventListener::JSLazyEventListener):
        (KJS::JSLazyEventListener::handleEvent):
        (KJS::JSLazyEventListener::listenerObj):
        (KJS::JSLazyEventListener::parseCode):
        (KJS::getNodeEventListener):
        (KJS::EventConstructor::getValueProperty):
        (KJS::getEventConstructor):
        (KJS::DOMEvent::getValueProperty):
        (KJS::DOMEvent::put):
        (KJS::DOMEvent::putValueProperty):
        (KJS::DOMEventProtoFunc::callAsFunction):
        (KJS::getDOMEvent):
        (KJS::EventExceptionConstructor::getValueProperty):
        (KJS::getEventExceptionConstructor):
        (KJS::DOMUIEvent::getValueProperty):
        (KJS::DOMUIEventProtoFunc::callAsFunction):
        (KJS::DOMMouseEvent::getValueProperty):
        (KJS::DOMMouseEventProtoFunc::callAsFunction):
        (KJS::DOMKeyboardEvent::getValueProperty):
        (KJS::DOMKeyboardEventProtoFunc::callAsFunction):
        (KJS::MutationEventConstructor::getValueProperty):
        (KJS::getMutationEventConstructor):
        (KJS::DOMMutationEvent::getValueProperty):
        (KJS::DOMMutationEventProtoFunc::callAsFunction):
        (KJS::DOMWheelEvent::getValueProperty):
        (KJS::DOMWheelEventProtoFunc::callAsFunction):
        (KJS::stringOrUndefined):
        (KJS::Clipboard::getValueProperty):
        (KJS::Clipboard::put):
        (KJS::Clipboard::putValueProperty):
        (KJS::ClipboardProtoFunc::callAsFunction):
        * khtml/ecma/kjs_events.h:
        (KJS::JSAbstractEventListener::listenerObjImp):
        * khtml/ecma/kjs_html.cpp:
        (KJS::KJS::HTMLDocFunction::callAsFunction):
        (KJS::HTMLDocument::namedItemGetter):
        (KJS::HTMLDocument::getValueProperty):
        (KJS::KJS::HTMLDocument::put):
        (KJS::KJS::HTMLDocument::putValueProperty):
        (KJS::HTMLElement::formIndexGetter):
        (KJS::HTMLElement::formNameGetter):
        (KJS::HTMLElement::selectIndexGetter):
        (KJS::HTMLElement::framesetNameGetter):
        (KJS::HTMLElement::frameWindowPropertyGetter):
        (KJS::HTMLElement::runtimeObjectGetter):
        (KJS::HTMLElement::runtimeObjectPropertyGetter):
        (KJS::HTMLElement::getOwnPropertySlot):
        (KJS::KJS::HTMLElement::implementsCall):
        (KJS::KJS::HTMLElement::callAsFunction):
        (KJS::HTMLElement::htmlGetter):
        (KJS::HTMLElement::headGetter):
        (KJS::HTMLElement::linkGetter):
        (KJS::HTMLElement::titleGetter):
        (KJS::HTMLElement::metaGetter):
        (KJS::HTMLElement::baseGetter):
        (KJS::HTMLElement::isIndexGetter):
        (KJS::HTMLElement::styleGetter):
        (KJS::HTMLElement::bodyGetter):
        (KJS::HTMLElement::formGetter):
        (KJS::HTMLElement::selectGetter):
        (KJS::HTMLElement::optGroupGetter):
        (KJS::HTMLElement::optionGetter):
        (KJS::getInputSelectionStart):
        (KJS::getInputSelectionEnd):
        (KJS::HTMLElement::inputGetter):
        (KJS::HTMLElement::textAreaGetter):
        (KJS::HTMLElement::buttonGetter):
        (KJS::HTMLElement::labelGetter):
        (KJS::HTMLElement::fieldSetGetter):
        (KJS::HTMLElement::legendGetter):
        (KJS::HTMLElement::uListGetter):
        (KJS::HTMLElement::oListGetter):
        (KJS::HTMLElement::dListGetter):
        (KJS::HTMLElement::dirGetter):
        (KJS::HTMLElement::menuGetter):
        (KJS::HTMLElement::liGetter):
        (KJS::HTMLElement::divGetter):
        (KJS::HTMLElement::paragraphGetter):
        (KJS::HTMLElement::headingGetter):
        (KJS::HTMLElement::blockQuoteGetter):
        (KJS::HTMLElement::quoteGetter):
        (KJS::HTMLElement::preGetter):
        (KJS::HTMLElement::brGetter):
        (KJS::HTMLElement::baseFontGetter):
        (KJS::HTMLElement::fontGetter):
        (KJS::HTMLElement::hrGetter):
        (KJS::HTMLElement::modGetter):
        (KJS::HTMLElement::anchorGetter):
        (KJS::HTMLElement::imageGetter):
        (KJS::HTMLElement::objectGetter):
        (KJS::HTMLElement::paramGetter):
        (KJS::HTMLElement::appletGetter):
        (KJS::HTMLElement::mapGetter):
        (KJS::HTMLElement::areaGetter):
        (KJS::HTMLElement::scriptGetter):
        (KJS::HTMLElement::tableGetter):
        (KJS::HTMLElement::tableCaptionGetter):
        (KJS::HTMLElement::tableColGetter):
        (KJS::HTMLElement::tableSectionGetter):
        (KJS::HTMLElement::tableRowGetter):
        (KJS::HTMLElement::tableCellGetter):
        (KJS::HTMLElement::frameSetGetter):
        (KJS::HTMLElement::frameGetter):
        (KJS::HTMLElement::iFrameGetter):
        (KJS::HTMLElement::marqueeGetter):
        (KJS::HTMLElement::getValueProperty):
        (KJS::HTMLElementFunction::HTMLElementFunction):
        (KJS::KJS::HTMLElementFunction::callAsFunction):
        (KJS::KJS::HTMLElement::put):
        (KJS::HTMLElement::htmlSetter):
        (KJS::HTMLElement::headSetter):
        (KJS::HTMLElement::linkSetter):
        (KJS::HTMLElement::titleSetter):
        (KJS::HTMLElement::metaSetter):
        (KJS::HTMLElement::baseSetter):
        (KJS::HTMLElement::isIndexSetter):
        (KJS::HTMLElement::styleSetter):
        (KJS::HTMLElement::bodySetter):
        (KJS::HTMLElement::formSetter):
        (KJS::HTMLElement::selectSetter):
        (KJS::HTMLElement::optGroupSetter):
        (KJS::HTMLElement::optionSetter):
        (KJS::HTMLElement::inputSetter):
        (KJS::HTMLElement::textAreaSetter):
        (KJS::HTMLElement::buttonSetter):
        (KJS::HTMLElement::labelSetter):
        (KJS::HTMLElement::fieldSetSetter):
        (KJS::HTMLElement::legendSetter):
        (KJS::HTMLElement::uListSetter):
        (KJS::HTMLElement::oListSetter):
        (KJS::HTMLElement::dListSetter):
        (KJS::HTMLElement::dirSetter):
        (KJS::HTMLElement::menuSetter):
        (KJS::HTMLElement::liSetter):
        (KJS::HTMLElement::divSetter):
        (KJS::HTMLElement::paragraphSetter):
        (KJS::HTMLElement::headingSetter):
        (KJS::HTMLElement::blockQuoteSetter):
        (KJS::HTMLElement::quoteSetter):
        (KJS::HTMLElement::preSetter):
        (KJS::HTMLElement::brSetter):
        (KJS::HTMLElement::baseFontSetter):
        (KJS::HTMLElement::fontSetter):
        (KJS::HTMLElement::hrSetter):
        (KJS::HTMLElement::modSetter):
        (KJS::HTMLElement::anchorSetter):
        (KJS::HTMLElement::imageSetter):
        (KJS::HTMLElement::objectSetter):
        (KJS::HTMLElement::paramSetter):
        (KJS::HTMLElement::appletSetter):
        (KJS::HTMLElement::mapSetter):
        (KJS::HTMLElement::areaSetter):
        (KJS::HTMLElement::scriptSetter):
        (KJS::HTMLElement::tableSetter):
        (KJS::HTMLElement::tableCaptionSetter):
        (KJS::HTMLElement::tableColSetter):
        (KJS::HTMLElement::tableSectionSetter):
        (KJS::HTMLElement::tableRowSetter):
        (KJS::HTMLElement::tableCellSetter):
        (KJS::HTMLElement::frameSetSetter):
        (KJS::HTMLElement::frameSetter):
        (KJS::HTMLElement::iFrameSetter):
        (KJS::HTMLElement::marqueeSetter):
        (KJS::HTMLElement::putValueProperty):
        (KJS::HTMLCollection::lengthGetter):
        (KJS::HTMLCollection::indexGetter):
        (KJS::HTMLCollection::nameGetter):
        (KJS::HTMLCollection::getOwnPropertySlot):
        (KJS::KJS::HTMLCollection::callAsFunction):
        (KJS::KJS::HTMLCollection::getNamedItems):
        (KJS::KJS::HTMLCollectionProtoFunc::callAsFunction):
        (KJS::HTMLSelectCollection::selectedIndexGetter):
        (KJS::KJS::HTMLSelectCollection::put):
        (KJS::OptionConstructorImp::construct):
        (KJS::ImageConstructorImp::construct):
        (KJS::Image::getValueProperty):
        (KJS::Image::put):
        (KJS::Image::putValueProperty):
        (KJS::isGradient):
        (KJS::isImagePattern):
        (KJS::KJS::Context2DFunction::callAsFunction):
        (KJS::Context2D::getValueProperty):
        (KJS::Context2D::put):
        (KJS::colorRefFromValue):
        (KJS::colorFromValue):
        (KJS::Context2D::setShadow):
        (KJS::Context2D::updateFillImagePattern):
        (KJS::Context2D::updateStrokeImagePattern):
        (KJS::Context2D::putValueProperty):
        (KJS::Context2D::Context2D):
        (KJS::Context2D::mark):
        (KJS::GradientFunction::callAsFunction):
        (KJS::Gradient::getValueProperty):
        (KJS::Gradient::put):
        (KJS::Gradient::putValueProperty):
        (KJS::ImagePattern::getValueProperty):
        (KJS::ImagePattern::put):
        (KJS::ImagePattern::putValueProperty):
        * khtml/ecma/kjs_html.h:
        * khtml/ecma/kjs_navigator.cpp:
        (KJS::Navigator::getValueProperty):
        (KJS::Plugins::getValueProperty):
        (KJS::Plugins::indexGetter):
        (KJS::Plugins::nameGetter):
        (KJS::MimeTypes::getValueProperty):
        (KJS::MimeTypes::indexGetter):
        (KJS::MimeTypes::nameGetter):
        (KJS::Plugin::getValueProperty):
        (KJS::Plugin::indexGetter):
        (KJS::Plugin::nameGetter):
        (KJS::MimeType::getValueProperty):
        (KJS::PluginsFunc::callAsFunction):
        (KJS::NavigatorFunc::callAsFunction):
        * khtml/ecma/kjs_navigator.h:
        * khtml/ecma/kjs_proxy.cpp:
        (KJSProxyImpl::evaluate):
        (TestFunctionImp::callAsFunction):
        (KJSProxyImpl::initScript):
        (KJSProxy::proxy):
        * khtml/ecma/kjs_range.cpp:
        (KJS::DOMRange::getValueProperty):
        (KJS::DOMRangeProtoFunc::callAsFunction):
        (KJS::RangeConstructor::getValueProperty):
        * khtml/ecma/kjs_range.h:
        * khtml/ecma/kjs_traversal.cpp:
        (KJS::DOMNodeIterator::getValueProperty):
        (KJS::DOMNodeIteratorProtoFunc::callAsFunction):
        (KJS::NodeFilterConstructor::getValueProperty):
        (KJS::getNodeFilterConstructor):
        (KJS::DOMNodeFilterProtoFunc::callAsFunction):
        (KJS::DOMTreeWalker::getValueProperty):
        (KJS::DOMTreeWalker::put):
        (KJS::DOMTreeWalkerProtoFunc::callAsFunction):
        (KJS::JSNodeFilterCondition::JSNodeFilterCondition):
        (KJS::JSNodeFilterCondition::acceptNode):
        * khtml/ecma/kjs_traversal.h:
        * khtml/ecma/kjs_views.cpp:
        (KJS::DOMAbstractView::getValueProperty):
        (KJS::DOMAbstractViewFunc::callAsFunction):
        * khtml/ecma/kjs_views.h:
        * khtml/ecma/kjs_window.cpp:
        (KJS::Screen::getValueProperty):
        (KJS::Window::retrieveWindow):
        (KJS::Window::retrieveActive):
        (KJS::Window::retrieve):
        (KJS::parseFeatures):
        (KJS::showModalDialog):
        (KJS::Window::getValueProperty):
        (KJS::Window::childFrameGetter):
        (KJS::Window::namedFrameGetter):
        (KJS::Window::indexGetter):
        (KJS::Window::namedItemGetter):
        (KJS::Window::put):
        (KJS::Window::installTimeout):
        (KJS::Window::setListener):
        (KJS::Window::getListener):
        (KJS::Window::getJSEventListener):
        (KJS::Window::getJSUnprotectedEventListener):
        (KJS::Window::getJSLazyEventListener):
        (KJS::WindowFunc::callAsFunction):
        (KJS::ScheduledAction::ScheduledAction):
        (KJS::ScheduledAction::execute):
        (KJS::WindowQObject::installTimeout):
        (KJS::FrameArray::getValueProperty):
        (KJS::FrameArray::indexGetter):
        (KJS::FrameArray::nameGetter):
        (KJS::Location::getValueProperty):
        (KJS::Location::put):
        (KJS::Location::toPrimitive):
        (KJS::LocationFunc::callAsFunction):
        (KJS::Selection::getValueProperty):
        (KJS::Selection::toPrimitive):
        (KJS::SelectionFunc::callAsFunction):
        (KJS::BarInfo::getValueProperty):
        (KJS::History::getValueProperty):
        (KJS::HistoryFunc::callAsFunction):
        (KJS::Konqueror::get):
        (KJS::KonquerorFunc::callAsFunction):
        * khtml/ecma/kjs_window.h:
        * khtml/ecma/xmlhttprequest.cpp:
        (KJS::XMLHttpRequestConstructorImp::construct):
        (KJS::XMLHttpRequest::getValueProperty):
        (KJS::XMLHttpRequest::put):
        (KJS::XMLHttpRequest::putValueProperty):
        (KJS::XMLHttpRequest::getAllResponseHeaders):
        (KJS::XMLHttpRequest::getResponseHeader):
        (KJS::XMLHttpRequest::getStatus):
        (KJS::XMLHttpRequest::getStatusText):
        (KJS::XMLHttpRequestProtoFunc::callAsFunction):
        * khtml/ecma/xmlhttprequest.h:
        * khtml/ecma/xmlserializer.cpp:
        (KJS::XMLSerializerConstructorImp::construct):
        (KJS::XMLSerializerProtoFunc::callAsFunction):
        * khtml/ecma/xmlserializer.h:
        * kwq/DOMUtility.mm:
        (KJS::ScriptInterpreter::createObjcInstanceForValue):
        * kwq/KWQKHTMLPart.mm:
        (KWQKHTMLPart::bindingRootObject):
        (KWQKHTMLPart::windowScriptObject):
        (KWQKHTMLPart::windowScriptNPObject):
        * kwq/WebCoreBridge.mm:
        (-[WebCoreBridge executionContextForView:]):
        * kwq/WebCoreScriptDebugger.mm:
        (WebCoreScriptDebuggerImp::callEvent):
        (WebCoreScriptDebuggerImp::returnEvent):
        (-[WebCoreScriptDebugger finalize]):
        (-[WebCoreScriptCallFrame _convertValueToObjcValue:]):
        (-[WebCoreScriptCallFrame scopeChain]):
        (-[WebCoreScriptCallFrame evaluateWebScript:]):

2005-08-07  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        * kcanvas/KCanvasTreeDebug.cpp:
        (operator<<):
        Added support for printing many additional style values.
        Added the W3C SVG test suite as layout tests.
        http://bugs.webkit.org/show_bug.cgi?id=4303

        Test cases added:
        * svg-tests/W3C-SVG-1.1/Resources/DisplaceChecker.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/SVG-1.1-monolithic-fixed.dtd: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-add-BE-09-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-add-BE-09.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image1-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image1.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image2-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image2.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image3-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/animation-extRef-image3.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/bluesquidj.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/bullet-small.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/bullet-white.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/bullet.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/bumpMap.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/bumpMap2.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/changeColor.ICM: Added.
        * svg-tests/W3C-SVG-1.1/Resources/colorprof.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/convolveImage.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/coords-units-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/coords-units-01-f.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/coords-units-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/copyright-documents-19990405.html: Added.
        * svg-tests/W3C-SVG-1.1/Resources/diagarrow.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/ext-TestComic-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/ext-TestComic.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/fillChangeColor.ICM: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-blend-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-blend-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-color-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-color-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-composite-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-composite-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-comptran-01-f.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-conv-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-conv-01-f.includeimage.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-conv-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-diffuse-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-diffuse-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-example-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/filters-example-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam030.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam030b.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam045.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam045b.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam056.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam056b.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam100.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam100b.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam200.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/gam200b.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/greentopbutton.jpg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/image.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/image1.jpg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/image1.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/image1_b.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/image2_b.jpg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/image2_b.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-dom-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-dom-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-order-02-b-targ-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-order-02-b-targ.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-order-03-b-targ-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/interact-order-03-b-targ.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/leftarrow.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-f-1st.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-f-2nd.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-f-3rd.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-f-4th.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-01-f-start.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-03-f-1st.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linking-uri-03-f-start.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linkingCircle-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linkingCircle-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linkingToc-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/linkingToc-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/magnify.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/myimage.jpg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_bullet.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_down.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_downleft.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_downright.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_frame.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_left.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_noframe.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_right.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_svg.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_up.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_upleft.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/nav_upright.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/old-name-2-new-name1.html: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-01-f.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-02-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-02-f.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-02-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-03-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-03-f.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-03-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-04-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-04-f.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/paths-data-04-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rects-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rects.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rects_b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rects_b.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rightarrow.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/rotate20.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-f.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-ellipse-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-f.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/shapes-rect-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/sign.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/sphere.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-frag-01-B-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-frag-01-B.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-image-01.jpg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-image-01.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-image-02.jpg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-image-02.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/struct-symbol-01.png: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-02-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-02-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-03-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-align-03-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-altglyph-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-altglyph-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-extTref-BE-18-targ-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-extTref-BE-18-targ.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-intro-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-intro-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-tref-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-tref-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-ws-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/text-ws-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/toc-sv-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/toc-sv.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/toc-svcmp-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/Resources/toc-svcmp.svg: Added.
        * svg-tests/W3C-SVG-1.1/Resources/uparrow.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-04-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-04-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-04-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-05-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-05-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-05-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-06-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-06-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-06-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-07-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-07-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-07-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-08-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-08-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-08-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-09-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-09-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-09-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-10-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-10-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-10-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-11-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-11-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-11-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-12-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-12-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-12-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-13-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-13-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-13-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-14-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-14-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-14-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-15-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-15-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-15-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-16-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-16-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-16-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-17-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-17-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-17-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-18-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-18-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-18-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-19-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-19-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-19-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-20-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-20-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-20-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-21-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-21-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-21-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-22-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-22-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-22-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-23-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-23-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-23-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-24-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-24-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-24-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-25-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-25-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-25-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-26-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-26-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-26-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-27-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-27-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-27-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-28-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-28-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-28-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-29-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-29-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/animate-elem-29-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/color-prof-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/color-prof-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/color-prof-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-02-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-02-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-02-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/color-prop-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-04-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-04-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-04-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-05-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-05-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-05-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-06-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-06-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-trans-06-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-units-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/coords-viewattr-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/extend-namespace-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/extend-namespace-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/extend-namespace-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-blend-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-blend-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-blend-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-color-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-color-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-color-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-composite-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-composite-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-composite-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-comptran-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-comptran-01-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/filters-conv-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-conv-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-conv-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-diffuse-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-diffuse-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-diffuse-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-displace-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-displace-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-displace-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-example-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-example-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-example-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-gauss-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-gauss-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-gauss-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-image-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-image-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-image-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-light-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-light-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-light-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-morph-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-morph-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-morph-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-offset-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-offset-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-offset-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-specular-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-specular-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-specular-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-tile-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/filters-tile-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-tile-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/filters-turb-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/filters-turb-01-f.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-04-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-04-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/fonts-elem-04-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/interact-cursor-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/interact-cursor-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-cursor-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/interact-dom-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/interact-dom-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-dom-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/interact-events-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/interact-events-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-events-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-order-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/interact-zoom-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/interact-zoom-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/interact-zoom-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-04-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-04-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-a-04-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/linking-uri-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/masking-mask-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/masking-mask-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-mask-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/masking-opacity-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/masking-opacity-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-opacity-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-04-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-04-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-04-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-05-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-05-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/masking-path-05-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/metadata-example-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/metadata-example-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/metadata-example-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-04-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-04-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-fill-04-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-01-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-01-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-01-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-02-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-02-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-marker-02-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-render-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-render-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-render-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-04-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-04-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/painting-stroke-04-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-03-f-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-03-f-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-03-f.svg: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-04-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-04-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-04-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-05-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-05-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-05-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-06-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-06-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-06-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-07-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-07-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/paths-data-07-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-04-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-04-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-04-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-05-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-05-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-05-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-06-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-06-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-06-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-07-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-07-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-07-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-08-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-08-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-08-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-09-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-09-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-09-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-10-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-10-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-10-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-11-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-11-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-11-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-12-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-12-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-grad-12-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/pservers-pattern-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/pservers-pattern-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/pservers-pattern-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-06-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-06-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-06-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-07-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-07-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-07-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-08-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-08-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/render-elems-08-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/render-groups-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-03-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-04-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/script-handle-04-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/shapes-circle-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/shapes-circle-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-circle-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/shapes-ellipse-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/shapes-ellipse-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-ellipse-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/shapes-line-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/shapes-line-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-line-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polygon-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polygon-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polygon-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polyline-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polyline-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-polyline-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/shapes-rect-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/shapes-rect-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/shapes-rect-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-cond-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-defs-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-defs-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-defs-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-01-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-02-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-03-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-04-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-04-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-05-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-05-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-06-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-dom-06-b.svg-disabled: Added.
        * svg-tests/W3C-SVG-1.1/struct-frag-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-frag-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-frag-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-group-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-03-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-03-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-03-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-04-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-04-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-04-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-05-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-05-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-image-05-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/struct-symbol-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/struct-symbol-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/struct-symbol-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-css-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/styling-inherit-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/styling-inherit-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-inherit-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/styling-pres-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/styling-pres-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/styling-pres-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-align-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-align-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-align-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-align-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-align-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-align-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-align-04-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-align-04-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-04-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-align-05-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-align-05-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-05-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-align-06-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-align-06-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-align-06-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-altglyph-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-altglyph-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-altglyph-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-deco-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-deco-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-deco-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-fonts-02-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-02-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-02-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-02-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-04-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-04-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-intro-04-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-path-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-path-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-path-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-spacing-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-spacing-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-spacing-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-text-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-text-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-text-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-text-03-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-text-03-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-text-03-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-tref-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-tref-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-tref-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-tselect-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-tselect-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-tselect-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-tspan-01-b-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-tspan-01-b-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-tspan-01-b.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-01-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-01-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-01-t.svg: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-02-t-expected.txt: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-02-t-w3c.png: Added.
        * svg-tests/W3C-SVG-1.1/text-ws-02-t.svg: Added.

2005-08-07  Anders Carlsson  <andersca@mac.com>

        Reviewed by darin.

        * khtml/ecma/kjs_dom.cpp:
        * khtml/ecma/kjs_dom.h:
        (KJS::DOMNodeList::):
	Add Length and Item to DOMNodeList.
	
        * khtml/ecma/kjs_navigator.cpp:
        (KJS::Plugins::getValueProperty):
        (KJS::MimeTypes::getValueProperty):
	Fix capitalization.
	
2005-08-04  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Darin.

	Change over to the new PropertySlot mechanism for property
	lookup. This allows the elimination of hasOwnProperty methods. I
	also did a bunch of code cleanup and regularization of the various
	property lookup methods.
	
        Test cases added: Added a test case for a bug I found along the way.
        * layout-tests/fast/js/string-index-overflow.html:
	* layout-tests/fast/js/string-index-overflow-expected.txt:
	
        * khtml/ecma/kjs_binding.cpp:
        (KJS::ScriptInterpreter::createLanguageInstanceForValue):
        * khtml/ecma/kjs_binding.h:
        * khtml/ecma/kjs_css.cpp:
        (KJS::DOMCSSStyleDeclaration::indexGetter):
        (KJS::DOMCSSStyleDeclaration::cssPropertyGetter):
        (KJS::DOMCSSStyleDeclaration::getOwnPropertySlot):
        (KJS::DOMCSSStyleDeclaration::getValueProperty):
        (KJS::DOMStyleSheet::getOwnPropertySlot):
        (KJS::DOMStyleSheetList::getValueProperty):
        (KJS::DOMStyleSheetList::indexGetter):
        (KJS::DOMStyleSheetList::nameGetter):
        (KJS::DOMStyleSheetList::getOwnPropertySlot):
        (KJS::DOMMediaList::getValueProperty):
        (KJS::DOMMediaList::indexGetter):
        (KJS::DOMMediaList::getOwnPropertySlot):
        (KJS::DOMCSSStyleSheet::getValueProperty):
        (KJS::DOMCSSStyleSheet::getOwnPropertySlot):
        (KJS::DOMCSSRuleList::getValueProperty):
        (KJS::DOMCSSRuleList::indexGetter):
        (KJS::DOMCSSRuleList::getOwnPropertySlot):
        (KJS::DOMCSSRule::getOwnPropertySlot):
        (KJS::CSSRuleConstructor::getOwnPropertySlot):
        (KJS::DOMCSSValue::getValueProperty):
        (KJS::DOMCSSValue::getOwnPropertySlot):
        (KJS::CSSValueConstructor::getOwnPropertySlot):
        (KJS::DOMCSSPrimitiveValue::getValueProperty):
        (KJS::DOMCSSPrimitiveValue::getOwnPropertySlot):
        (KJS::CSSPrimitiveValueConstructor::getOwnPropertySlot):
        (KJS::DOMCSSValueList::getValueProperty):
        (KJS::DOMCSSValueList::indexGetter):
        (KJS::DOMCSSValueList::getOwnPropertySlot):
        (KJS::DOMRGBColor::getOwnPropertySlot):
        (KJS::DOMRect::getOwnPropertySlot):
        (KJS::DOMCounter::getOwnPropertySlot):
        * khtml/ecma/kjs_css.h:
        (KJS::DOMCSSStyleDeclaration::):
        (KJS::DOMCSSStyleSheet::):
        (KJS::DOMCSSRule::):
        (KJS::DOMCSSValueList::):
        * khtml/ecma/kjs_dom.cpp:
        (KJS::DOMNode::getOwnPropertySlot):
        (KJS::):
        (KJS::DOMNodeList::getValueProperty):
        (KJS::DOMNodeList::indexGetter):
        (KJS::DOMNodeList::nameGetter):
        (KJS::DOMNodeList::getOwnPropertySlot):
        (KJS::DOMNodeList::call):
        (KJS::DOMAttr::getOwnPropertySlot):
        (KJS::DOMDocument::getOwnPropertySlot):
        (KJS::DOMElement::getValueProperty):
        (KJS::DOMElement::attributeGetter):
        (KJS::DOMElement::getOwnPropertySlot):
        (KJS::DOMDocumentType::getOwnPropertySlot):
        (KJS::DOMNamedNodeMap::lengthGetter):
        (KJS::DOMNamedNodeMap::indexGetter):
        (KJS::DOMNamedNodeMap::getOwnPropertySlot):
        (KJS::DOMProcessingInstruction::getOwnPropertySlot):
        (KJS::DOMNotation::getOwnPropertySlot):
        (KJS::DOMEntity::getOwnPropertySlot):
        (KJS::NodeConstructor::getOwnPropertySlot):
        (KJS::DOMExceptionConstructor::getOwnPropertySlot):
        (KJS::DOMNamedNodesCollection::lengthGetter):
        (KJS::DOMNamedNodesCollection::indexGetter):
        (KJS::DOMNamedNodesCollection::getOwnPropertySlot):
        (KJS::DOMCharacterData::getOwnPropertySlot):
        * khtml/ecma/kjs_dom.h:
        * khtml/ecma/kjs_events.cpp:
        (KJS::EventConstructor::getOwnPropertySlot):
        (KJS::DOMEvent::getOwnPropertySlot):
        (KJS::EventExceptionConstructor::getOwnPropertySlot):
        (KJS::DOMUIEvent::getOwnPropertySlot):
        (KJS::DOMMouseEvent::getOwnPropertySlot):
        (KJS::DOMKeyboardEvent::getOwnPropertySlot):
        (KJS::MutationEventConstructor::getOwnPropertySlot):
        (KJS::DOMMutationEvent::getOwnPropertySlot):
        (KJS::DOMWheelEvent::getOwnPropertySlot):
        (KJS::Clipboard::getOwnPropertySlot):
        * khtml/ecma/kjs_events.h:
        * khtml/ecma/kjs_html.cpp:
        (KJS::HTMLDocument::namedItemGetter):
        (KJS::HTMLDocument::getValueProperty):
        (KJS::HTMLDocument::getOwnPropertySlot):
        (KJS::HTMLElement::formIndexGetter):
        (KJS::HTMLElement::formNameGetter):
        (KJS::HTMLElement::selectIndexGetter):
        (KJS::HTMLElement::framesetNameGetter):
        (KJS::HTMLElement::frameWindowPropertyGetter):
        (KJS::HTMLElement::runtimeObjectGetter):
        (KJS::HTMLElement::runtimeObjectPropertyGetter):
        (KJS::HTMLElement::getOwnPropertySlot):
        (KJS::HTMLCollection::lengthGetter):
        (KJS::HTMLCollection::indexGetter):
        (KJS::HTMLCollection::nameGetter):
        (KJS::HTMLCollection::getOwnPropertySlot):
        (KJS::HTMLSelectCollection::selectedIndexGetter):
        (KJS::HTMLSelectCollection::getOwnPropertySlot):
        (KJS::Image::getOwnPropertySlot):
        (KJS::Context2D::getOwnPropertySlot):
        (KJS::Gradient::getOwnPropertySlot):
        (KJS::ImagePattern::getOwnPropertySlot):
        * khtml/ecma/kjs_html.h:
        (KJS::HTMLCollection::toBoolean):
        * khtml/ecma/kjs_navigator.cpp:
        (KJS::Plugins::):
        (KJS::MimeTypes::):
        (KJS::Plugin::):
        (KJS::MimeType::):
        (KJS::):
        (KJS::Navigator::getOwnPropertySlot):
        (KJS::Plugins::getValueProperty):
        (KJS::Plugins::indexGetter):
        (KJS::Plugins::nameGetter):
        (KJS::Plugins::getOwnPropertySlot):
        (KJS::MimeTypes::getValueProperty):
        (KJS::MimeTypes::indexGetter):
        (KJS::MimeTypes::nameGetter):
        (KJS::MimeTypes::getOwnPropertySlot):
        (KJS::Plugin::getValueProperty):
        (KJS::Plugin::indexGetter):
        (KJS::Plugin::nameGetter):
        (KJS::Plugin::getOwnPropertySlot):
        (KJS::MimeType::getValueProperty):
        (KJS::MimeType::getOwnPropertySlot):
        * khtml/ecma/kjs_navigator.h:
        * khtml/ecma/kjs_range.cpp:
        (KJS::DOMRange::getOwnPropertySlot):
        (KJS::RangeConstructor::getOwnPropertySlot):
        * khtml/ecma/kjs_range.h:
        * khtml/ecma/kjs_traversal.cpp:
        (KJS::DOMNodeIterator::getOwnPropertySlot):
        (KJS::NodeFilterConstructor::getOwnPropertySlot):
        (KJS::DOMTreeWalker::getOwnPropertySlot):
        * khtml/ecma/kjs_traversal.h:
        * khtml/ecma/kjs_views.cpp:
        (KJS::DOMAbstractView::~DOMAbstractView):
        (KJS::DOMAbstractView::getValueProperty):
        (KJS::DOMAbstractView::getOwnPropertySlot):
        * khtml/ecma/kjs_views.h:
        * khtml/ecma/kjs_window.cpp:
        (KJS::FrameArray::):
        (KJS::FrameArray::classInfo):
        (KJS::Screen::getOwnPropertySlot):
        (KJS::Window::getValueProperty):
        (KJS::Window::childFrameGetter):
        (KJS::Window::namedFrameGetter):
        (KJS::Window::indexGetter):
        (KJS::Window::namedItemGetter):
        (KJS::Window::getOwnPropertySlot):
        (KJS::):
        (KJS::FrameArray::getValueProperty):
        (KJS::FrameArray::indexGetter):
        (KJS::FrameArray::nameGetter):
        (KJS::FrameArray::getOwnPropertySlot):
        (KJS::Location::getValueProperty):
        (KJS::Location::getOwnPropertySlot):
        (KJS::Selection::getValueProperty):
        (KJS::Selection::getOwnPropertySlot):
        (KJS::BarInfo::getValueProperty):
        (KJS::BarInfo::getOwnPropertySlot):
        (KJS::History::getOwnPropertySlot):
        * khtml/ecma/kjs_window.h:
        * khtml/ecma/xmlhttprequest.cpp:
        (KJS::XMLHttpRequest::getOwnPropertySlot):
        * khtml/ecma/xmlhttprequest.h:

2005-08-06  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        * WebCore+SVG/DrawDocument.mm: DumpKCanvasTree support
        (-[DrawDocument renderTreeAsExternalRepresentation]):
        * WebCore+SVG/DrawDocumentPrivate.h:
        * WebCore.xcodeproj/project.pbxproj: fixed bison + zsh issue
        * kcanvas/KCanvas.cpp:
        (KCanvas::Private::~Private): device is now a singleton
        * kcanvas/KCanvasContainer.cpp:
        (KCanvasContainer::first): needed for DumpKCanvasTree
        (KCanvasContainer::last): needed for DumpKCanvasTree
        * kcanvas/KCanvasContainer.h:
        * kcanvas/KCanvasTreeDebug.cpp: Added.
        * kcanvas/KCanvasTreeDebug.h: Added.
        * kwq/KWQTextStream.mm:
        (QTextStream::operator<<): added missing float and double versions
        This adds all the changes necessary to support DumpKCanvasTree.
        Most noteable: operator<<(float) and double were missing from
        KWQTextStream, also added KCanvasTreeDebug, modeled after
        KWQRenderTreeDebug.  Most of KCanvasTreeDebug will be removed
        if the render trees finally merge.
        http://bugs.webkit.org/show_bug.cgi?id=3917

2005-08-06  Darin Adler  <darin@apple.com>

        Reviewed by Dave Hyatt.

        * khtml/css/css_valueimpl.cpp: (DOM::CSSMutableStyleDeclarationImpl::setChanged): Small tweak.

2005-08-06  Darin Adler  <darin@apple.com>

        Reviewed by Dave Hyatt.

        - fixed crash in one of the W3C DOM tests

        * khtml/xml/dom_nodeimpl.cpp: (DOM::NodeImpl::dispatchEvent): Check for NULL which means
        the passed object is not an event. Return without raising an exception because that's
        what Gecko does despite the fact that the DOM test expects a (platform-specific) exception.

        * layout-tests/dom/html/level2/events/dispatchEvent01-expected.txt: Added.
        * layout-tests/dom/html/level2/events/dispatchEvent01.html: Added.
        * layout-tests/dom/html/level2/events/dispatchEvent01.html-disabled: Removed.

2005-08-06  Darin Adler  <darin@apple.com>

        Reviewed by Dave Hyatt.

        - added a "set" operation to HashMap for cases where you want to either insert or
          modify an existing map entry; the "set" name is based on symmetry with get, and also on
          the naming used for similar operations in CFDictionary.

        * khtml/misc/hashmap.h: Small tweak to insert and added set.

2005-08-06  Darin Adler  <darin@apple.com>

        Reviewed by Dave Hyatt.

        - made a small improvement to how Windows Latin-1 characters are handled in the tokenizer

        * khtml/html/htmltokenizer.cpp:
        (khtml::fixUpChar): Changed to use an array and a quick check to determine if a character
        is one of the ones that needs to be mapped. This retains most of the speedup gained from
        not doing anything when the character doesn't need to be fixed up.
        (khtml::HTMLTokenizer::parseSpecial): Get rid of the local check since the check in fixUpChar
        is sufficient not.
        (khtml::HTMLTokenizer::parseText): Ditto.
        (khtml::HTMLTokenizer::parseEntity): Ditto.
        (khtml::HTMLTokenizer::parseTag): Ditto.
        (khtml::HTMLTokenizer::write): Ditto.

2005-08-06  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        * WebCore+SVG/DrawView.mm:
        (+[DrawView setFilterSupportEnabled:]): Moved from DrawViewPrivate
        (+[DrawView isFilterSupportEnabled]): Moved from DrawViewPrivate
        One half of fix for toggling filter support.
        http://bugs.webkit.org/show_bug.cgi?id=4252

2005-08-05  Adele Peterson  <adele@apple.com>

        Reviewed by Darin.

        * WebCore.xcodeproj/project.pbxproj: Unchecked 'statics are thread safe' option.

2005-08-05  Geoffrey Garen  <ggaren@apple.com>

        -added layout test for fix to: <rdar://problem/4161606> JavaScript regular
        expressions with certain ranges of Unicode characters cause a crash

        Test cases added:

        * layout-tests/fast/js/regexp-big-unicode-ranges-expected.txt: Added.
        * layout-tests/fast/js/regexp-big-unicode-ranges.html: Added.

2005-08-05  David Hyatt  <hyatt@apple.com>

	Make sure that <wbr> and <nobr> are included as residual style tags.
	
        Reviewed by john

        Test cases added: fast/invalid/wbrlink.html

        * khtml/css/html4.css:
        * khtml/html/htmlparser.cpp:
        (HTMLParser::isResidualStyleTag):

2005-08-05  David Hyatt  <hyatt@apple.com>

	Fix for bugzilla bug 4289, a regression from the QualifiedName landing.  Make sure getNamedItemNS and
	removeNamedItemNS are case-insensitive in HTML documents.
	
        Reviewed by darin

        * khtml/xml/dom_elementimpl.cpp:
        (NamedAttrMapImpl::getNamedItemNS):
        (NamedAttrMapImpl::removeNamedItemNS):
        * khtml/xml/dom_elementimpl.h:
        * khtml/xml/dom_nodeimpl.cpp:
        * khtml/xml/dom_nodeimpl.h:
        (DOM::NamedNodeMapImpl::NamedNodeMapImpl):
        (DOM::NamedNodeMapImpl::~NamedNodeMapImpl):

2005-08-04  Justin Garcia  <justin.garcia@apple.com>

        Reviewed by kocienda
        
        Fix for: 
        - <rdar://problem/4132360> HIM-8A428:Space key works like Return key in Mail application.
        - <rdar://problem/4122708> Mail: when composing new mail with a Korean input method, the first space doesn't work

        If the user terminates marked text with a space, a string including marked characters and a normal, 
        breaking space, is passed to WebCore in order to replace the previous marked sequence.  The fix ensures
        that the space becomes a non breaking space if necessary.

        Test cases added:
        * manual-tests/korean-input-space.html

        * khtml/editing/insert_text_command.cpp:
        (khtml::InsertTextCommand::input):

2005-08-03  David Hyatt  <hyatt@apple.com>

	This patch significantly improves the performance of radio button groups and enables consistent tabbing
	behavior in radio groups with both OS X and Internet Explorer for Windows.  It also adds support for
	arrow key navigation between the radio buttons in a group.

	In addition elements can now be shifted between forms using DOM operations and they will properly be
	adopted by the form into which they are inserted.  This movement works even when the forms themselves
	are not currently in the document by introducing a new set of notifications when an object is connected
	and removed from a tree of nodes (where that tree may or may not be the main document's tree).
	
        Test cases added: formmove.html, formmove2.html in fast/forms

        * khtml/html/html_formimpl.cpp:
        (DOM::HTMLFormElementImpl::HTMLFormElementImpl):
        (DOM::HTMLFormElementImpl::~HTMLFormElementImpl):
	Updated to init/delete a new selectedRadioButtons member variable that is a hash tracking the current
	checked button in each radio group owned by the form.
	
        (DOM::HTMLFormElementImpl::radioButtonChecked):
        A notification that is called when a radio button becomes checked.
	
	(DOM::HTMLFormElementImpl::checkedRadioButtonForGroup):
        Returns the current checked radio button for a given named group.
	
	(DOM::HTMLFormElementImpl::removeRadioButtonForGroup):
        Clears out the checked radio button for a given named group.
	
	(DOM::HTMLFormElementImpl::registerFormElement):
        (DOM::HTMLFormElementImpl::removeFormElement):
        The registration and removal functions have been patched to deal with radio buttons and to remove
	the "dormant form control" concept, which is no longer needed now that controls can actually move
	between forms.
	
	(DOM::HTMLGenericFormElementImpl::HTMLGenericFormElementImpl):
        Remove the dormant bit from form controls.
	
	(DOM::HTMLGenericFormElementImpl::attach):
	Remove the code that attempted to register a form element in attached.  We use new notifications now
	for dynamically inserted controls via JS.
	
        (DOM::HTMLGenericFormElementImpl::insertedIntoTree):
        (DOM::HTMLGenericFormElementImpl::removedFromTree):
        These are the new notifications that are called whenever a form control is connected to or removed from
	a tree.  This tree may or may not be the document tree.  The form control can then "seek out" a form
	to latch on to, thus keeping its current status regarding what form it belongs to current across DOM
	operations.

	(DOM::HTMLInputElementImpl::isKeyboardFocusable):
        Overridden to deal with radio buttons.  Unnamed radio buttons can't be focused.  Radio buttons can't be
	focused if another member of their group is already currently focused.  Unchecked radio buttons can
	only be focused if no button within the group is checked.
	
	(DOM::HTMLInputElementImpl::setInputType):
	Make sure to remove a checked radio button from the form's radio button hash if the type is changed
	to something else, e.g., checkbox.
	
        (DOM::HTMLInputElementImpl::setChecked):
        Revised to update the form's hash when a radio button gets checked and to also prevent unnamed radio
	buttons from changing state (matches WinIE).
	
	(DOM::HTMLInputElementImpl::defaultEventHandler):
        Add support for arrow key navigation through radio button groups.  Fix space behavior so that an unselected
	radio can become checked but not unchecked on space.  Fix enter behavior so that the form is not submitted
	on enter.  (Matches WinIE.)
	
	* khtml/html/html_formimpl.h:
        Adds the new member variable to track the current radio buttons in the various groups and the notifications
	for updating form controls when they switch forms.
	
	* khtml/xml/dom_nodeimpl.cpp:
        (DOM::NodeImpl::insertedIntoDocument):
        (DOM::NodeImpl::removedFromDocument):
        Patch insertedIntoDocument and removedFromDocument to also send the insertedIntoTree and removedFromTree
	notifications.
	
	(DOM::ContainerNodeImpl::removeChild):
        Call removedFromTree in the case where the removal of a child happens on a tree that is not in the 
	document.
	
	(DOM::ContainerNodeImpl::insertedIntoTree):
        (DOM::ContainerNodeImpl::removedFromTree):
        The new notifications.  The container node can optionally crawl into children invoking their notifications.
	
	(DOM::ContainerNodeImpl::dispatchChildInsertedEvents):
        Patched to call insertedIntoTree in the case where the insertion happened on a tree that is not in the
	document.
	
	* khtml/xml/dom_nodeimpl.h:
        (DOM::NodeImpl::insertedIntoTree):
        (DOM::NodeImpl::removedFromTree):
	Added the new notifications to NodeImpl for use by the form controls.

2005-08-04  Darin Adler  <darin@apple.com>

        Reviewed by John Sullivan.

        - fixed Objective-C binding for getOverrideStyle

        * kwq/DOM.mm: ([DOMDocument getOverrideStyle::]): Change to call the DOM
        getOverrideStyle. It was not correct to call getComputedStyle just because
        getOverrideStyle is not yet implemented in our DOM.

2005-08-04  Adele Peterson  <adele@apple.com>

        Reviewed by John.

        - fixed <rdar://problem/4204496> REGRESSION(denver): repro crash in KHTMLParser::finished() downloading attachment at webmail.mac.com
        This regression was introduced by the fix for <rdar://problem/4084029>.  It was just missing a nil check.

        * khtml/html/htmlparser.cpp: (KHTMLParser::finished): added nil check for current.

2005-08-04  Geoffrey Garen  <ggaren@apple.com>

        - fixed <rdar://problem/4199495> REGRESSION: Safari Crashes on Window Closing Event

        Reviewed by darin.

        * khtml/ecma/kjs_binding.cpp:
        (KJS::ScriptInterpreter::updateDOMNodeDocument): inserting a node wrapper into a new
        document set now removes the node wrapper from its old document set.

2005-08-03  Vicki Murley  <vicki@apple.com>

        Reviewed by Beth and Hyatt.
 
	<rdar://problem/4196646> target returns text node when it should return the parent node

        Test cases added: manual-tests/mouseevents-on-textnodes.html

        * khtml/khtmlview.cpp:
        (KHTMLView::dispatchMouseEvent): if the targetNode is a text node, set the 
	targetNode to the parent node

2005-08-02  Bruce DiBello  <bdibello@apple.com>

        Reviewed by Geoffrey Garen.

        Test cases added: getting and setting button.value

        * layout-tests/fast/dom/HTMLButtonElement/value/getset-expected.txt: Added.
        * layout-tests/fast/dom/HTMLButtonElement/value/getset.html: Added.

2005-08-01  Geoffrey Garen  <ggaren@apple.com>

        - landed layout tests for fix to <rdar://problem/3572585> 
        window.open fails if name param = the name of a window just 
        closed in same function

        Fix reviewed by darin.

        Test cases added:

        * manual-tests/open-after-close.html: Added.
        * manual-tests/resources/open-after-close-popup.html: Added.

2005-08-01  David Hyatt  <hyatt@apple.com>

	Reviewed by cblu, kocienda, darin

	This patch removes the old KWQCheckbox from the tree and enables the new
	checkbox handled by the engine.
	
        * ForwardingHeaders/qcheckbox.h: Removed.
        Removed the old header for the Qt checkbox class.
	
	* WebCore.xcodeproj/project.pbxproj:
        Removed the references to KWQCheckBox from the project.
	
	* khtml/css/html4.css:
        Turn on the -khtml-appearance property for checkboxes so that they have
	the native OS X look by default.
	
	* khtml/html/html_formimpl.cpp:
        (DOM::HTMLInputElementImpl::setType):
        (DOM::HTMLInputElementImpl::setInputType):
        Change the setting of the type property in the DOM to simply update the
	corresponding attribute.  setType is the "public" API now and
	setInputType is the one called internally, e.g., when the attribute is
	changed.
	
	(DOM::HTMLInputElementImpl::click):
        Remove the hack for checkboxes now that the new ones are turned on.
	
	(DOM::HTMLInputElementImpl::parseMappedAttribute):
	Make the attribute parsing code call the internal setInputType now.
	
        (DOM::HTMLInputElementImpl::createRenderer):
        (DOM::HTMLInputElementImpl::attach):
        Remove the hack for making the old renderer and let only the new one
	get made now.
	
	(DOM::HTMLInputElementImpl::defaultEventHandler):
        Remove the hack for still doing the old event handling now that the
	new checkbox is on.
	
	* khtml/html/html_formimpl.h:
        Added the setInputType method (see above).

	* khtml/rendering/render_form.cpp:
        * khtml/rendering/render_form.h:
	Removed RenderCheckBox from these files.
	
        * kwq/KWQButton.mm:
        Removed an include of qcheckbox.h.
	
	* kwq/KWQCheckBox.h: Removed.
        * kwq/KWQCheckBox.mm: Removed.
        Removed from the tree.
	
	* kwq/KWQSlot.mm:
        (KWQSlot::KWQSlot):
        (KWQSlot::call):
        Deleted the stateChanged signal/slot stuff, since it's no longer
	used by checkboxes.
	
	* layout-tests/fast/forms/001-expected.txt:
        * layout-tests/fast/forms/check-box-enter-key-expected.txt:
        * layout-tests/fast/forms/form-element-geometry-expected.txt:
        * layout-tests/fast/forms/input-value-expected.txt:
	Updated the layout tests to reflect the new checkboxes.  In the case
	of the last test, it has also had bugs corrected from making the type
	property actually set the attribute instead.

2005-08-01  David Hyatt  <hyatt@apple.com>

	Fix bugzilla bug 4219, crash because we tried to do the fake paint
	when layout was not updated yet.

	Also landing accessibility for checkboxes.
	
        Reviewed by darin/mjs (accessibility), kocienda(crash)

        * ChangeLog:
        * khtml/rendering/render_theme.h:
        (khtml::RenderTheme::supportsControlTints):
        * kwq/KWQAccObject.mm:
        (-[KWQAccObject actionElement]):
        (-[KWQAccObject role]):
        (-[KWQAccObject roleDescription]):
        (-[KWQAccObject value]):
        (boundingBoxRect):
        (-[KWQAccObject accessibilityIsIgnored]):
        (-[KWQAccObject accessibilityAttributeValue:]):
        (-[KWQAccObject accessibilityIsAttributeSettable:]):
        * kwq/KWQKHTMLPart.mm:
        (KWQKHTMLPart::setDisplaysWithFocusAttributes):

2005-08-01  John Sullivan  <sullivan@apple.com>

        Reviewed by Beth Dakin.

        Test cases added: none, this only affects Safari forms autofill
        
        Moved the recently-added isTextField method out of the public DOMExtensions.h
        and into the private DOMPrivate.h for now, and renamed it with a leading
        underscore. We want to make some sort of public API that covers this, but not
        necessarily this exact method, so we'll leave it out of the public API until we've
        thought about this more.

        * kwq/DOMExtensions.h:
        remove isTextField
        * kwq/DOMPrivate.h:
        add _isTextField. Also added some #imports that make this file more standalone.
        * kwq/DOMHTML.mm:
        (-[DOMHTMLInputElement _isTextField]):
        moved this method and added leading underscore.

2005-08-01  Eric Seidel  <eseidel@apple.com>

        Reviewed by darin.

        * kcanvas/device/quartz/KCanvasItemQuartz.mm:
        (getSharedContext): moved from QPainter -> CG
        * kcanvas/device/quartz/KRenderingPaintServerGradientQuartz.mm:
        (CGShadingRefForLinearGradient): removed comment
        (CGShadingRefForRadialGradient): removed comment
        * khtml/ecma/kjs_html.cpp:
        (KJS::KJS::Context2DFunction::call): moved from QPainter -> CG
        (KJS::colorRefFromValue): moved from QPainter -> CG
        (KJS::Gradient::getShading): moved from QPainter -> CG
        * khtml/rendering/render_canvasimage.cpp:
        (RenderCanvasImage::createDrawingContext):moved from QPainter -> CG
        * kwq/KWQColor.mm:
        (CGColorFromNSColor): moved from QPainter -> CG
        * kwq/KWQPainter.h: removed colorspace calls
        * kwq/KWQPainter.mm: removed colorspace calls
        (QPainter::clearFocusRing): moved from QPainter -> CG
        Removed use of WebKitGraphicsBridge Colorspace SPIs, as well
        as corresponding QPainter colorspace "choke-point" methods.
        This fixes colors for WebCore+SVG (since it wasn't linking in
        webkit).  WebKit code removal in separate commit.
        http://bugs.webkit.org/show_bug.cgi?id=4211

2005-07-31  Darin Adler  <darin@apple.com>

        Reviewed by Maciej.

        - remove uses of Mac-OS-X-specific MAX macro in non-Mac-OS-X-specific code

        * khtml/misc/arena.cpp: (ArenaAllocate): Use std::max instead of MAX.
        * khtml/misc/loader.cpp: (Cache::setSize): Use kMax instead of MAX.
        * khtml/rendering/render_form.cpp:
        (RenderLineEdit::setSelectionStart): Ditto.
        (RenderLineEdit::setSelectionEnd): Ditto.
        (RenderLineEdit::setSelectionRange): Ditto.

2005-07-31  David Hyatt  <hyatt@apple.com>

	Implement support for checkbox accessibility for VoiceOver.
	
        Reviewed by mjs

        * kwq/KWQAccObject.mm:
        (-[KWQAccObject actionElement]):
        (-[KWQAccObject role]):
        (-[KWQAccObject roleDescription]):
        (-[KWQAccObject value]):
        (boundingBoxRect):
        (-[KWQAccObject accessibilityIsIgnored]):
        (-[KWQAccObject accessibilityAttributeValue:]):
        (-[KWQAccObject accessibilityIsAttributeSettable:]):

2005-07-31  David Hyatt  <hyatt@apple.com>

	Make node lists more refined in their invalidation when children are added/removed
	in the DOM or attributes are changed.  This is sort of a band-aid fix.  The
	architecture of node list notifications (as well as how they are stored) should
	be revisited.
	
        Reviewed by darin

        * khtml/xml/dom_nodeimpl.cpp:
        (DOM::NodeImpl::notifyLocalNodeListsAttributeChanged):
        (DOM::NodeImpl::notifyNodeListsAttributeChanged):
        (DOM::NodeImpl::notifyLocalNodeListsChildrenChanged):
        (DOM::NodeImpl::notifyNodeListsChildrenChanged):
        (DOM::NodeImpl::dispatchSubtreeModifiedEvent):
        (DOM::NodeListImpl::rootNodeChildrenChanged):
        * khtml/xml/dom_nodeimpl.h:
        (DOM::NodeListImpl::rootNodeAttributeChanged):
        (DOM::NameNodeListImpl::rootNodeChildrenChanged):
        (DOM::NameNodeListImpl::rootNodeAttributeChanged):

2005-07-31  Justin Garcia  <justin.garcia@apple.com>

        Reviewed by mjs
        
        Fixes <http://bugs.webkit.org/show_bug.cgi?id=3359> Crash on hover with certain styles on the text applied
        
        If a zero length render object (such as a text node that has been set to "") occured at the 
        end of a line, it was previously given a non-zero sized run.  Iteration over such a node would cause
        a crash.

        Test cases added:
        * layout-tests/traversal/size-zero-run-expected.txt: Added.
        * layout-tests/traversal/size-zero-run.html: Added.
        
        * khtml/rendering/bidi.cpp:
        (khtml::appendRun):

2005-07-31  Eric Seidel  <eseidel@apple.com>

        Reviewed by hyatt.

        * WebCore-svg.exp: Added.
        * WebCore.xcodeproj/project.pbxproj: Uses WebCore+SVG.exp
        * kcanvas/device/quartz/KCanvasFilterQuartz.mm: 
        (KCanvasFEFloodQuartz::getCIFilter): Fixed longjmp warning.
        * kdom/css/impl/CSSStyleSelector.cpp:
        (CSSStyleSelector::applyRule): Fixed "un-initialized" warning.
        * kdom/ecma/DOMLookup.h: Removed <iostream>
        * ksvg2/impl/svgpathparser.cpp: Removed <iostream>
        Several fixes required to make Deployment style builds
        compile correctly.  Also WebCore-svg.exp symbols were added
        both when generating WebCore-combined.exp as well as for
        generating a new WebCore+SVG.exp export file for the Deployment
        style builds, allowing DrawTest to link properly.
        A few other small warnings were caught and fixed.
        http://bugs.webkit.org/show_bug.cgi?id=4234

2005-07-29  David Hyatt  <hyatt@apple.com>

	This patch makes simulated clicks actually go into active state briefly.  Spacebar
	on the new checkboxes results in a pressed look.
	
        Reviewed by darin

        * khtml/html/html_elementimpl.cpp:
        (HTMLElementImpl::click):
        * khtml/rendering/render_theme.cpp:
        (khtml::RenderTheme::stateChanged):
        * khtml/rendering/render_theme.h:
        * khtml/xml/dom_nodeimpl.cpp:
        (DOM::ContainerNodeImpl::setActive):
        * khtml/xml/dom_nodeimpl.h:
        (DOM::NodeImpl::setActive):
        * kwq/KWQScrollView.mm:
        (QScrollView::updateContents):

2005-07-30  Anders Carlsson  <andersca@mac.com>

        Reviewed and landed by Darin Adler.

	- Fixes <http://bugs.webkit.org/show_bug.cgi?id=3893>
	
        Test cases added: 
	* layout-tests/fast/dom/css-dom-read-2.html: Added.
	* layout-tests/fast/dom/css-dom-read-2-expected.txt: Added.
	
        * khtml/css/css_computedstyle.cpp:
        (DOM::CSSComputedStyleDeclarationImpl::cssText):
	Implement.
	
        (DOM::CSSComputedStyleDeclarationImpl::item):
	Return the item name, not its value.
	
        * khtml/css/css_ruleimpl.cpp:
        (CSSImportRuleImpl::cssText):
        (CSSMediaRuleImpl::cssText):
        (CSSStyleRuleImpl::cssText):
        * khtml/css/css_ruleimpl.h:
	Implement.
	
        * khtml/css/css_stylesheetimpl.cpp:
        (MediaListImpl::mediaText):
	Don't put a trailing comma after lists.

2005-07-30  Darin Adler  <darin@apple.com>

        - rolled back a test that has been failing since we rolled back the <script/> quirk

        * layout-tests/fast/tokenizer/script_extra_close-expected.txt: Updated.

2005-07-30  Darin Adler  <darin@apple.com>

        Reviewed by me, change by Dave Hyatt.

        - fixed http://bugs.webkit.org/show_bug.cgi?id=4221
          REGRESSION: Elements act as if in :hover meta-class during page load although they aren't

        * khtml/xml/dom_nodeimpl.cpp: (DOM::NodeImpl::NodeImpl): Initialize m_hovered to false.

2005-07-30  Maciej Stachowiak  <mjs@apple.com>

        Missing bits of last checkin...

        * WebCore.exp:
        * WebCore.xcodeproj/project.pbxproj:

2005-07-29  Maciej Stachowiak  <mjs@apple.com>

        Changes by Michael Kahl, reviewed by me.

        Test cases added: No tests, this code only affects debugging.

	- fixed <rdar://problem/4164112> MASTER: JavaScript debugging support
	
        * kwq/WebCoreScriptDebugger.h: Added.
        * kwq/WebCoreScriptDebugger.mm: Added.
        (toNSString):
        (WebCoreScriptDebuggerImp::WebCoreScriptDebuggerImp):
        (WebCoreScriptDebuggerImp::sourceParsed):
        (WebCoreScriptDebuggerImp::callEvent):
        (WebCoreScriptDebuggerImp::atStatement):
        (WebCoreScriptDebuggerImp::returnEvent):
        (-[WebCoreScriptDebugger initWithDelegate:]):
        (-[WebCoreScriptDebugger dealloc]):
        (-[WebCoreScriptDebugger delegate]):
        (-[WebCoreScriptCallFrame _initWithGlobalObject:caller:state:]):
        (-[WebCoreScriptCallFrame _setWrapper:]):
        (-[WebCoreScriptCallFrame _convertValueToObjcValue:]):
        (-[WebCoreScriptCallFrame dealloc]):
        (-[WebCoreScriptCallFrame wrapper]):
        (-[WebCoreScriptCallFrame caller]):
        (-[WebCoreScriptCallFrame scopeChain]):
        (-[WebCoreScriptCallFrame functionName]):
        (-[WebCoreScriptCallFrame exception]):
        (-[WebCoreScriptCallFrame evaluateWebScript:]):

2005-07-29  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by hyatt (concept and a few manual parts), large part
	done by script and not really reviewed in detail.

        - changed how HTML tags and attributes are referred to in the code for better readability.

        * khtml/css/cssstyleselector.cpp:
        (khtml::checkPseudoState):
        (khtml::CSSStyleSelector::canShareStyleWithElement):
        (khtml::CSSStyleSelector::adjustRenderStyle):
        (khtml::CSSStyleSelector::checkOneSelector):
        * khtml/css/parser.y:
        * khtml/ecma/kjs_css.cpp:
        (KJS::DOMStyleSheetList::getOwnProperty):
        * khtml/ecma/kjs_dom.cpp:
        (KJS::getRuntimeObject):
        (KJS::DOMNamedNodesCollection::getOwnProperty):
        * khtml/ecma/kjs_html.cpp:
        (KJS::HTMLDocument::getOwnProperty):
        (KJS::KJS::HTMLDocument::putValueProperty):
        (KJS::KJS::HTMLElement::classInfo):
        (KJS::HTMLElement::getSetInfo):
        (KJS::KJS::HTMLElement::getOwnProperty):
        (KJS::KJS::HTMLElement::implementsCall):
        (KJS::KJS::HTMLElement::call):
        (KJS::KJS::HTMLElement::hasOwnProperty):
        (KJS::KJS::HTMLElement::toString):
        (KJS::getForm):
        (KJS::KJS::HTMLElement::pushEventHandlerScope):
        (KJS::KJS::HTMLElementFunction::call):
        (KJS::KJS::HTMLElement::put):
        (KJS::toHTMLTableCaptionElement):
        (KJS::toHTMLTableSectionElement):
        (KJS::KJS::HTMLCollection::getOwnProperty):
        (KJS::KJS::HTMLSelectCollection::put):
        * khtml/editing/apply_style_command.cpp:
        (khtml::isStyleSpan):
        (khtml::isEmptyStyleSpan):
        (khtml::isEmptyFontTag):
        (khtml::createFontElement):
        (khtml::createStyleSpanElement):
        (khtml::ApplyStyleCommand::applyRelativeFontStyleChange):
        (khtml::ApplyStyleCommand::applyInlineStyle):
        (khtml::ApplyStyleCommand::isHTMLStyleNode):
        (khtml::ApplyStyleCommand::removeHTMLFontStyle):
        (khtml::ApplyStyleCommand::applyTextDecorationStyle):
        (khtml::ApplyStyleCommand::mergeEndWithNextIfIdentical):
        (khtml::ApplyStyleCommand::addBlockStyleIfNeeded):
        (khtml::ApplyStyleCommand::addInlineStyleIfNeeded):
        * khtml/editing/break_blockquote_command.cpp:
        (khtml::BreakBlockquoteCommand::doApply):
        * khtml/editing/composite_edit_command.cpp:
        (khtml::CompositeEditCommand::insertNodeBefore):
        (khtml::CompositeEditCommand::insertNodeAfter):
        (khtml::CompositeEditCommand::findBlockPlaceholder):
        (khtml::CompositeEditCommand::moveParagraphContentsToNewBlockIfNecessary):
        (khtml::createBlockPlaceholderElement):
        * khtml/editing/delete_selection_command.cpp:
        (khtml::isListStructureNode):
        (khtml::DeleteSelectionCommand::handleSpecialCaseBRDelete):
        (khtml::DeleteSelectionCommand::handleGeneralDelete):
        (khtml::DeleteSelectionCommand::moveNodesAfterNode):
        * khtml/editing/htmlediting.cpp:
        (khtml::isSpecialElement):
        (khtml::createDefaultParagraphElement):
        (khtml::createBreakElement):
        (khtml::isMailBlockquote):
        * khtml/editing/insert_line_break_command.cpp:
        (khtml::InsertLineBreakCommand::doApply):
        * khtml/editing/insert_paragraph_separator_command.cpp:
        (khtml::InsertParagraphSeparatorCommand::doApply):
        * khtml/editing/markup.cpp:
        (khtml::startMarkup):
        (khtml::createMarkup):
        (khtml::createFragmentFromText):
        * khtml/editing/replace_selection_command.cpp:
        (khtml::isProbablyBlock):
        (khtml::isProbablyTableStructureNode):
        (khtml::ReplacementFragment::isInterchangeNewlineNode):
        (khtml::ReplacementFragment::isInterchangeConvertedSpaceSpan):
        (khtml::ReplacementFragment::removeStyleNodes):
        (khtml::ReplaceSelectionCommand::doApply):
        * khtml/editing/visible_position.cpp:
        (khtml::VisiblePosition::init):
        (khtml::VisiblePosition::isCandidate):
        (khtml::VisiblePosition::isAtomicNode):
        * khtml/editing/visible_text.cpp:
        (khtml::TextIterator::handleNonTextNode):
        (khtml::TextIterator::exitNode):
        (khtml::SimplifiedBackwardsTextIterator::handleNonTextNode):
        * khtml/editing/visible_units.cpp:
        (khtml::endOfLine):
        * khtml/html/html_baseimpl.cpp:
        (HTMLBodyElementImpl::HTMLBodyElementImpl):
        (HTMLBodyElementImpl::mapToEntry):
        (HTMLBodyElementImpl::parseMappedAttribute):
        (HTMLBodyElementImpl::insertedIntoDocument):
        (HTMLBodyElementImpl::isURLAttribute):
        (HTMLBodyElementImpl::aLink):
        (HTMLBodyElementImpl::setALink):
        (HTMLBodyElementImpl::background):
        (HTMLBodyElementImpl::setBackground):
        (HTMLBodyElementImpl::bgColor):
        (HTMLBodyElementImpl::setBgColor):
        (HTMLBodyElementImpl::link):
        (HTMLBodyElementImpl::setLink):
        (HTMLBodyElementImpl::text):
        (HTMLBodyElementImpl::setText):
        (HTMLBodyElementImpl::vLink):
        (HTMLBodyElementImpl::setVLink):
        (HTMLFrameElementImpl::HTMLFrameElementImpl):
        (HTMLFrameElementImpl::parseMappedAttribute):
        (HTMLFrameElementImpl::attach):
        (HTMLFrameElementImpl::isURLAttribute):
        (HTMLFrameElementImpl::frameBorder):
        (HTMLFrameElementImpl::setFrameBorder):
        (HTMLFrameElementImpl::longDesc):
        (HTMLFrameElementImpl::setLongDesc):
        (HTMLFrameElementImpl::marginHeight):
        (HTMLFrameElementImpl::setMarginHeight):
        (HTMLFrameElementImpl::marginWidth):
        (HTMLFrameElementImpl::setMarginWidth):
        (HTMLFrameElementImpl::name):
        (HTMLFrameElementImpl::setName):
        (HTMLFrameElementImpl::setNoResize):
        (HTMLFrameElementImpl::scrolling):
        (HTMLFrameElementImpl::setScrolling):
        (HTMLFrameElementImpl::src):
        (HTMLFrameElementImpl::setSrc):
        (HTMLFrameSetElementImpl::HTMLFrameSetElementImpl):
        (HTMLFrameSetElementImpl::checkDTD):
        (HTMLFrameSetElementImpl::parseMappedAttribute):
        (HTMLFrameSetElementImpl::attach):
        (HTMLFrameSetElementImpl::cols):
        (HTMLFrameSetElementImpl::setCols):
        (HTMLFrameSetElementImpl::rows):
        (HTMLFrameSetElementImpl::setRows):
        (HTMLHeadElementImpl::HTMLHeadElementImpl):
        (HTMLHeadElementImpl::profile):
        (HTMLHeadElementImpl::setProfile):
        (HTMLHeadElementImpl::checkDTD):
        (HTMLHtmlElementImpl::HTMLHtmlElementImpl):
        (HTMLHtmlElementImpl::version):
        (HTMLHtmlElementImpl::setVersion):
        (HTMLHtmlElementImpl::checkDTD):
        (HTMLIFrameElementImpl::HTMLIFrameElementImpl):
        (HTMLIFrameElementImpl::mapToEntry):
        (HTMLIFrameElementImpl::parseMappedAttribute):
        (HTMLIFrameElementImpl::attach):
        (HTMLIFrameElementImpl::isURLAttribute):
        (HTMLIFrameElementImpl::align):
        (HTMLIFrameElementImpl::setAlign):
        (HTMLIFrameElementImpl::height):
        (HTMLIFrameElementImpl::setHeight):
        (HTMLIFrameElementImpl::src):
        (HTMLIFrameElementImpl::width):
        (HTMLIFrameElementImpl::setWidth):
        * khtml/html/html_blockimpl.cpp:
        (HTMLBlockquoteElementImpl::HTMLBlockquoteElementImpl):
        (HTMLBlockquoteElementImpl::cite):
        (HTMLBlockquoteElementImpl::setCite):
        (HTMLDivElementImpl::HTMLDivElementImpl):
        (HTMLDivElementImpl::mapToEntry):
        (HTMLDivElementImpl::parseMappedAttribute):
        (HTMLDivElementImpl::align):
        (HTMLDivElementImpl::setAlign):
        (HTMLHRElementImpl::HTMLHRElementImpl):
        (HTMLHRElementImpl::mapToEntry):
        (HTMLHRElementImpl::parseMappedAttribute):
        (HTMLHRElementImpl::align):
        (HTMLHRElementImpl::setAlign):
        (HTMLHRElementImpl::noShade):
        (HTMLHRElementImpl::setNoShade):
        (HTMLHRElementImpl::size):
        (HTMLHRElementImpl::setSize):
        (HTMLHRElementImpl::width):
        (HTMLHRElementImpl::setWidth):
        (HTMLHeadingElementImpl::checkDTD):
        (HTMLHeadingElementImpl::align):
        (HTMLHeadingElementImpl::setAlign):
        (HTMLParagraphElementImpl::HTMLParagraphElementImpl):
        (HTMLParagraphElementImpl::checkDTD):
        (HTMLParagraphElementImpl::mapToEntry):
        (HTMLParagraphElementImpl::parseMappedAttribute):
        (HTMLParagraphElementImpl::align):
        (HTMLParagraphElementImpl::setAlign):
        (HTMLPreElementImpl::width):
        (HTMLPreElementImpl::setWidth):
        (HTMLMarqueeElementImpl::HTMLMarqueeElementImpl):
        (HTMLMarqueeElementImpl::mapToEntry):
        (HTMLMarqueeElementImpl::parseMappedAttribute):
        * khtml/html/html_canvasimpl.cpp:
        (HTMLCanvasElementImpl::HTMLCanvasElementImpl):
        (HTMLCanvasElementImpl::mapToEntry):
        (HTMLCanvasElementImpl::parseMappedAttribute):
        (HTMLCanvasElementImpl::isURLAttribute):
        * khtml/html/html_documentimpl.cpp:
        (DOM::HTMLDocumentImpl::childAllowed):
        * khtml/html/html_elementimpl.cpp:
        (HTMLElementImpl::endTagRequirement):
        (HTMLElementImpl::tagPriority):
        (HTMLElementImpl::mapToEntry):
        (HTMLElementImpl::parseMappedAttribute):
        (HTMLElementImpl::createContextualFragment):
        (HTMLElementImpl::setInnerText):
        (HTMLElementImpl::setOuterText):
        (HTMLElementImpl::setContentEditable):
        (HTMLElementImpl::id):
        (HTMLElementImpl::setId):
        (HTMLElementImpl::title):
        (HTMLElementImpl::setTitle):
        (HTMLElementImpl::lang):
        (HTMLElementImpl::setLang):
        (HTMLElementImpl::dir):
        (HTMLElementImpl::setDir):
        (HTMLElementImpl::className):
        (HTMLElementImpl::setClassName):
        (HTMLElementImpl::isRecognizedTagName):
        (inlineTagList):
        (blockTagList):
        (HTMLElementImpl::checkDTD):
        * khtml/html/html_formimpl.cpp:
        (DOM::HTMLFormElementImpl::HTMLFormElementImpl):
        (DOM::HTMLFormElementImpl::submitClick):
        (DOM::HTMLFormElementImpl::formData):
        (DOM::HTMLFormElementImpl::submit):
        (DOM::HTMLFormElementImpl::parseMappedAttribute):
        (DOM::HTMLFormElementImpl::radioClicked):
        (DOM::HTMLFormElementImpl::isURLAttribute):
        (DOM::HTMLFormElementImpl::name):
        (DOM::HTMLFormElementImpl::setName):
        (DOM::HTMLFormElementImpl::acceptCharset):
        (DOM::HTMLFormElementImpl::setAcceptCharset):
        (DOM::HTMLFormElementImpl::action):
        (DOM::HTMLFormElementImpl::setAction):
        (DOM::HTMLFormElementImpl::setEnctype):
        (DOM::HTMLFormElementImpl::method):
        (DOM::HTMLFormElementImpl::setMethod):
        (DOM::HTMLFormElementImpl::target):
        (DOM::HTMLFormElementImpl::setTarget):
        (DOM::HTMLGenericFormElementImpl::parseMappedAttribute):
        (DOM::HTMLGenericFormElementImpl::getForm):
        (DOM::HTMLGenericFormElementImpl::name):
        (DOM::HTMLGenericFormElementImpl::setName):
        (DOM::HTMLGenericFormElementImpl::setDisabled):
        (DOM::HTMLGenericFormElementImpl::setReadOnly):
        (DOM::HTMLGenericFormElementImpl::tabIndex):
        (DOM::HTMLGenericFormElementImpl::setTabIndex):
        (DOM::HTMLButtonElementImpl::HTMLButtonElementImpl):
        (DOM::HTMLButtonElementImpl::type):
        (DOM::HTMLButtonElementImpl::parseMappedAttribute):
        (DOM::HTMLButtonElementImpl::accessKey):
        (DOM::HTMLButtonElementImpl::setAccessKey):
        (DOM::HTMLButtonElementImpl::value):
        (DOM::HTMLButtonElementImpl::setValue):
        (DOM::HTMLFieldSetElementImpl::HTMLFieldSetElementImpl):
        (DOM::HTMLFieldSetElementImpl::checkDTD):
        (DOM::HTMLInputElementImpl::HTMLInputElementImpl):
        (DOM::HTMLInputElementImpl::setType):
        (DOM::HTMLInputElementImpl::mapToEntry):
        (DOM::HTMLInputElementImpl::parseMappedAttribute):
        (DOM::HTMLInputElementImpl::attach):
        (DOM::HTMLInputElementImpl::altText):
        (DOM::HTMLInputElementImpl::value):
        (DOM::HTMLInputElementImpl::setValue):
        (DOM::HTMLInputElementImpl::isURLAttribute):
        (DOM::HTMLInputElementImpl::defaultValue):
        (DOM::HTMLInputElementImpl::setDefaultValue):
        (DOM::HTMLInputElementImpl::defaultChecked):
        (DOM::HTMLInputElementImpl::setDefaultChecked):
        (DOM::HTMLInputElementImpl::accept):
        (DOM::HTMLInputElementImpl::setAccept):
        (DOM::HTMLInputElementImpl::accessKey):
        (DOM::HTMLInputElementImpl::setAccessKey):
        (DOM::HTMLInputElementImpl::align):
        (DOM::HTMLInputElementImpl::setAlign):
        (DOM::HTMLInputElementImpl::alt):
        (DOM::HTMLInputElementImpl::setAlt):
        (DOM::HTMLInputElementImpl::setMaxLength):
        (DOM::HTMLInputElementImpl::setSize):
        (DOM::HTMLInputElementImpl::src):
        (DOM::HTMLInputElementImpl::setSrc):
        (DOM::HTMLInputElementImpl::useMap):
        (DOM::HTMLInputElementImpl::setUseMap):
        (DOM::HTMLLabelElementImpl::HTMLLabelElementImpl):
        (DOM::HTMLLabelElementImpl::parseMappedAttribute):
        (DOM::HTMLLabelElementImpl::formElement):
        (DOM::HTMLLabelElementImpl::form):
        (DOM::HTMLLabelElementImpl::accessKey):
        (DOM::HTMLLabelElementImpl::setAccessKey):
        (DOM::HTMLLabelElementImpl::htmlFor):
        (DOM::HTMLLabelElementImpl::setHtmlFor):
        (DOM::HTMLLegendElementImpl::HTMLLegendElementImpl):
        (DOM::HTMLLegendElementImpl::accessKey):
        (DOM::HTMLLegendElementImpl::setAccessKey):
        (DOM::HTMLLegendElementImpl::align):
        (DOM::HTMLLegendElementImpl::setAlign):
        (DOM::HTMLLegendElementImpl::formElement):
        (DOM::HTMLSelectElementImpl::HTMLSelectElementImpl):
        (DOM::HTMLSelectElementImpl::checkDTD):
        (DOM::HTMLSelectElementImpl::selectedIndex):
        (DOM::HTMLSelectElementImpl::setSelectedIndex):
        (DOM::HTMLSelectElementImpl::length):
        (DOM::HTMLSelectElementImpl::add):
        (DOM::HTMLSelectElementImpl::value):
        (DOM::HTMLSelectElementImpl::setValue):
        (DOM::HTMLSelectElementImpl::state):
        (DOM::HTMLSelectElementImpl::restoreState):
        (DOM::HTMLSelectElementImpl::parseMappedAttribute):
        (DOM::HTMLSelectElementImpl::appendFormData):
        (DOM::HTMLSelectElementImpl::optionToListIndex):
        (DOM::HTMLSelectElementImpl::listToOptionIndex):
        (DOM::HTMLSelectElementImpl::recalcListItems):
        (DOM::HTMLSelectElementImpl::reset):
        (DOM::HTMLSelectElementImpl::notifyOptionSelected):
        (DOM::HTMLSelectElementImpl::setMultiple):
        (DOM::HTMLSelectElementImpl::setSize):
        (DOM::HTMLKeygenElementImpl::HTMLKeygenElementImpl):
        (DOM::HTMLKeygenElementImpl::parseMappedAttribute):
        (DOM::HTMLOptGroupElementImpl::HTMLOptGroupElementImpl):
        (DOM::HTMLOptGroupElementImpl::recalcSelectOptions):
        (DOM::HTMLOptGroupElementImpl::label):
        (DOM::HTMLOptGroupElementImpl::setLabel):
        (DOM::HTMLOptionElementImpl::HTMLOptionElementImpl):
        (DOM::HTMLOptionElementImpl::text):
        (DOM::HTMLOptionElementImpl::index):
        (DOM::HTMLOptionElementImpl::parseMappedAttribute):
        (DOM::HTMLOptionElementImpl::setValue):
        (DOM::HTMLOptionElementImpl::getSelect):
        (DOM::HTMLOptionElementImpl::defaultSelected):
        (DOM::HTMLOptionElementImpl::setDefaultSelected):
        (DOM::HTMLOptionElementImpl::label):
        (DOM::HTMLOptionElementImpl::setLabel):
        (DOM::HTMLTextAreaElementImpl::HTMLTextAreaElementImpl):
        (DOM::HTMLTextAreaElementImpl::parseMappedAttribute):
        (DOM::HTMLTextAreaElementImpl::accessKey):
        (DOM::HTMLTextAreaElementImpl::setAccessKey):
        (DOM::HTMLTextAreaElementImpl::setCols):
        (DOM::HTMLTextAreaElementImpl::setRows):
        (DOM::HTMLIsIndexElementImpl::HTMLIsIndexElementImpl):
        (DOM::HTMLIsIndexElementImpl::parseMappedAttribute):
        (DOM::HTMLIsIndexElementImpl::prompt):
        (DOM::HTMLIsIndexElementImpl::setPrompt):
        * khtml/html/html_formimpl.h:
        (DOM::HTMLOptGroupElementImpl::checkDTD):
        * khtml/html/html_headimpl.cpp:
        (HTMLBaseElementImpl::HTMLBaseElementImpl):
        (HTMLBaseElementImpl::parseMappedAttribute):
        (HTMLBaseElementImpl::setHref):
        (HTMLBaseElementImpl::setTarget):
        (HTMLLinkElementImpl::HTMLLinkElementImpl):
        (HTMLLinkElementImpl::parseMappedAttribute):
        (HTMLLinkElementImpl::process):
        (HTMLLinkElementImpl::isURLAttribute):
        (HTMLLinkElementImpl::disabled):
        (HTMLLinkElementImpl::setDisabled):
        (HTMLLinkElementImpl::charset):
        (HTMLLinkElementImpl::setCharset):
        (HTMLLinkElementImpl::href):
        (HTMLLinkElementImpl::setHref):
        (HTMLLinkElementImpl::hreflang):
        (HTMLLinkElementImpl::setHreflang):
        (HTMLLinkElementImpl::media):
        (HTMLLinkElementImpl::setMedia):
        (HTMLLinkElementImpl::rel):
        (HTMLLinkElementImpl::setRel):
        (HTMLLinkElementImpl::rev):
        (HTMLLinkElementImpl::setRev):
        (HTMLLinkElementImpl::target):
        (HTMLLinkElementImpl::setTarget):
        (HTMLLinkElementImpl::type):
        (HTMLLinkElementImpl::setType):
        (HTMLMetaElementImpl::HTMLMetaElementImpl):
        (HTMLMetaElementImpl::parseMappedAttribute):
        (HTMLMetaElementImpl::content):
        (HTMLMetaElementImpl::setContent):
        (HTMLMetaElementImpl::httpEquiv):
        (HTMLMetaElementImpl::setHttpEquiv):
        (HTMLMetaElementImpl::name):
        (HTMLMetaElementImpl::setName):
        (HTMLMetaElementImpl::scheme):
        (HTMLMetaElementImpl::setScheme):
        (HTMLScriptElementImpl::HTMLScriptElementImpl):
        (HTMLScriptElementImpl::isURLAttribute):
        (HTMLScriptElementImpl::insertedIntoDocument):
        (HTMLScriptElementImpl::charset):
        (HTMLScriptElementImpl::setCharset):
        (HTMLScriptElementImpl::defer):
        (HTMLScriptElementImpl::setDefer):
        (HTMLScriptElementImpl::src):
        (HTMLScriptElementImpl::setSrc):
        (HTMLScriptElementImpl::type):
        (HTMLScriptElementImpl::setType):
        (HTMLStyleElementImpl::HTMLStyleElementImpl):
        (HTMLStyleElementImpl::parseMappedAttribute):
        (HTMLStyleElementImpl::disabled):
        (HTMLStyleElementImpl::setDisabled):
        (HTMLStyleElementImpl::media):
        (HTMLStyleElementImpl::setMedia):
        (HTMLStyleElementImpl::type):
        (HTMLStyleElementImpl::setType):
        (HTMLTitleElementImpl::HTMLTitleElementImpl):
        * khtml/html/html_imageimpl.cpp:
        (HTMLImageLoader::updateFromElement):
        (HTMLImageElementImpl::HTMLImageElementImpl):
        (HTMLImageElementImpl::mapToEntry):
        (HTMLImageElementImpl::parseMappedAttribute):
        (HTMLImageElementImpl::altText):
        (HTMLImageElementImpl::width):
        (HTMLImageElementImpl::height):
        (HTMLImageElementImpl::isURLAttribute):
        (HTMLImageElementImpl::name):
        (HTMLImageElementImpl::setName):
        (HTMLImageElementImpl::align):
        (HTMLImageElementImpl::setAlign):
        (HTMLImageElementImpl::alt):
        (HTMLImageElementImpl::setAlt):
        (HTMLImageElementImpl::border):
        (HTMLImageElementImpl::setBorder):
        (HTMLImageElementImpl::setHeight):
        (HTMLImageElementImpl::hspace):
        (HTMLImageElementImpl::setHspace):
        (HTMLImageElementImpl::isMap):
        (HTMLImageElementImpl::setIsMap):
        (HTMLImageElementImpl::longDesc):
        (HTMLImageElementImpl::setLongDesc):
        (HTMLImageElementImpl::src):
        (HTMLImageElementImpl::setSrc):
        (HTMLImageElementImpl::useMap):
        (HTMLImageElementImpl::setUseMap):
        (HTMLImageElementImpl::vspace):
        (HTMLImageElementImpl::setVspace):
        (HTMLImageElementImpl::setWidth):
        (HTMLMapElementImpl::HTMLMapElementImpl):
        (HTMLMapElementImpl::checkDTD):
        (HTMLMapElementImpl::mapMouseEvent):
        (HTMLMapElementImpl::parseMappedAttribute):
        (HTMLMapElementImpl::name):
        (HTMLMapElementImpl::setName):
        (HTMLAreaElementImpl::HTMLAreaElementImpl):
        (HTMLAreaElementImpl::parseMappedAttribute):
        (HTMLAreaElementImpl::accessKey):
        (HTMLAreaElementImpl::setAccessKey):
        (HTMLAreaElementImpl::alt):
        (HTMLAreaElementImpl::setAlt):
        (HTMLAreaElementImpl::coords):
        (HTMLAreaElementImpl::setCoords):
        (HTMLAreaElementImpl::href):
        (HTMLAreaElementImpl::setHref):
        (HTMLAreaElementImpl::noHref):
        (HTMLAreaElementImpl::setNoHref):
        (HTMLAreaElementImpl::shape):
        (HTMLAreaElementImpl::setShape):
        (HTMLAreaElementImpl::tabIndex):
        (HTMLAreaElementImpl::setTabIndex):
        (HTMLAreaElementImpl::target):
        (HTMLAreaElementImpl::setTarget):
        * khtml/html/html_inlineimpl.cpp:
        (DOM::HTMLAnchorElementImpl::HTMLAnchorElementImpl):
        (DOM::HTMLAnchorElementImpl::defaultEventHandler):
        (DOM::HTMLAnchorElementImpl::parseMappedAttribute):
        (DOM::HTMLAnchorElementImpl::isURLAttribute):
        (DOM::HTMLAnchorElementImpl::accessKey):
        (DOM::HTMLAnchorElementImpl::setAccessKey):
        (DOM::HTMLAnchorElementImpl::charset):
        (DOM::HTMLAnchorElementImpl::setCharset):
        (DOM::HTMLAnchorElementImpl::coords):
        (DOM::HTMLAnchorElementImpl::setCoords):
        (DOM::HTMLAnchorElementImpl::href):
        (DOM::HTMLAnchorElementImpl::setHref):
        (DOM::HTMLAnchorElementImpl::hreflang):
        (DOM::HTMLAnchorElementImpl::setHreflang):
        (DOM::HTMLAnchorElementImpl::name):
        (DOM::HTMLAnchorElementImpl::setName):
        (DOM::HTMLAnchorElementImpl::rel):
        (DOM::HTMLAnchorElementImpl::setRel):
        (DOM::HTMLAnchorElementImpl::rev):
        (DOM::HTMLAnchorElementImpl::setRev):
        (DOM::HTMLAnchorElementImpl::shape):
        (DOM::HTMLAnchorElementImpl::setShape):
        (DOM::HTMLAnchorElementImpl::tabIndex):
        (DOM::HTMLAnchorElementImpl::setTabIndex):
        (DOM::HTMLAnchorElementImpl::target):
        (DOM::HTMLAnchorElementImpl::setTarget):
        (DOM::HTMLAnchorElementImpl::type):
        (DOM::HTMLAnchorElementImpl::setType):
        (DOM::HTMLBRElementImpl::HTMLBRElementImpl):
        (DOM::HTMLBRElementImpl::mapToEntry):
        (DOM::HTMLBRElementImpl::parseMappedAttribute):
        (DOM::HTMLBRElementImpl::clear):
        (DOM::HTMLBRElementImpl::setClear):
        (DOM::HTMLFontElementImpl::HTMLFontElementImpl):
        (DOM::HTMLFontElementImpl::mapToEntry):
        (DOM::HTMLFontElementImpl::parseMappedAttribute):
        (DOM::HTMLFontElementImpl::color):
        (DOM::HTMLFontElementImpl::setColor):
        (DOM::HTMLFontElementImpl::face):
        (DOM::HTMLFontElementImpl::setFace):
        (DOM::HTMLFontElementImpl::size):
        (DOM::HTMLFontElementImpl::setSize):
        (DOM::HTMLModElementImpl::cite):
        (DOM::HTMLModElementImpl::setCite):
        (DOM::HTMLModElementImpl::dateTime):
        (DOM::HTMLModElementImpl::setDateTime):
        (DOM::HTMLQuoteElementImpl::HTMLQuoteElementImpl):
        (DOM::HTMLQuoteElementImpl::cite):
        (DOM::HTMLQuoteElementImpl::setCite):
        * khtml/html/html_listimpl.cpp:
        (DOM::HTMLUListElementImpl::mapToEntry):
        (DOM::HTMLUListElementImpl::parseMappedAttribute):
        (DOM::HTMLUListElementImpl::compact):
        (DOM::HTMLUListElementImpl::setCompact):
        (DOM::HTMLUListElementImpl::type):
        (DOM::HTMLUListElementImpl::setType):
        (DOM::HTMLDirectoryElementImpl::compact):
        (DOM::HTMLDirectoryElementImpl::setCompact):
        (DOM::HTMLMenuElementImpl::compact):
        (DOM::HTMLMenuElementImpl::setCompact):
        (DOM::HTMLOListElementImpl::mapToEntry):
        (DOM::HTMLOListElementImpl::parseMappedAttribute):
        (DOM::HTMLOListElementImpl::compact):
        (DOM::HTMLOListElementImpl::setCompact):
        (DOM::HTMLOListElementImpl::setStart):
        (DOM::HTMLOListElementImpl::type):
        (DOM::HTMLOListElementImpl::setType):
        (DOM::HTMLLIElementImpl::mapToEntry):
        (DOM::HTMLLIElementImpl::parseMappedAttribute):
        (DOM::HTMLLIElementImpl::attach):
        (DOM::HTMLLIElementImpl::type):
        (DOM::HTMLLIElementImpl::setType):
        (DOM::HTMLLIElementImpl::value):
        (DOM::HTMLLIElementImpl::setValue):
        (DOM::HTMLDListElementImpl::compact):
        (DOM::HTMLDListElementImpl::setCompact):
        * khtml/html/html_listimpl.h:
        (DOM::HTMLUListElementImpl::HTMLUListElementImpl):
        (DOM::HTMLDirectoryElementImpl::HTMLDirectoryElementImpl):
        (DOM::HTMLMenuElementImpl::HTMLMenuElementImpl):
        (DOM::HTMLOListElementImpl::HTMLOListElementImpl):
        (DOM::HTMLLIElementImpl::HTMLLIElementImpl):
        (DOM::HTMLDListElementImpl::HTMLDListElementImpl):
        * khtml/html/html_miscimpl.cpp:
        (DOM::HTMLBaseFontElementImpl::HTMLBaseFontElementImpl):
        (DOM::HTMLBaseFontElementImpl::color):
        (DOM::HTMLBaseFontElementImpl::setColor):
        (DOM::HTMLBaseFontElementImpl::face):
        (DOM::HTMLBaseFontElementImpl::setFace):
        (DOM::HTMLBaseFontElementImpl::size):
        (DOM::HTMLBaseFontElementImpl::setSize):
        (DOM::HTMLCollectionImpl::traverseNextItem):
        (DOM::HTMLCollectionImpl::checkForNameMatch):
        (DOM::HTMLNameCollectionImpl::traverseNextItem):
        (DOM::HTMLCollectionImpl::updateNameCache):
        (DOM::HTMLFormCollectionImpl::getNamedFormItem):
        (DOM::HTMLFormCollectionImpl::nextNamedItemInternal):
        (DOM::HTMLFormCollectionImpl::namedItem):
        (DOM::HTMLFormCollectionImpl::nextNamedItem):
        (DOM::HTMLFormCollectionImpl::updateNameCache):
        * khtml/html/html_objectimpl.cpp:
        (DOM::HTMLAppletElementImpl::HTMLAppletElementImpl):
        (DOM::HTMLAppletElementImpl::checkDTD):
        (DOM::HTMLAppletElementImpl::mapToEntry):
        (DOM::HTMLAppletElementImpl::parseMappedAttribute):
        (DOM::HTMLAppletElementImpl::rendererIsNeeded):
        (DOM::HTMLAppletElementImpl::createRenderer):
        (DOM::HTMLAppletElementImpl::align):
        (DOM::HTMLAppletElementImpl::setAlign):
        (DOM::HTMLAppletElementImpl::alt):
        (DOM::HTMLAppletElementImpl::setAlt):
        (DOM::HTMLAppletElementImpl::archive):
        (DOM::HTMLAppletElementImpl::setArchive):
        (DOM::HTMLAppletElementImpl::code):
        (DOM::HTMLAppletElementImpl::setCode):
        (DOM::HTMLAppletElementImpl::codeBase):
        (DOM::HTMLAppletElementImpl::setCodeBase):
        (DOM::HTMLAppletElementImpl::height):
        (DOM::HTMLAppletElementImpl::setHeight):
        (DOM::HTMLAppletElementImpl::hspace):
        (DOM::HTMLAppletElementImpl::setHspace):
        (DOM::HTMLAppletElementImpl::name):
        (DOM::HTMLAppletElementImpl::setName):
        (DOM::HTMLAppletElementImpl::object):
        (DOM::HTMLAppletElementImpl::setObject):
        (DOM::HTMLAppletElementImpl::vspace):
        (DOM::HTMLAppletElementImpl::setVspace):
        (DOM::HTMLAppletElementImpl::width):
        (DOM::HTMLAppletElementImpl::setWidth):
        (DOM::HTMLEmbedElementImpl::HTMLEmbedElementImpl):
        (DOM::HTMLEmbedElementImpl::checkDTD):
        (DOM::HTMLEmbedElementImpl::mapToEntry):
        (DOM::HTMLEmbedElementImpl::parseMappedAttribute):
        (DOM::HTMLEmbedElementImpl::rendererIsNeeded):
        (DOM::HTMLEmbedElementImpl::isURLAttribute):
        (DOM::HTMLObjectElementImpl::HTMLObjectElementImpl):
        (DOM::HTMLObjectElementImpl::checkDTD):
        (DOM::HTMLObjectElementImpl::form):
        (DOM::HTMLObjectElementImpl::mapToEntry):
        (DOM::HTMLObjectElementImpl::parseMappedAttribute):
        (DOM::HTMLObjectElementImpl::isURLAttribute):
        (DOM::HTMLObjectElementImpl::code):
        (DOM::HTMLObjectElementImpl::setCode):
        (DOM::HTMLObjectElementImpl::align):
        (DOM::HTMLObjectElementImpl::setAlign):
        (DOM::HTMLObjectElementImpl::archive):
        (DOM::HTMLObjectElementImpl::setArchive):
        (DOM::HTMLObjectElementImpl::border):
        (DOM::HTMLObjectElementImpl::setBorder):
        (DOM::HTMLObjectElementImpl::codeBase):
        (DOM::HTMLObjectElementImpl::setCodeBase):
        (DOM::HTMLObjectElementImpl::codeType):
        (DOM::HTMLObjectElementImpl::setCodeType):
        (DOM::HTMLObjectElementImpl::data):
        (DOM::HTMLObjectElementImpl::setData):
        (DOM::HTMLObjectElementImpl::declare):
        (DOM::HTMLObjectElementImpl::setDeclare):
        (DOM::HTMLObjectElementImpl::height):
        (DOM::HTMLObjectElementImpl::setHeight):
        (DOM::HTMLObjectElementImpl::hspace):
        (DOM::HTMLObjectElementImpl::setHspace):
        (DOM::HTMLObjectElementImpl::name):
        (DOM::HTMLObjectElementImpl::setName):
        (DOM::HTMLObjectElementImpl::standby):
        (DOM::HTMLObjectElementImpl::setStandby):
        (DOM::HTMLObjectElementImpl::tabIndex):
        (DOM::HTMLObjectElementImpl::setTabIndex):
        (DOM::HTMLObjectElementImpl::type):
        (DOM::HTMLObjectElementImpl::setType):
        (DOM::HTMLObjectElementImpl::useMap):
        (DOM::HTMLObjectElementImpl::setUseMap):
        (DOM::HTMLObjectElementImpl::vspace):
        (DOM::HTMLObjectElementImpl::setVspace):
        (DOM::HTMLObjectElementImpl::width):
        (DOM::HTMLObjectElementImpl::setWidth):
        (DOM::HTMLParamElementImpl::HTMLParamElementImpl):
        (DOM::HTMLParamElementImpl::parseMappedAttribute):
        (DOM::HTMLParamElementImpl::isURLAttribute):
        (DOM::HTMLParamElementImpl::setName):
        (DOM::HTMLParamElementImpl::type):
        (DOM::HTMLParamElementImpl::setType):
        (DOM::HTMLParamElementImpl::setValue):
        (DOM::HTMLParamElementImpl::valueType):
        (DOM::HTMLParamElementImpl::setValueType):
        * khtml/html/html_tableimpl.cpp:
        (DOM::HTMLTableElementImpl::HTMLTableElementImpl):
        (DOM::HTMLTableElementImpl::checkDTD):
        (DOM::HTMLTableElementImpl::createTHead):
        (DOM::HTMLTableElementImpl::createTFoot):
        (DOM::HTMLTableElementImpl::insertRow):
        (DOM::HTMLTableElementImpl::deleteRow):
        (DOM::HTMLTableElementImpl::addChild):
        (DOM::HTMLTableElementImpl::mapToEntry):
        (DOM::HTMLTableElementImpl::parseMappedAttribute):
        (DOM::HTMLTableElementImpl::additionalAttributeStyleDecl):
        (DOM::HTMLTableElementImpl::getSharedCellDecl):
        (DOM::HTMLTableElementImpl::isURLAttribute):
        (DOM::HTMLTableElementImpl::align):
        (DOM::HTMLTableElementImpl::setAlign):
        (DOM::HTMLTableElementImpl::bgColor):
        (DOM::HTMLTableElementImpl::setBgColor):
        (DOM::HTMLTableElementImpl::border):
        (DOM::HTMLTableElementImpl::setBorder):
        (DOM::HTMLTableElementImpl::cellPadding):
        (DOM::HTMLTableElementImpl::setCellPadding):
        (DOM::HTMLTableElementImpl::cellSpacing):
        (DOM::HTMLTableElementImpl::setCellSpacing):
        (DOM::HTMLTableElementImpl::frame):
        (DOM::HTMLTableElementImpl::setFrame):
        (DOM::HTMLTableElementImpl::rules):
        (DOM::HTMLTableElementImpl::setRules):
        (DOM::HTMLTableElementImpl::summary):
        (DOM::HTMLTableElementImpl::setSummary):
        (DOM::HTMLTableElementImpl::width):
        (DOM::HTMLTableElementImpl::setWidth):
        (DOM::HTMLTablePartElementImpl::mapToEntry):
        (DOM::HTMLTablePartElementImpl::parseMappedAttribute):
        (DOM::HTMLTableSectionElementImpl::checkDTD):
        (DOM::HTMLTableSectionElementImpl::addChild):
        (DOM::HTMLTableSectionElementImpl::numRows):
        (DOM::HTMLTableSectionElementImpl::align):
        (DOM::HTMLTableSectionElementImpl::setAlign):
        (DOM::HTMLTableSectionElementImpl::ch):
        (DOM::HTMLTableSectionElementImpl::setCh):
        (DOM::HTMLTableSectionElementImpl::chOff):
        (DOM::HTMLTableSectionElementImpl::setChOff):
        (DOM::HTMLTableSectionElementImpl::vAlign):
        (DOM::HTMLTableSectionElementImpl::setVAlign):
        (DOM::HTMLTableRowElementImpl::checkDTD):
        (DOM::HTMLTableRowElementImpl::addChild):
        (DOM::HTMLTableRowElementImpl::rowIndex):
        (DOM::HTMLTableRowElementImpl::sectionRowIndex):
        (DOM::HTMLTableRowElementImpl::insertCell):
        (DOM::HTMLTableRowElementImpl::align):
        (DOM::HTMLTableRowElementImpl::setAlign):
        (DOM::HTMLTableRowElementImpl::bgColor):
        (DOM::HTMLTableRowElementImpl::setBgColor):
        (DOM::HTMLTableRowElementImpl::ch):
        (DOM::HTMLTableRowElementImpl::setCh):
        (DOM::HTMLTableRowElementImpl::chOff):
        (DOM::HTMLTableRowElementImpl::setChOff):
        (DOM::HTMLTableRowElementImpl::vAlign):
        (DOM::HTMLTableRowElementImpl::setVAlign):
        (DOM::HTMLTableCellElementImpl::cellIndex):
        (DOM::HTMLTableCellElementImpl::mapToEntry):
        (DOM::HTMLTableCellElementImpl::parseMappedAttribute):
        (DOM::HTMLTableCellElementImpl::additionalAttributeStyleDecl):
        (DOM::HTMLTableCellElementImpl::isURLAttribute):
        (DOM::HTMLTableCellElementImpl::abbr):
        (DOM::HTMLTableCellElementImpl::setAbbr):
        (DOM::HTMLTableCellElementImpl::align):
        (DOM::HTMLTableCellElementImpl::setAlign):
        (DOM::HTMLTableCellElementImpl::axis):
        (DOM::HTMLTableCellElementImpl::setAxis):
